﻿
/// <summary>
/// Summary description for AccessControl
/// </summary>
public class AccessControl
{
    #region Constants
    private const string GET_ROLE_IDS = "bcccr_sp_GetRoleIds";
    private const string GET_ROLE_BY_USER_ID = "bcccr_sp_GetRoleByUserId";
    #endregion

    #region Initialize Variables
    private string _roleId;
    private bool _hasRole;
    #endregion

    #region Constructor
    public AccessControl()
    {
    }
    #endregion

    #region Public Methods
    //method that tests if there are records in the report and sets the dataset
    public string GetRoleId(object role)
    {
        if (SqlProvider.ExecuteScalar("RegistryConnectionString", GET_ROLE_IDS, new object[] { role }) != null)
        {
            _roleId = SqlProvider.ExecuteScalar("RegistryConnectionString", GET_ROLE_IDS, new object[] { role }).ToString();
        }

        return _roleId;
    }

    public bool GetRoleByUserID(object userId, object roleId)
    {
        _hasRole = false;

        if (SqlProvider.ExecuteScalar("RegistryConnectionString", GET_ROLE_BY_USER_ID, new object[] { userId, roleId }) != null)
        {
            _hasRole = true;
        }

        return _hasRole;
    }


    #endregion
}