﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Web.Services;
using System.Web.Script.Services;
using Telerik.Web.UI;


/// <summary>
/// Summary description for DivisionWebService
/// </summary>
[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
// To allow this Web Service to be called from script, using ASP.NET AJAX, uncomment the following line. 
[ScriptService]
public class DivisionWebService : System.Web.Services.WebService {

    public DivisionWebService () {

        //Uncomment the following line if using designed components 
        //InitializeComponent(); 
    }

    [WebMethod]
    public RadTreeNodeData[] GetDivisions(RadTreeNodeData node, object context)
    {
        Reports r = new Reports("");

        DataTable data = r.GetDivsByDivId(node.Value);

        List<RadTreeNodeData> result = new List<RadTreeNodeData>();
        foreach (DataRow row in data.Rows)
        {
            RadTreeNodeData childNode = new RadTreeNodeData();
            childNode.Text = row[1].ToString();
            childNode.Value = row[0].ToString();
            if (Convert.ToInt32(row["children_count"]) > 0)
            {
                childNode.ExpandMode = TreeNodeExpandMode.WebService;
            }
            result.Add(childNode);
        }

        return result.ToArray();
    }
    
}
