﻿using System;
using System.Web;
using Microsoft.Practices.EnterpriseLibrary.Common.Configuration;
using Microsoft.Practices.EnterpriseLibrary.ExceptionHandling;
using Microsoft.Practices.EnterpriseLibrary.ExceptionHandling.Configuration;
/// </summary>
[ConfigurationElementType(typeof(CustomHandlerData))]
public class AppMessageExceptionHandler : IExceptionHandler
{

    private string exceptionReDir;
    public AppMessageExceptionHandler(System.Collections.Specialized.NameValueCollection ignore)
	{
        exceptionReDir = "ErrorPage.aspx?id=500";
	}

    public Exception HandleException(Exception exception, Guid handlingInstanceId)
    {

        HttpContext.Current.Response.Redirect(exceptionReDir);

        return exception;
    }

}