﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Registry.master" AutoEventWireup="true"
    CodeFile="AdHoc_Search.aspx.cs" Inherits="Dashboard" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" runat="Server">
    <br />
    <b>Ad Hoc Patient Data Report</b>
    <br />
    <br />
    <asp:Panel ID="pnlCohort" runat="server" GroupingText="Select the Cohort" Width="600">
        <table>
            <tr>
                <td>
                    <asp:Label runat="server" ID="lblVISN" Text="Select VISN:" AssociatedControlID="rcbVISN" /><br />
                    <telerik:RadComboBox ID="rcbVISN" runat="server" Width="350px" AccessKey="v" TabIndex="2"
                        AutoPostBack="true" />
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Label runat="server" ID="lblFac" Text="Select Station:" AssociatedControlID="rcbFac" /><br />
                    <telerik:RadComboBox ID="rcbFac" runat="server" Width="350px" AccessKey="f" TabIndex="3"
                        AutoPostBack="true" />
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Label runat="server" ID="Label5" Text="Age:" AssociatedControlID="rlbAge" /><br />
                    <telerik:RadListBox runat="server" ID="rlbAge" CheckBoxes="true">
                        <Items>
                            <telerik:RadListBoxItem Text="0-30" Value="0" />
                            <telerik:RadListBoxItem Text="31-40" Value="1" />
                            <telerik:RadListBoxItem Text="41-50" Value="2" />
                            <telerik:RadListBoxItem Text="51-64" Value="3" />
                            <telerik:RadListBoxItem Text="65+" Value="4" />
                        </Items>
                    </telerik:RadListBox>
                </td>
                <td>
                    <asp:Label runat="server" ID="Label6" Text="Race:" AssociatedControlID="rlbRace" /><br />
                    <telerik:RadListBox runat="server" ID="rlbRace" CheckBoxes="true">
                    </telerik:RadListBox>
                </td>
                <td>
                    <asp:Label runat="server" ID="Label7" Text="Gender:" AssociatedControlID="rlbGender" /><br />
                    <telerik:RadListBox runat="server" ID="rlbGender" CheckBoxes="true">
                    </telerik:RadListBox>
                </td>
            </tr>
        </table>
    </asp:Panel>
    <br />
    <br />

    <asp:Panel ID="Panel1" runat="server" GroupingText="Select the Fields to be Returned" BackColor="white" Width="600">

        <asp:Panel ID="Panel2" runat="server" GroupingText="Personal Info" BackColor="LightSteelBlue">
            <table>
                <tr>
                    <td>
                        <asp:CheckBoxList ID="cblPI" runat="server">
                            <asp:ListItem Text="Last Name" />
                            <asp:ListItem Text="First Name" />
                            <asp:ListItem Text="Zip Code" />
                            <asp:ListItem Text="City" />
                            <asp:ListItem Text="County" />
                            <asp:ListItem Text="State" />
                            <asp:ListItem Text="SSN (Last 4)" />
                            <asp:ListItem Text="Date of Birth" />
                            <asp:ListItem Text="Gender" />
                            <asp:ListItem Text="Age" />
                        </asp:CheckBoxList>
                    </td>
                </tr>
            </table>
        </asp:Panel>
        <br />
        <br />
        <asp:Panel ID="Panel3" runat="server" GroupingText="Patient Care Received" BackColor="LightCoral">
            <table>
                <tr>
                    <td>
                        <asp:CheckBoxList ID="cblPatientCare" runat="server">
                            <asp:ListItem Text="PACT Team" />
                            <asp:ListItem Text="Service Provider Last Name (External)" />
                            <asp:ListItem Text="Service Provider Zip (External)" />
                            <asp:ListItem Text="Facility" />
                            <asp:ListItem Text="VISN" />
                            <asp:ListItem Text="In-House Mammography Available?" />
                            <asp:ListItem Text="Registry Status" />
                            <asp:ListItem Text="BI-RADS Code" />
                            <asp:ListItem Text="Biopsy/Pathology (LOINC Code)" />
                            <asp:ListItem Text="Facility Complexity/Level" />
                        </asp:CheckBoxList>
                    </td>
                </tr>
            </table>
        </asp:Panel>
        <br />
        <br />
        <asp:Panel ID="Panel4" runat="server" GroupingText="Deployment Status/Other" BackColor="LightGoldenrodYellow">
            <table>
                <tr>
                    <td>
                        <asp:CheckBoxList ID="cblDep" runat="server">
                            <asp:ListItem Text="Operation Iraqi Freedom (OIF)" />
                            <asp:ListItem Text="Operation Enduring Freedom (OEF)" />
                            <asp:ListItem Text="Operation Enduring Freedom (OEF)" />
                            <asp:ListItem Text="Others" />
                        </asp:CheckBoxList>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:CheckBoxList ID="CheckBoxList1" runat="server">
                            <asp:ListItem Text="Military Sexual Trauma (MST)" />
                        </asp:CheckBoxList>
                    </td>
                </tr>
            </table>
        </asp:Panel>
        <br />
        <br />
        <asp:Panel ID="Panel5" runat="server" GroupingText="Other Info" BackColor="LightGreen">
            <table>
                <tr>
                    <td>
                        <asp:CheckBoxList ID="CheckBoxList2" runat="server">
                            <asp:ListItem Text="Radiation Therapy (CPT Code)" />
                            <asp:ListItem Text="Surgery (CPT Code)" />
                            <asp:ListItem Text="Chemotherapeutic Agent (Medication and/or CPT Code)" />
                            <asp:ListItem Text="Co-morbidities (ICD 9/10)" />
                            <asp:ListItem Text="Immunizations" />
                            <asp:ListItem Text="Patient Problem List" />
                            <asp:ListItem Text="Receptor" />
                            <asp:ListItem Text="Date of Death" />
                            <asp:ListItem Text="Cause of Death" />
                        </asp:CheckBoxList>
                    </td>
                </tr>
            </table>
        </asp:Panel>
        <br />
        <br />
    </asp:Panel>

    <asp:Button ID="btnRunReport" Text="Run Report" runat="server" />

</asp:Content>
