﻿<%@ Page Title="" Language="C#" AutoEventWireup="true" CodeFile="AllMammogramsDue_PD.aspx.cs"
    Inherits="AllMamDue" MasterPageFile="~/Registry.master" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Charting" TagPrefix="telerik" %>
<%@ Register TagPrefix="custom" Namespace="CustomFilter" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <telerik:RadCodeBlock runat="server" ID="rcb1">
        <script type="text/javascript">
            //this focuses context menus for 508 compliance
            function focusFilterMenu(sender, args) {
                filterMenuShowing(sender, args);
                window.setTimeout(function () { args.get_menu().get_items().getItem(0).blur(); args.get_menu().get_items().getItem(0).focus(); }, 1);
            }

            // Hide unwanted menu items
            var column = null;
            var columnName = null;

            function UpdateMenu(items, options) {
                var i = 0;
                while (i < items.get_count()) {

                    if (!(items.getItem(i).get_value() in options)) {
                        var item = items.getItem(i);
                        if (item != null)
                            item.set_visible(false);
                    }
                    else {
                        var item = items.getItem(i);
                        if (item != null)
                            item.set_visible(true);
                    }

                    i++;
                }
            }

            function MenuShowing(sender, args) {
                if (column == null) return;
                if (columnName == null) return;

                var menu = sender;
                var items = menu.get_items();

                if (columnName == "age") {
                    UpdateMenu(items, { 'NoFilter': '', 'EqualTo': '', 'GreaterThanOrEqualTo': '', 'LessThanOrEqualTo': '' })
                }
                else if (columnName == "Patient_Name" || columnName == "patient_zip" || columnName == "Patient_SSN" ||
                         columnName == "procedure_location" || columnName == "patient_phone" || columnName == "patient_address") {
                    UpdateMenu(items, { 'NoFilter': '', 'Contains': '' })
                }

                column = null;
                columnName = null;
                menu.repaint();
            }

            function filterMenuShowing(sender, eventArgs) {
                column = eventArgs.get_column();
                columnName = eventArgs.get_column().get_uniqueName();
            }

            function RowDblClick(sender, eventArgs) {
                sender.get_masterTableView().editItem(eventArgs.get_itemIndexHierarchical());
            }
        </script>
    </telerik:RadCodeBlock>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" runat="Server">
    <telerik:RadAjaxManager ID="ram" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="rcbFac">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="btnRunReport" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="rgAllMamDue">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgAllMamDue" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="btnRunReport">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgAllMamDue" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>   
            <telerik:AjaxSetting AjaxControlID="rcbVisn">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rcbFac" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="ralp1" runat="server" Skin="WebBlue" />
    <a href="content" tabindex="1"></a>
    <br />
    <table>
        <tr>
            <td>
                <table>
                    <tr>
                        <td>
                            <asp:Label runat="server" ID="lblVisn" Text="Select VISN:" AssociatedControlID="rcbVisn" /><br />
                            <telerik:RadComboBox ID="rcbVisn" runat="server" Width="350px" AccessKey="v" TabIndex="3"
                                AutoPostBack="true" OnSelectedIndexChanged="rcbVisn_SelectedIndexChanged" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label runat="server" ID="lblFac" Text="Select Station / Healthcare System:" AssociatedControlID="rcbFac" /><br />
                            <telerik:RadComboBox ID="rcbFac" runat="server" Width="350px" AccessKey="v" TabIndex="3"
                                AutoPostBack="true" OnSelectedIndexChanged="rcbFac_SelectedIndexChanged"  Enabled="false"/>
                        </td>
                    </tr>
                    <!-- Removed date fields per customer request -->
                    <tr>
                        <td>
                            <br />
                            <asp:Button runat="server" ID="btnRunReport" Text="Run Report" OnClick="btnReport_Click"
                                ToolTip="Run Report" Enabled="false" TabIndex="6" />
                        </td>
                    </tr>
                </table>
            </td>
            <td>
                <table cellspacing="10px" cellpadding="10px" border="0">
                    <tr>
                        <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <asp:Panel ID="Panel1" runat="server" GroupingText="All Mammograms Due Report Description"
                            Width="650px">
                                <asp:Label ID="AllMammogramsDueDescription" runat="server" Font-Italic="true">
                                </asp:Label>
                            </asp:Panel>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    <br />
    <asp:Label runat="server" ID="lblAccessibility" TabIndex="7" AccessKey="i" Text="Ctrl-y selects the grid.  Use Tab and arrow keys to navigate." />
    <br />
    <br />
    <asp:Button runat="server" ID="btnExcel" Text="Export to Excel" CommandName="XLS"
        OnClick="btnExport_Click" ToolTip="Export to Excel" TabIndex="8" />
    <asp:Button runat="server" ID="btnCSV" Text="Export to CSV" CommandName="CSV" ToolTip="Export to CSV"
        OnClick="btnExport_Click" TabIndex="9" />
    <asp:Button runat="server" ID="btnPDF" Text="Export to PDF" CommandName="PDF" ToolTip="Export to PDF"
        OnClick="btnExport_Click" TabIndex="10" Visible="false"/>
    <asp:Button runat="server" ID="btnWord" Text="Export to Word" CommandName="DOC" ToolTip="Export to DOC"
        OnClick="btnExport_Click" TabIndex="11" />
    <telerik:RadGrid ID="rgAllMamDue" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
        EnableLinqExpressions="false" ShowStatusBar="true" OnItemCommand="rgAllMamDue_ItemCommand"
        TabIndex="6" OnNeedDataSource="rgAllMamDue_NeedDataSource" OnItemDataBound="rgAllMamDue_ItemDataBound"
        OnItemCreated="rgAllMamDue_ItemCreated" OnExcelMLExportStylesCreated="rgAllMamDue_ExcelMLExportStylesCreated"
        OnExcelMLExportRowCreated="rgAllMamDue_ExcelMLExportRowCreated" >
        <MasterTableView AutoGenerateColumns="false" DataKeyNames="id" ClientDataKeyNames="id"
            AllowFilteringByColumn="true" AllowSorting="true" AllowPaging="true" CommandItemDisplay="Top"
            TabIndex="12" Width="800" PageSize="10" ShowHeadersWhenNoRecords="true">
            <NoRecordsTemplate>
                <table>
                    <tr>
                        <td>
                            <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-weight: bold" TabIndex="14">There are no results with the selected filters.  Please search again.</asp:Label></td>
                    </tr>
                </table>
            </NoRecordsTemplate>
            <SortExpressions>
                <telerik:GridSortExpression FieldName="primary_care_physician" SortOrder="Ascending"/>
            </SortExpressions>
            <CommandItemTemplate>
                <asp:Button runat="server" ID="btnReset" Text="Clear Filters" CommandName="Reset"
                    ToolTip="Clear Filters" />
            </CommandItemTemplate>
            <ColumnGroups>
                <telerik:GridColumnGroup HeaderText="Team / Provider" Name="provider" />
                <telerik:GridColumnGroup HeaderText="Patient" Name="patient" />
                <telerik:GridColumnGroup HeaderText="Last Mammogram" Name="last_mam" />
                <telerik:GridColumnGroup HeaderText="Patient Demographics" Name="demo" />
            </ColumnGroups>
            <Columns>                
                <telerik:GridEditCommandColumn UniqueName="EditCommandColumn" EditText="Details">
                </telerik:GridEditCommandColumn>
                <custom:CustomFilteringColumn DataField="team_name" UniqueName="team_name" HeaderText="PACT Team"
                    FilterControlAltText="Filter for PACT Team" FilterControlToolTip="Filter for PACT Team"
                    HeaderTooltip="PACT Team Column" FilterControlWidth="75" ColumnGroupName="provider" EmptyDataText="Unassigned PACT Team" 
                    HeaderButtonType="None" />
                <custom:CustomFilteringColumn DataField="primary_care_physician" UniqueName="primary_care_physician"
                    HeaderText="Provider Name" FilterControlAltText="Filter for Provider" FilterControlToolTip="Filter for Provider"
                    HeaderTooltip="Provider Column" ColumnGroupName="provider" FilterControlWidth="75" EmptyDataText="Unassigned Provider" 
                    HeaderButtonType="None" />
                <telerik:GridBoundColumn DataField="Patient_Name" UniqueName="Patient_Name" HeaderText="Last Name, First"
                    FilterControlAltText="Filter Textbox for Patient Name" FilterControlToolTip="Filter Textbox for Patient Name"
                    HeaderTooltip="Patient Name Column" ColumnGroupName="patient" HeaderButtonType="None">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="Patient_SSN" UniqueName="Patient_SSN" HeaderText="Last 4"
                    FilterControlAltText="Filter Textbox for Patient Last 4" FilterControlToolTip="Filter Textbox for Last 4"
                    HeaderTooltip="Last 4 Column" ColumnGroupName="patient" FilterControlWidth="30" HeaderButtonType="None">
                </telerik:GridBoundColumn>
                <telerik:GridDateTimeColumn DataField="date_of_last_mammogram" UniqueName="date_of_last_mammogram"
                    HeaderText="Date Performed" HeaderTooltip="Last Mam Date Column" ColumnGroupName="last_mam"
                    AllowFiltering="false" DataFormatString="{0:MM/dd/yyyy}" HeaderButtonType="None">
                </telerik:GridDateTimeColumn>
                <custom:CustomFilteringColumn DataField="Bi_Rad_Code" UniqueName="Bi_Rad_Code" HeaderText="BI-RADS Code"
                    FilterControlAltText="Filter Textbox for BI-RADS Code" FilterControlToolTip="Filter Textbox for BI-RADS Code"
                    HeaderTooltip="BI-RADS Code Column" FilterControlWidth="50" ColumnGroupName="last_mam" HeaderButtonType="None" />
                <telerik:GridBoundColumn DataField="procedure_location" UniqueName="procedure_location" HeaderText="Procedure Location"
                    FilterControlAltText="Filter Textbox for Location of Last Mam" FilterControlToolTip="Filter Textbox for Location of Last Mam"
                    HeaderTooltip="Location of Last Mam Column" ColumnGroupName="last_mam" FilterControlWidth="30" HeaderButtonType="None" />
                <telerik:GridBoundColumn DataField="age" UniqueName="age" HeaderText="Age" FilterControlAltText="Filter Textbox for Patient Age"
                    FilterControlToolTip="Filter Textbox for Age" HeaderTooltip="Age Column" ColumnGroupName="demo"
                    FilterControlWidth="30" HeaderButtonType="None" />
                <custom:CustomFilteringColumn DataField="race" UniqueName="race" FilterControlAltText="Filter Dropdown for Patient Race"
                    FilterControlToolTip="Filter Dropdown for Race" HeaderText="Race" HeaderTooltip="Race Column"
                    FilterControlWidth="75" ColumnGroupName="demo" HeaderButtonType="None" />
                <custom:CustomFilteringColumn DataField="gender" UniqueName="gender" HeaderText="Gender"
                    FilterControlAltText="Filter Dropdown for Patient Gender" FilterControlToolTip="Filter Dropdown for Gender"
                    HeaderTooltip="Gender Column" ColumnGroupName="demo" FilterControlWidth="50" HeaderButtonType="None" />
                <telerik:GridBoundColumn DataField="patient_address" UniqueName="patient_address" HeaderText="Patient Address"
                    FilterControlAltText="Filter Textbox for Patient address" FilterControlToolTip="Filter Textbox for Patient address"
                    HeaderTooltip="Patient address Column" ColumnGroupName="demo" FilterControlWidth="100" HeaderButtonType="None" />
                <telerik:GridBoundColumn DataField="patient_phone" UniqueName="patient_phone" HeaderText="Patient Phone"
                    FilterControlAltText="Filter Textbox for Patient phone" FilterControlToolTip="Filter Textbox for Patient phone"
                    HeaderTooltip="Patient phone Column" ColumnGroupName="demo" FilterControlWidth="50" HeaderButtonType="None" />
            </Columns>
            <EditFormSettings UserControlName="./controls/AllMammogramsDue_PD.ascx" EditFormType="WebUserControl" CaptionFormatString="Details">
                <EditColumn UniqueName="EditCommandColumn1">
                </EditColumn>
            </EditFormSettings>
        </MasterTableView>
        <ClientSettings AllowKeyboardNavigation="true">
            <Selecting AllowRowSelect="true" />
            <ClientEvents OnFilterMenuShowing="focusFilterMenu" OnRowDblClick="RowDblClick" />
            <KeyboardNavigationSettings EnableKeyboardShortcuts="true" />
        </ClientSettings>
        <FilterMenu OnClientShowing="MenuShowing" />
        <PagerStyle Mode="NextPrevAndNumeric" />
    </telerik:RadGrid>
</asp:Content>
