﻿<%@ Page Title="" Language="C#" AutoEventWireup="true" CodeFile="AllMammogramsWithResults_PD.aspx.cs"
    Inherits="AllMamWithResults" MasterPageFile="~/Registry.master" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Charting" TagPrefix="telerik" %>
<%@ Register TagPrefix="custom" Namespace="CustomFilter" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <telerik:RadCodeBlock runat="server" ID="rcb1">
        <script type="text/javascript">
            //this focuses context menus for 508 compliance
            function focusFilterMenu(sender, args) {
                window.setTimeout(function () { args.get_menu().get_items().getItem(0).blur(); args.get_menu().get_items().getItem(0).focus(); }, 1);
            }
        </script>
    </telerik:RadCodeBlock>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" runat="Server">
    <telerik:RadAjaxManager ID="ram" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="rcbFac">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="btnRunReport" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="rgAllMamWithResults">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgAllMamWithResults" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="btnRunReport">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="fromdate" LoadingPanelID="ralp1" />
                    <telerik:AjaxUpdatedControl ControlID="todate" LoadingPanelID="ralp1" />
                    <telerik:AjaxUpdatedControl ControlID="rgAllMamWithResults" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="ralp1" runat="server" Skin="WebBlue" />
    <a href="content" tabindex="1"></a>
    <br />
    <table>
        <tr>
            <td>
                <asp:Label runat="server" ID="lblFac" Text="Select Station:" AssociatedControlID="rcbFac" /><br />
                <telerik:RadComboBox ID="rcbFac" runat="server" Width="350px" AccessKey="v" TabIndex="3"
                    AutoPostBack="true" OnSelectedIndexChanged="rcbFac_SelectedIndexChanged" />
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label runat="server" ID="Label1" Text="Mammogram Date Scheduled:" AssociatedControlID="rcbFac" /><br />
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label runat="server" ID="Label2" Text="From Date:" AssociatedControlID="fromDate" /><br />
                <telerik:RadDatePicker ID="fromDate" runat="server" ZIndex="30001" TabIndex="4" />
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label runat="server" ID="Label3" Text="To Date:" AssociatedControlID="toDate" /><br />
                <telerik:RadDatePicker ID="toDate" runat="server" ZIndex="30001" TabIndex="5" />
            </td>
        </tr>
        <tr>
            <td>
                <asp:Button runat="server" ID="btnRunReport" Text="Run Report" OnClick="btnReport_Click"
                    ToolTip="Run Report" Enabled="false" TabIndex="6" />
            </td>
        </tr>
    </table>
    <br />
    <br />
    <asp:Label runat="server" ID="lblAccessibility" TabIndex="7" AccessKey="i" Text="Ctrl-y selects the grid.  Use Tab and arrow keys to navigate." />
    <br />
    <br />
    <asp:Button runat="server" ID="btnExcel" Text="Export to Excel" CommandName="XLS"
        OnClick="btnExport_Click" ToolTip="Export to Excel" TabIndex="8" />
    <asp:Button runat="server" ID="btnCSV" Text="Export to CSV" CommandName="CSV" ToolTip="Export to CSV"
        OnClick="btnExport_Click" TabIndex="9" />
    <asp:Button runat="server" ID="btnPDF" Text="Export to PDF" CommandName="PDF" ToolTip="Export to PDF"
        OnClick="btnExport_Click" TabIndex="10" />
    <asp:Button runat="server" ID="btnWord" Text="Export to Word" CommandName="DOC" ToolTip="Export to DOC"
        OnClick="btnExport_Click" TabIndex="11" />
    <telerik:RadGrid ID="rgAllMamWithResults" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
        EnableLinqExpressions="false" ShowStatusBar="true" OnItemCommand="rgAllMamWithResults_ItemCommand"
        TabIndex="6" OnNeedDataSource="rgAllMamWithResults_NeedDataSource" OnItemDataBound="rgAllMamWithResults_ItemDataBound"
        OnItemCreated="rgAllMamWithResults_ItemCreated"
        OnExcelMLExportStylesCreated="rgAllMamWithResults_ExcelMLExportStylesCreated"
        OnExcelMLExportRowCreated="rgAllMamWithResults_ExcelMLExportRowCreated">
        <MasterTableView AutoGenerateColumns="false"
            AllowFilteringByColumn="true" AllowSorting="true" AllowPaging="true" CommandItemDisplay="Top"
            TabIndex="7" Width="800" PageSize="10" ShowHeadersWhenNoRecords="true">
            <NoRecordsTemplate>
                <table>
                    <tr>
                        <td>
                            <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-weight: bold" TabIndex="14">There are no results with the selected filters.  Please search again.</asp:Label></td>
                    </tr>
                </table>
            </NoRecordsTemplate>
            <CommandItemTemplate>
                <asp:Button runat="server" ID="btnReset" Text="Clear Filters" CommandName="Reset"
                    ToolTip="Clear Filters" />
            </CommandItemTemplate>
            <ColumnGroups>
                <telerik:GridColumnGroup HeaderText="Provider" Name="provider" />
                <telerik:GridColumnGroup HeaderText="Patient" Name="patient" />
                <telerik:GridColumnGroup HeaderText="Last Mammogram" Name="last_mam" />
                <telerik:GridColumnGroup HeaderText="Next Mammogram" Name="next_mam" />
            </ColumnGroups>
            <Columns>
                <custom:CustomFilteringColumn DataField="team_name" UniqueName="team_name" HeaderText="PACT Team"
                    FilterControlAltText="Filter for PACT Team" FilterControlToolTip="Filter for PACT Team"
                    HeaderTooltip="PACT Team Column" FilterControlWidth="75" ColumnGroupName="provider" />
                <custom:CustomFilteringColumn DataField="primary_care_physician" UniqueName="primary_care_physician"
                    HeaderText="Provider Name" FilterControlAltText="Filter for Provider" FilterControlToolTip="Filter for Provider"
                    HeaderTooltip="Provider Column" FilterControlWidth="75" ColumnGroupName="provider" />
                <telerik:GridBoundColumn DataField="Patient_Name" UniqueName="Patient_Name" HeaderText="Last Name, First"
                    FilterControlAltText="Filter Textbox for Patient Name" FilterControlToolTip="Filter Textbox for Patient Name"
                    HeaderTooltip="Patient Name Column" ColumnGroupName="patient">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="Patient_SSN" UniqueName="Patient_SSN" HeaderText="Last 4"
                    FilterControlAltText="Filter Textbox for Patient Last 4" FilterControlToolTip="Filter Textbox for Last 4"
                    HeaderTooltip="Last 4 Column" ColumnGroupName="patient" FilterControlWidth="50">
                </telerik:GridBoundColumn>
                <telerik:GridDateTimeColumn DataField="Date_Of_Last_Mammogram" UniqueName="DateOfLastMammogram"
                    HeaderText="Date Performed" FilterControlAltText="Filter Textbox for Last Mam Date"
                    FilterControlToolTip="Filter Textbox for Last Mam Date" HeaderTooltip="Last Mam Date Column"
                    FilterControlWidth="100" ColumnGroupName="last_mam" />
                <custom:CustomFilteringColumn DataField="BiRad_Code" UniqueName="BiRadCode" HeaderText="BI-RADS Code"
                    HeaderTooltip="BiRad Column" FilterControlWidth="50" />
                <telerik:GridDateTimeColumn DataField="Date_Ordered" UniqueName="DateOrdered" HeaderText="Date Ordered"
                    FilterControlAltText="Filter Textbox for Date Next Mam Ordered" FilterControlToolTip="Filter Textbox for Date Next Mam Ordered"
                    HeaderTooltip="Date Next Mam Ordered Column" FilterControlWidth="100" ColumnGroupName="next_mam">
                </telerik:GridDateTimeColumn>
                <telerik:GridDateTimeColumn DataField="Date_Scheduled" UniqueName="DateScheduled" HeaderText="Date Scheduled"
                    FilterControlAltText="Filter Textbox for Date Next Mam Scheduled" FilterControlToolTip="Filter Textbox for Date Next Mam Scheduled"
                    HeaderTooltip="Date Next Mam Scheduled Column" ColumnGroupName="next_mam" FilterControlWidth="200" AllowFiltering="false" />
            </Columns>
        </MasterTableView>
        <ClientSettings AllowKeyboardNavigation="true">
            <Selecting AllowRowSelect="true" />
            <ClientEvents OnFilterMenuShowing="focusFilterMenu" />
            <KeyboardNavigationSettings EnableKeyboardShortcuts="true" />
        </ClientSettings>
        <PagerStyle Mode="NextPrevAndNumeric" />
    </telerik:RadGrid>
</asp:Content>
