﻿<%@ Page Title="" Language="C#" AutoEventWireup="true" CodeFile="BreastCancer_PD.aspx.cs"
    Inherits="BreastCancer" MasterPageFile="~/Registry.master" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Charting" TagPrefix="telerik" %>
<%@ Register TagPrefix="custom" Namespace="CustomFilter" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <telerik:RadCodeBlock runat="server" ID="rcb1">
        <script type="text/javascript">
            //this focuses context menus for 508 compliance
            function focusFilterMenu(sender, args) {
                filterMenuShowing(sender, args);
                window.setTimeout(function () { args.get_menu().get_items().getItem(0).blur(); args.get_menu().get_items().getItem(0).focus(); }, 1);
            }

            // Hide unwanted menu items
            var column = null;
            var columnName = null;

            function UpdateMenu(items, options) {
                var i = 0;
                while (i < items.get_count()) {

                    if (!(items.getItem(i).get_value() in options)) {
                        var item = items.getItem(i);
                        if (item != null)
                            item.set_visible(false);
                    }
                    else {
                        var item = items.getItem(i);
                        if (item != null)
                            item.set_visible(true);
                    }

                    i++;
                }
            }

            function MenuShowing(sender, args) {
                if (column == null) return;
                if (columnName == null) return;

                var menu = sender;
                var items = menu.get_items();

                if (columnName == "age") { // || columnName == "Date_Of_Death") {
                    UpdateMenu(items, { 'NoFilter': '', 'EqualTo': '', 'GreaterThanOrEqualTo': '', 'LessThanOrEqualTo': '' })
                }
                else if (columnName == "Patient_Name" || columnName == "patient_zip" || columnName == "Patient_SSN" ||
                         columnName == "BC_ICD9BC_GUI" || columnName == "BC_Pathology_Report_GUI" || columnName == "BC_Chemotherapy_GUI" ||
                         columnName == "BC_Radiation_GUI" || columnName == "BC_Hormonal_GUI" || columnName == "BC_AllMed_GUI" ||
                         columnName == "BC_ICD9Other_GUI" || columnName == "BC_her2_GUI" || columnName == "BC_Progesterone_Receptor_GUI" ||
                         columnName == "BC_Estrogen_Receptor_GUI" || columnName == "BC_brca_GUI") {
                    UpdateMenu(items, { 'NoFilter': '', 'Contains': '' })
                }

                column = null;
                columnName = null;
                menu.repaint();
            }

            function filterMenuShowing(sender, eventArgs) {
                column = eventArgs.get_column();
                columnName = eventArgs.get_column().get_uniqueName();
            }

            function RowDblClick(sender, eventArgs) {
                sender.get_masterTableView().editItem(eventArgs.get_itemIndexHierarchical());
            }
        </script>
    </telerik:RadCodeBlock>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" runat="Server">
    <telerik:RadAjaxManager ID="ram" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="rcbFac">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="btnRunReport" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="rgBreastCancer">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgBreastCancer" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="btnRunReport">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgBreastCancer" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="rcbVisn">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rcbFac" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="ralp1" runat="server" Skin="WebBlue" />
    <a href="content" tabindex="1"></a>
    <br />
    <table>
        <tr>
            <td>
                <table>
                    <tr>
                        <td>
                            <asp:Label runat="server" ID="lblVisn" Text="Select VISN:" AssociatedControlID="rcbVisn" /><br />
                            <telerik:RadComboBox ID="rcbVisn" runat="server" Width="350px" AccessKey="v" TabIndex="3"
                                AutoPostBack="true" OnSelectedIndexChanged="rcbVisn_SelectedIndexChanged" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label runat="server" ID="lblFac" Text="Select Station / Healthcare System:" AssociatedControlID="rcbFac" /><br />
                            <telerik:RadComboBox ID="rcbFac" runat="server" Width="350px" AccessKey="v" TabIndex="3"
                                AutoPostBack="true" OnSelectedIndexChanged="rcbFac_SelectedIndexChanged"  Enabled="false"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            &nbsp;<br />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label runat="server" ID="Label2" Text="From Date:" AssociatedControlID="fromDate" /><br />
                            <telerik:RadDatePicker ID="fromDate" runat="server" ZIndex="30001" TabIndex="4" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:RequiredFieldValidator runat="server" ID="RequiredFieldValidator_fromDate" ControlToValidate="fromDate"
                                ErrorMessage="'From Date:' is a required field" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label runat="server" ID="Label3" Text="To Date:" AssociatedControlID="toDate" /><br />
                            <telerik:RadDatePicker ID="toDate" runat="server" ZIndex="30001" TabIndex="5" />
                        </td>
                    </tr>
                    <tr>
                        <td>      
                            <asp:RequiredFieldValidator runat="server" ID="RequiredFieldValidator_toDate" ControlToValidate="toDate"
                                ErrorMessage="'To Date:' is a required field" />

                            <asp:CompareValidator runat="server" ID="dateCompareValidator" ControlToValidate="toDate"
                                ControlToCompare="fromDate" Operator="GreaterThanEqual" Type="Date" 
                                ErrorMessage="'From Date:' must precede 'To Date:'" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Button runat="server" ID="btnRunReport" Text="Run Report" OnClick="btnReport_Click"
                                ToolTip="Run Report" Enabled="false" TabIndex="6" />
                        </td>
                    </tr>
                </table>
            </td>
            <td>
                <table cellspacing="10px" cellpadding="10px" border="0">
                    <tr>
                        <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <asp:Panel ID="Panel1" runat="server" GroupingText="Breast Cancer Report Description"
                                Width="650px">
                                <asp:Label ID="BreastCancerDescription" runat="server" Font-Italic="true">
                                </asp:Label>
                            </asp:Panel>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    <br />
    <br />
    <asp:Label runat="server" ID="lblAccessibility" TabIndex="7" AccessKey="i" Text="Ctrl-y selects the grid.  Use Tab and arrow keys to navigate." />
    <br />
    <br />
    <asp:Button runat="server" ID="btnExcel" Text="Export to Excel" CommandName="XLS"
        OnClick="btnExport_Click" ToolTip="Export to Excel" TabIndex="8" />
    <asp:Button runat="server" ID="btnCSV" Text="Export to CSV" CommandName="CSV" ToolTip="Export to CSV"
        OnClick="btnExport_Click" TabIndex="9" />
    <asp:Button runat="server" ID="btnPDF" Text="Export to PDF" CommandName="PDF" ToolTip="Export to PDF"
        OnClick="btnExport_Click" TabIndex="10" Visible="false" />
    <asp:Button runat="server" ID="btnWord" Text="Export to Word" CommandName="DOC" ToolTip="Export to DOC"
        OnClick="btnExport_Click" TabIndex="11" />
    <telerik:RadGrid ID="rgBreastCancer" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
        EnableLinqExpressions="false" ShowStatusBar="true" OnItemCommand="rgBreastCancer_ItemCommand"
        TabIndex="6" OnNeedDataSource="rgBreastCancer_NeedDataSource" OnItemDataBound="rgBreastCancer_ItemDataBound"
        OnItemCreated="rgBreastCancer_ItemCreated" OnExcelMLExportStylesCreated="rgBreastCancer_ExcelMLExportStylesCreated" 
        OnExcelMLExportRowCreated="rgBreastCancer_ExcelMLExportRowCreated">
        <MasterTableView AutoGenerateColumns="false" AllowFilteringByColumn="true" AllowSorting="true"
            AllowPaging="true" CommandItemDisplay="Top" TabIndex="7" Width="800" PageSize="10"
            ShowHeadersWhenNoRecords="true">
            <NoRecordsTemplate>
                <table>
                    <tr>
                        <td>
                            <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-weight: bold" TabIndex="14">There are no results with the selected filters.  Please search again.</asp:Label></td>
                    </tr>
                </table>
            </NoRecordsTemplate>
            <SortExpressions>
                <telerik:GridSortExpression FieldName="primary_care_physician" SortOrder="Ascending"/>
            </SortExpressions>
            <CommandItemTemplate>
                <asp:Button runat="server" ID="btnReset" Text="Clear Filters" CommandName="Reset"
                    ToolTip="Clear Filters" />
            </CommandItemTemplate>
            <ColumnGroups>
                <telerik:GridColumnGroup HeaderText="Team / Provider" Name="provider" />
                <telerik:GridColumnGroup HeaderText="Patient" Name="patient" />
                <telerik:GridColumnGroup HeaderText="Patient Demographics" Name="demo" />
                <telerik:GridColumnGroup HeaderText="Diagnosis" Name="icd9" />
                <telerik:GridColumnGroup HeaderText="Treatment" Name="treatment" />
            </ColumnGroups>
            <Columns>
                <telerik:GridEditCommandColumn UniqueName="EditCommandColumn" EditText="Details">
                </telerik:GridEditCommandColumn>
                <custom:CustomFilteringColumn DataField="team_name" UniqueName="team_name" HeaderText="PACT Team"
                    FilterControlAltText="Filter for PACT Team" FilterControlToolTip="Filter for PACT Team"
                    HeaderTooltip="PACT Team Column" FilterControlWidth="75" ColumnGroupName="provider" 
                    EmptyDataText="Unassigned PACT Team" HeaderButtonType="None"/>
                <custom:CustomFilteringColumn DataField="primary_care_physician" UniqueName="primary_care_physician"
                    HeaderText="Provider Name" FilterControlAltText="Filter for Provider" FilterControlToolTip="Filter for Provider"
                    HeaderTooltip="Provider Column" ColumnGroupName="provider" FilterControlWidth="75" 
                    EmptyDataText="Unassigned Provider" HeaderButtonType="None" />
                <telerik:GridBoundColumn DataField="Patient_Name" UniqueName="Patient_Name" HeaderText="Last Name, First"
                    FilterControlAltText="Filter Textbox for Patient Name" FilterControlToolTip="Filter Textbox for Patient Name"
                    HeaderTooltip="Patient Name Column" ColumnGroupName="patient" HeaderButtonType="None">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="Patient_SSN" UniqueName="Patient_SSN" HeaderText="Last 4"
                    FilterControlAltText="Filter Textbox for Patient Last 4" FilterControlToolTip="Filter Textbox for Last 4"
                    HeaderTooltip="Last 4 Column" ColumnGroupName="patient" FilterControlWidth="30" HeaderButtonType="None">
                </telerik:GridBoundColumn>  
                
                <telerik:GridBoundColumn HeaderText="Breast Ca Dx" DataField="ICD9BC" HeaderButtonType="None"
                    ColumnGroupName="icd9" AllowFiltering="false" UniqueName="BC_ICD9BC_Report" visible="false" >                                      
                </telerik:GridBoundColumn> 
                <telerik:GridTemplateColumn HeaderText="Breast Ca Dx" DataField="ICD9BC" HeaderButtonType="None"
                    ColumnGroupName="icd9" AllowFiltering="true" UniqueName="BC_ICD9BC_GUI" SortExpression="ICD9BC"
                    FilterControlAltText="Filter Textbox for Breast Ca Dx" FilterControlToolTip="Filter Textbox for Breast Ca Dx"
                    HeaderTooltip="Breast Ca Dx Column">
                    <ItemTemplate>
                        <asp:Label ID="lblBC_ICD9BC" runat="server" Text="Result"></asp:Label>
                        <telerik:RadToolTip ID="rttBC_ICD9BC" runat="server" TargetControlID="lblBC_ICD9BC" RelativeTo="Element"
                            Position="TopCenter" Width="400px" RenderInPageRoot="true"  HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                            <%# DataBinder.Eval(Container, "DataItem.ICD9BC")%>
                        </telerik:RadToolTip>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>            

                <telerik:GridBoundColumn HeaderText="Pathology Report" DataField="Pathology_Report" HeaderButtonType="None"
                    ColumnGroupName="icd9" AllowFiltering="false" UniqueName="BC_Pathology_Report_Report" visible="false" >                                      
                </telerik:GridBoundColumn>      
                <telerik:GridTemplateColumn HeaderText="Pathology Report" DataField="Pathology_Report" SortExpression="Pathology_Report"
                    ColumnGroupName="icd9" AllowFiltering="true" UniqueName="BC_Pathology_Report_GUI" HeaderButtonType="None"
                    FilterControlAltText="Filter Textbox for Pathology Report" FilterControlToolTip="Filter Textbox for Pathology Report"
                    HeaderTooltip="Pathology Report Column">
                    <ItemTemplate>
                        <asp:Label ID="lblBC_Pathology_Report" runat="server" Text="Pathology Result"></asp:Label>
                        <telerik:RadToolTip ID="rttBC_Pathology_Report" runat="server" TargetControlID="lblBC_Pathology_Report" RelativeTo="Element"
                            Position="TopCenter" Width="400px" RenderInPageRoot="true"  HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                            <%# DataBinder.Eval(Container, "DataItem.Pathology_Report")%>
                        </telerik:RadToolTip>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>

                <custom:CustomFilteringColumn DataField="stage" UniqueName="stage" HeaderText="Stage"
                    ColumnGroupName="icd9" SortExpression="stage" HeaderButtonType="None" 
                    FilterControlAltText="Filter Textbox for Stage" FilterControlToolTip="Filter Textbox for Stage"
                    HeaderTooltip="Stage Column" FilterControlWidth="50">
                </custom:CustomFilteringColumn>
                
                <telerik:GridBoundColumn DataField="brca" UniqueName="BC_brca_Report" HeaderText="BRCA Status"
                    HeaderTooltip="BRCA Column" FilterControlWidth="50" HeaderButtonType="None"
                    Visible="false" />    
                <telerik:GridTemplateColumn HeaderText="BRCA Status" DataField="brca" SortExpression="brca"
                    AllowFiltering="true" UniqueName="BC_brca_GUI" HeaderButtonType="None"
                    FilterControlAltText="Filter Textbox for BRCA Status" FilterControlToolTip="Filter Textbox for BRCA Status"
                    HeaderTooltip="BRCA Status Column" >
                    <ItemTemplate>
                        <asp:Label ID="lblBC_brca" runat="server" Text="BRCA Result"></asp:Label>
                        <telerik:RadToolTip ID="rttBC_brca" runat="server" TargetControlID="lblBC_brca" RelativeTo="Element"
                            Position="TopCenter" Width="400px" RenderInPageRoot="true"  HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                            <%# DataBinder.Eval(Container, "DataItem.brca")%>
                        </telerik:RadToolTip>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                
                <telerik:GridBoundColumn DataField="Estrogen_Receptor" UniqueName="BC_Estrogen_Receptor_Report" HeaderText="Estrogen Receptor"
                    HeaderTooltip="Estrogen Receptor Column" FilterControlWidth="50" HeaderButtonType="None"
                    Visible="false" />    
                <telerik:GridTemplateColumn HeaderText="Estrogen Receptor" DataField="Estrogen_Receptor" SortExpression="Estrogen_Receptor"
                    AllowFiltering="true" UniqueName="BC_Estrogen_Receptor_GUI" HeaderButtonType="None"
                    FilterControlAltText="Filter Textbox for Estrogen Receptor" FilterControlToolTip="Filter Textbox for Estrogen Receptor"
                    HeaderTooltip="Estrogen Receptor Column">
                    <ItemTemplate>
                        <asp:Label ID="lblBC_Estrogen_Receptor" runat="server" Text="Estrogen Result"></asp:Label>
                        <telerik:RadToolTip ID="rttBC_Estrogen_Receptor" runat="server" TargetControlID="lblBC_Estrogen_Receptor" RelativeTo="Element"
                            Position="TopCenter" Width="400px" RenderInPageRoot="true"  HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                            <%# DataBinder.Eval(Container, "DataItem.Estrogen_Receptor")%>
                        </telerik:RadToolTip>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                
                <telerik:GridBoundColumn DataField="Progesterone_Receptor" UniqueName="BC_Progesterone_Receptor_Report" HeaderText="Progesterone Receptor"
                    HeaderTooltip="Progesterone Receptor Column" FilterControlWidth="50" HeaderButtonType="None"
                    Visible="false" />    
                <telerik:GridTemplateColumn HeaderText="Progesterone Receptor" DataField="Progesterone_Receptor" SortExpression="Progesterone_Receptor"
                    AllowFiltering="true" UniqueName="BC_Progesterone_Receptor_GUI" HeaderButtonType="None"
                    FilterControlAltText="Filter Textbox for Progesterone Receptor" FilterControlToolTip="Filter Textbox for Progesterone Receptor"
                    HeaderTooltip="Estrogen Progesterone Column">
                    <ItemTemplate>
                        <asp:Label ID="lblBC_Progesterone_Receptor" runat="server" Text="Progesterone Result"></asp:Label>
                        <telerik:RadToolTip ID="rttBC_Progesterone_Receptor" runat="server" TargetControlID="lblBC_Progesterone_Receptor" RelativeTo="Element"
                            Position="TopCenter" Width="400px" RenderInPageRoot="true"  HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                            <%# DataBinder.Eval(Container, "DataItem.Progesterone_Receptor")%>
                        </telerik:RadToolTip>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                
                <telerik:GridBoundColumn DataField="her2" UniqueName="BC_her2_Report" HeaderText="HER2 by IHC"
                    HeaderTooltip="HER2 Column" FilterControlWidth="50" HeaderButtonType="None"
                    Visible="false" />    
                <telerik:GridTemplateColumn HeaderText="HER2 by IHC" DataField="her2" SortExpression="her2"
                    AllowFiltering="true" UniqueName="BC_her2_GUI" HeaderButtonType="None"
                    FilterControlAltText="Filter Textbox for HER2" FilterControlToolTip="Filter Textbox for HER2"
                    HeaderTooltip="HER2 Column">
                    <ItemTemplate>
                        <asp:Label ID="lblBC_her2" runat="server" Text="HER2 Result"></asp:Label>
                        <telerik:RadToolTip ID="rttBC_her2" runat="server" TargetControlID="lblBC_her2" RelativeTo="Element"
                            Position="TopCenter" Width="400px" RenderInPageRoot="true"  HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                            <%# DataBinder.Eval(Container, "DataItem.her2")%>
                        </telerik:RadToolTip>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>                               
                
                <telerik:GridBoundColumn HeaderText="Chemotherapy" DataField="Chemotherapy"  HeaderButtonType="None"
                    ColumnGroupName="treatment" AllowFiltering="false" UniqueName="BC_Chemotherapy_Report" visible="false" >                                      
                </telerik:GridBoundColumn>     
                <telerik:GridTemplateColumn HeaderText="Chemotherapy" DataField="Chemotherapy"  HeaderButtonType="None"
                    ColumnGroupName="treatment" AllowFiltering="true" UniqueName="BC_Chemotherapy_GUI" SortExpression="Chemotherapy"
                    FilterControlAltText="Filter Textbox for Chemotherapy" FilterControlToolTip="Filter Textbox for Chemotherapy"
                    HeaderTooltip="Chemotherapy Column">
                    <ItemTemplate>
                        <asp:Label ID="lblBC_Chemotherapy" runat="server" Text="Chemotherapy Result"></asp:Label>
                        <telerik:RadToolTip ID="rttBC_Chemotherapy" runat="server" TargetControlID="lblBC_Chemotherapy" RelativeTo="Element"
                            Position="TopCenter" Width="400px" RenderInPageRoot="true"  HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                            <%# DataBinder.Eval(Container, "DataItem.Chemotherapy")%>
                        </telerik:RadToolTip>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>                              

                <telerik:GridBoundColumn HeaderText="Radiation Therapy" DataField="Radiation"  HeaderButtonType="None"
                    ColumnGroupName="treatment" AllowFiltering="false" UniqueName="BC_Radiation_Report" visible="false" >                                      
                </telerik:GridBoundColumn>
                <telerik:GridTemplateColumn HeaderText="Radiation Therapy" DataField="Radiation" 
                    ColumnGroupName="treatment" AllowFiltering="true" UniqueName="BC_Radiation_GUI" HeaderButtonType="None"
                     SortExpression="Radiation"
                    FilterControlAltText="Filter Textbox for Radiation Therapy" FilterControlToolTip="Filter Textbox for Radiation Therapy"
                    HeaderTooltip="Radiation Therapy Column">
                    <ItemTemplate>
                        <asp:Label ID="lblBC_Radiation" runat="server" Text="Radiation Result"></asp:Label>
                        <telerik:RadToolTip ID="rttBC_Radiation" runat="server" TargetControlID="lblBC_Radiation" RelativeTo="Element"
                            Position="TopCenter" Width="400px" RenderInPageRoot="true"  HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                            <%# DataBinder.Eval(Container, "DataItem.Radiation")%>
                        </telerik:RadToolTip>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>                            

                 <telerik:GridBoundColumn HeaderText="Hormonal Therapy" DataField="Hormonal"  HeaderButtonType="None"
                    ColumnGroupName="treatment" AllowFiltering="false" UniqueName="BC_Hormonal_Report" visible="false" >                                      
                </telerik:GridBoundColumn>
                <telerik:GridTemplateColumn HeaderText="Hormonal Therapy" DataField="Hormonal"  HeaderButtonType="None"
                    ColumnGroupName="treatment" AllowFiltering="true" UniqueName="BC_Hormonal_GUI" SortExpression="Hormonal"
                    FilterControlAltText="Filter Textbox for Hormonal Therapy" FilterControlToolTip="Filter Textbox for Hormonal Therapy"
                    HeaderTooltip="Hormonal Therapy Column">
                    <ItemTemplate>
                        <asp:Label ID="lblBC_Hormonal" runat="server" Text="Hormonal Result"></asp:Label>
                        <telerik:RadToolTip ID="rttBC_Hormonal" runat="server" TargetControlID="lblBC_Hormonal" RelativeTo="Element"
                            Position="TopCenter" Width="400px" RenderInPageRoot="true"  HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                            <%# DataBinder.Eval(Container, "DataItem.Hormonal")%>
                        </telerik:RadToolTip>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>                           

                <telerik:GridBoundColumn HeaderText="Medications" DataField="AllMed"  HeaderButtonType="None"
                    ColumnGroupName="treatment" AllowFiltering="false" UniqueName="BC_AllMed_Report" visible="false" >                                      
                </telerik:GridBoundColumn>
                <telerik:GridTemplateColumn HeaderText="Medications" DataField="AllMed"  HeaderButtonType="None"
                    ColumnGroupName="treatment" AllowFiltering="true" UniqueName="BC_AllMed_GUI" SortExpression="AllMed"
                    FilterControlAltText="Filter Textbox for Medications" FilterControlToolTip="Filter Textbox for Medications"
                    HeaderTooltip="Medications Column">
                    <ItemTemplate>
                        <asp:Label ID="lblBC_AllMed" runat="server" Text="Medications"></asp:Label>
                        <telerik:RadToolTip ID="rttBC_AllMed" runat="server" TargetControlID="lblBC_AllMed" RelativeTo="Element"
                            Position="TopCenter" Width="400px" RenderInPageRoot="true"  HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                            <%# DataBinder.Eval(Container, "DataItem.AllMed")%>
                        </telerik:RadToolTip>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>                         

                <telerik:GridBoundColumn HeaderText="All Other Diagnosis" DataField="ICD9Other" 
                    AllowFiltering="false" UniqueName="BC_ICD9Other_Report" visible="false" HeaderButtonType="None" >                                      
                </telerik:GridBoundColumn>
                <telerik:GridTemplateColumn HeaderText="All Other Diagnosis" DataField="ICD9Other" HeaderButtonType="None"
                    AllowFiltering="true" UniqueName="BC_ICD9Other_GUI" SortExpression="ICD9Other"
                    FilterControlAltText="Filter Textbox for All Other Diagnosis" FilterControlToolTip="Filter Textbox for All Other Diagnosis"
                    HeaderTooltip="All Other Diagnosis Column">
                    <ItemTemplate>
                       <asp:Label ID="lblBC_ICD9Other" runat="server" Text="ICD9 Codes"></asp:Label>
                        <telerik:RadToolTip ID="rttBC_ICD9Other" runat="server" TargetControlID="lblBC_ICD9Other" RelativeTo="Element"
                            Position="TopCenter" Width="400px" RenderInPageRoot="true"  HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                            <%# DataBinder.Eval(Container, "DataItem.ICD9Other")%>
                        </telerik:RadToolTip>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>

                <telerik:GridBoundColumn DataField="age" UniqueName="age" HeaderText="Age" FilterControlAltText="Filter Textbox for Patient Age"
                    FilterControlToolTip="Filter Textbox for Age" HeaderTooltip="Age Column" ColumnGroupName="demo"
                    FilterControlWidth="30" HeaderButtonType="None" />
                <custom:CustomFilteringColumn DataField="race" UniqueName="race" FilterControlAltText="Filter Dropdown for Patient Race"
                    FilterControlToolTip="Filter Dropdown for Race" HeaderText="Race" HeaderTooltip="Race Column"
                    FilterControlWidth="75" ColumnGroupName="demo" HeaderButtonType="None" />
                <custom:CustomFilteringColumn DataField="gender" UniqueName="gender" HeaderText="Gender"
                    FilterControlAltText="Filter Dropdown for Patient Gender" FilterControlToolTip="Filter Dropdown for Gender"
                    HeaderTooltip="Gender Column" ColumnGroupName="demo" FilterControlWidth="50" HeaderButtonType="None" />

                <telerik:GridDateTimeColumn DataField="Date_Of_Death" UniqueName="Date_Of_Death"
                    HeaderText="Date of Death" HeaderTooltip="Date of Death column" ColumnGroupName="demo"
                    FilterControlWidth="75" DataFormatString="{0:MM/dd/yyyy}" HeaderButtonType="None" Visible="false">
                </telerik:GridDateTimeColumn>
                <telerik:GridBoundColumn DataField="patient_zip" UniqueName="patient_zip" HeaderText="Patient Zip"
                    FilterControlAltText="Filter Textbox for Patient zip" FilterControlToolTip="Filter Textbox for Patient Zip"
                    HeaderTooltip="Patient Zip Column" ColumnGroupName="demo" FilterControlWidth="30" HeaderButtonType="None" />
            </Columns>
            <EditFormSettings UserControlName="./controls/BreastCancer_PD.ascx" EditFormType="WebUserControl" CaptionFormatString="Details">
                <EditColumn UniqueName="EditCommandColumn1">
                </EditColumn>
            </EditFormSettings>
        </MasterTableView>
        <ClientSettings AllowKeyboardNavigation="true">
            <Selecting AllowRowSelect="true" />
            <ClientEvents OnFilterMenuShowing="focusFilterMenu" OnRowDblClick="RowDblClick" />
            <KeyboardNavigationSettings EnableKeyboardShortcuts="true" />
        </ClientSettings>
        <FilterMenu OnClientShowing="MenuShowing" />
        <PagerStyle Mode="NextPrevAndNumeric" />
    </telerik:RadGrid>
</asp:Content>
