﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Registry.master" AutoEventWireup="true" CodeFile="BreastCancer_Rpt.aspx.cs" Inherits="Reports_BreastCancer_Rpt" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Charting" TagPrefix="telerik" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <telerik:RadCodeBlock runat="server" ID="rcb1">
        <script type="text/javascript">
            function ShowProgress() {
                setTimeout(function () {
                    var modal = $('<div />');
                    modal.addClass("modal");
                    $('body').append(modal);
                    var loading = $(".loading");
                    loading.show();
                    var top = Math.max($(window).height() / 2 - loading[0].offsetHeight / 2, 0);
                    var left = Math.max($(window).width() / 2 - loading[0].offsetWidth / 2, 0);
                    loading.css({ top: top, left: left });
                }, 200);
            }
        </script>
    </telerik:RadCodeBlock>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" runat="Server">
    <telerik:RadSkinManager ID="QsfSkinManager" runat="server" ShowChooser="false" Skin="Office2010Blue" />
    <%--<telerik:RadAjaxManager ID="ram" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="rgBreastCancer">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgBreastCancer" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="btnRunReport">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgBreastCancer" LoadingPanelID="ralp1" />
                    <telerik:AjaxUpdatedControl ControlID="lblExecutionTime" LoadingPanelID="ralp1" UpdatePanelRenderMode="Inline" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="btnClearReport">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="pnlAdvancedSearch" LoadingPanelID="ralp1" />
                    <telerik:AjaxUpdatedControl ControlID="rgBreastCancer" LoadingPanelID="ralp1" />
                    <telerik:AjaxUpdatedControl ControlID="lblExecutionTime" LoadingPanelID="ralp1" UpdatePanelRenderMode="Inline" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="rcbVisn">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rcbFac" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="rcbFac">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="btnRunReport" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>

    <telerik:RadAjaxLoadingPanel ID="ralp1" runat="server" Skin="Office2010Blue" />--%>

    <table style="width: 100%;">
        <tr>
            <td style="padding-left: 10px; padding-right: 10px; padding-top: 4px; width: 250px; vertical-align: top; background-color: #F5F5F5;">
                <asp:Panel ID="pnlAdvancedSearch" runat="server">
                    <!--Start Filters-->
                    <h2>Search Filters:</h2>
                    <br />
                    <asp:Label runat="server" ID="lblVisn" Text="Select VISN:" AssociatedControlID="rcbVisn" /><br />
                    <telerik:RadComboBox ID="rcbVisn" runat="server" Width="100%" AccessKey="v" TabIndex="3" OnClientSelectedIndexChanged="ShowProgress"
                        AutoPostBack="true" OnSelectedIndexChanged="rcbVisn_SelectedIndexChanged" />
                    <br />
                    <br />
                    <asp:Label runat="server" ID="lblFac" Text="Select Station / Healthcare System:" AssociatedControlID="rcbFac" /><br />
                    <telerik:RadComboBox ID="rcbFac" runat="server" Width="100%" AccessKey="v" TabIndex="3" OnClientSelectedIndexChanged="ShowProgress"
                        AutoPostBack="true" OnSelectedIndexChanged="rcbFac_SelectedIndexChanged" Enabled="false" />
                    <br />
                    <br />

                    <asp:Label runat="server" ID="lblStartDate" Text="Start Date:" AssociatedControlID="rdpStartDate" /><br />
                    <telerik:RadDatePicker ID="rdpStartDate" runat="server" ZIndex="30001" TabIndex="4" />
                    <br />
                    <br />

                    <asp:Label runat="server" ID="lblEndDate" Text="End Date:" AssociatedControlID="rdpEndDate" /><br />
                    <telerik:RadDatePicker ID="rdpEndDate" runat="server" ZIndex="30001" TabIndex="5" />
                    <br />
                    <br />

                    <asp:Label runat="server" ID="lblPatientName" Text="Patient Name (contains):" AssociatedControlID="rtbPatientName" />
                    <br />
                    <telerik:RadTextBox ID="rtbPatientName" runat="server" TextMode="SingleLine" ToolTip="Patient Name Contains:" Width="100%" />
                    <br />
                    <br />

                    <asp:Label runat="server" ID="lblGender" Text="Gender:" AssociatedControlID="rlbGender" />
                    <br />
                    <telerik:RadListBox ID="rlbGender" runat="server" TabIndex="6" SelectionMode="Single" Width="100%">
                        <Items>
                            <telerik:RadListBoxItem Text="All" Value="All" Selected="true" />
                            <telerik:RadListBoxItem Text="F" Value="F" />
                            <telerik:RadListBoxItem Text="M" Value="M" />
                        </Items>
                    </telerik:RadListBox>
                    <br />
                    <br />
                    <asp:Label runat="server" ID="lblRace" Text="Race:" AssociatedControlID="rcbRace" />
                    <br />
                    <telerik:RadComboBox ID="rcbRace" runat="server" TabIndex="6" Width="100%">
                    </telerik:RadComboBox>
                    <br />
                    <br />
                    <asp:Label runat="server" ID="lblProviderName" Text="Provider Name (contains):" AssociatedControlID="rtbProviderName" />
                    <br />
                    <telerik:RadTextBox ID="rtbProviderName" runat="server" TextMode="SingleLine" ToolTip="Provider Name Contains:" Width="100%" />
                    <br />
                    <br />
                    <table style="padding: 0px;">
                        <tr>
                            <td style="vertical-align: top; padding-right: 5px;">
                                <telerik:RadButton ID="btnRunReport" runat="server" Enabled="false" Text="Run Report" OnClick="btnRunReport_Click" OnClientClicked="ShowProgress" />
                            </td>
                            <td style="vertical-align: top; padding: 0px;">
                                <telerik:RadButton ID="btnClearReport" runat="server" Text="Reset" OnClick="btnClearReport_Click" OnClientClicked="ShowProgress" />
                            </td>
                        </tr>
                    </table>
                    <br />
                    <!--End Filters-->
                </asp:Panel>
            </td>
            <td style="vertical-align: top; padding-right: 10px;">
                <div style="text-align: right;">
                    <asp:Label ID="lblExecutionTimeLabel" runat="server" AssociatedControlID="lblExecutionTime" Text="Execution Time:" ToolTip="Report Execution Time" />
                    <asp:Label ID="lblExecutionTime" runat="server" ToolTip="Length of time to execute report" />
                </div>

                <!--Start Export Buttons -->
                <asp:Button runat="server" ID="btnExcel" Text="Export to Excel" CommandName="XLS"
                    OnClick="btnExport_Click" ToolTip="Export to Excel" TabIndex="8" />
                <asp:Button runat="server" ID="btnCSV" Text="Export to CSV" CommandName="CSV" ToolTip="Export to CSV"
                    OnClick="btnExport_Click" TabIndex="9" />
                <asp:Button runat="server" ID="btnPDF" Text="Export to PDF" CommandName="PDF" ToolTip="Export to PDF"
                    OnClick="btnExport_Click" TabIndex="10" Visible="true" />
                <asp:Button runat="server" ID="btnWord" Text="Export to Word" CommandName="DOC" ToolTip="Export to DOC"
                    OnClick="btnExport_Click" TabIndex="11" />
                <!--End Export Buttons -->

                <!--Start Grid-->
                <telerik:RadGrid ID="rgBreastCancer" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                    EnableLinqExpressions="false" ShowStatusBar="true"
                    TabIndex="6" OnNeedDataSource="rgBreastCancer_NeedDataSource" OnItemDataBound="rgBreastCancer_ItemDataBound"
                    OnItemCreated="rgBreastCancer_ItemCreated">
                    <MasterTableView AutoGenerateColumns="false" DataKeyNames="PatientSID" ClientDataKeyNames="PatientSID"
                        AllowFilteringByColumn="false" AllowSorting="true" AllowPaging="true" CommandItemDisplay="None" PagerStyle-AlwaysVisible="true"
                        TabIndex="12" Width="100%" PageSize="20" ShowHeadersWhenNoRecords="true">
                        <NoRecordsTemplate>
                            <table>
                                <tr>
                                    <td>
                                        <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-size: 12pt; font-weight: normal;" TabIndex="14">
                                                Either no results were found with the selected parameters or the initial search has not been performed yet.  Please select criteria and click on the "Run Report" button
                                        </asp:Label></td>
                                </tr>
                            </table>
                        </NoRecordsTemplate>
                        <SortExpressions>
                            <telerik:GridSortExpression FieldName="Patient_Name" SortOrder="Ascending" />
                        </SortExpressions>
                        <ColumnGroups>
                            <telerik:GridColumnGroup HeaderText="Team / Provider" Name="provider" />
                            <telerik:GridColumnGroup HeaderText="Patient" Name="patient" />
                            <telerik:GridColumnGroup HeaderText="Breast Cancer" Name="breastCancer" />
                            <telerik:GridColumnGroup HeaderText="Treatment" Name="treatment" />
                            <%--                            <telerik:GridColumnGroup HeaderText="Breast Biopsies" Name="biop" />
                            <telerik:GridColumnGroup HeaderText="Other Data" Name="otherData" />
                            <telerik:GridColumnGroup HeaderText="Surgeries" Name="surg" />--%>
                            <%--<telerik:GridColumnGroup HeaderText="Patient Demographics" Name="demo" />--%>
                        </ColumnGroups>
                        <Columns>
                            <telerik:GridTemplateColumn DataField="PatientSID" UniqueName="PatientSID" HeaderText="Details" HeaderTooltip="Click for More Details"
                                HeaderButtonType="None" AllowFiltering="false" AllowSorting="false" Exportable="false" ShowSortIcon="false" ShowFilterIcon="false">
                                <ItemTemplate>
                                    <a href="PatientDetails.aspx?id=<%# DataBinder.Eval(Container, "DataItem.PatientSID")%>" title="Click for patient details for <%# DataBinder.Eval(Container, "DataItem.Patient_Name")%>">Details</a>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <telerik:GridBoundColumn DataField="PCMMTeam" UniqueName="PCMMTeam" HeaderText="PACT Team" HeaderTooltip="PACT Team Column" ColumnGroupName="provider"
                                HeaderButtonType="None" AllowFiltering="false" />

                            <telerik:GridBoundColumn DataField="PCMMStaffName" UniqueName="PCMMStaffName" HeaderText="Provider Name" HeaderTooltip="Provider Name Column" ColumnGroupName="provider"
                                HeaderButtonType="None" AllowFiltering="false" EmptyDataText="Unassigned Provider" />

                            <telerik:GridBoundColumn DataField="Patient_Name" UniqueName="Patient_Name" HeaderText="Last Name, First" HeaderTooltip="Patient Name Column" ColumnGroupName="patient"
                                HeaderButtonType="None" AllowFiltering="false" />

                            <telerik:GridBoundColumn DataField="age" UniqueName="age" HeaderText="Age" HeaderTooltip="Age Column" ColumnGroupName="patient"
                                HeaderButtonType="None" AllowFiltering="false" />

                            <telerik:GridBoundColumn DataField="gender" UniqueName="gender" HeaderText="Gender" HeaderTooltip="Gender Column" ColumnGroupName="patient"
                                HeaderButtonType="None" AllowFiltering="false" />

                            <telerik:GridBoundColumn DataField="Race" UniqueName="Race" HeaderText="Race" HeaderTooltip="Race Column" ColumnGroupName="patient"
                                HeaderButtonType="None" AllowFiltering="false" />

                            <telerik:GridBoundColumn DataField="Zip" UniqueName="Zip" HeaderText="Zip Code" HeaderTooltip="Zip Code Column" ColumnGroupName="patient"
                                HeaderButtonType="None" AllowFiltering="false" />

                            <telerik:GridBoundColumn DataField="BreastCancerDx" UniqueName="BB_BreastCancerDx_Report" HeaderText="Breast Cancer Dx" HeaderTooltip="Breast Cancer Dx Column" ColumnGroupName="breastCancer"
                                HeaderButtonType="None" AllowFiltering="false" Visible="false" ConvertEmptyStringToNull="true" />
                            <telerik:GridTemplateColumn HeaderText="Breast Cancer Dx" DataField="BreastCancerDx" SortExpression="BreastCancerDx" ColumnGroupName="breastCancer"
                                AllowFiltering="false" UniqueName="BB_BreastCancerDx_GUI" HeaderButtonType="None">
                                <ItemTemplate>
                                    <asp:Label ID="lblBB_BreastCancerDx" runat="server" Text="View Breast Cancer Dx" ToolTip="Breast Cancer Dx Column"></asp:Label>
                                    <telerik:RadToolTip ID="rttBB_BreastCancerDx" runat="server" TargetControlID="lblBB_BreastCancerDx" RelativeTo="Element"
                                        Position="TopCenter" OffsetX="-10" OffsetY="-10" RenderInPageRoot="true" Width="400px"
                                        HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                                    </telerik:RadToolTip>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <%--<telerik:GridBoundColumn DataField="Pathology" UniqueName="Pathology" HeaderText="Pathology Report" HeaderTooltip="Pathology Report Column" ColumnGroupName="breastCancer"
                                HeaderButtonType="None" AllowFiltering="false" />--%>

                            <telerik:GridBoundColumn DataField="Pathology" UniqueName="BB_Pathology_Report" HeaderText="Pathology Report" HeaderTooltip="Pathology Report Data Column" ColumnGroupName="breastCancer"
                                HeaderButtonType="None" AllowFiltering="false" Visible="false" ConvertEmptyStringToNull="true" />
                            <telerik:GridTemplateColumn HeaderText="Pathology Report Data" DataField="Pathology" SortExpression="Pathology" ColumnGroupName="breastCancer"
                                AllowFiltering="false" UniqueName="BB_Pathology_GUI" HeaderButtonType="None">
                                <ItemTemplate>
                                    <asp:Label ID="lblBB_Pathology" runat="server" Text="View Pathology Data"></asp:Label>
                                    <telerik:RadToolTip ID="rttBB_Pathology" runat="server" TargetControlID="lblBB_Pathology" RelativeTo="Element"
                                        Position="TopCenter" OffsetX="-10" OffsetY="-10" RenderInPageRoot="true" Width="400px"
                                        HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                                    </telerik:RadToolTip>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <telerik:GridBoundColumn DataField="BreastCancerStage" UniqueName="BreastCancerStage" HeaderText="Stage" HeaderTooltip="Breast Cancer Stage Column" ColumnGroupName="breastCancer"
                                HeaderButtonType="None" AllowFiltering="false" />

                            <telerik:GridBoundColumn DataField="BCRAStatus" UniqueName="BCRAStatus" HeaderText="BCRA Status" HeaderTooltip="BCRA Status Column"
                                HeaderButtonType="None" AllowFiltering="false" />

                            <telerik:GridBoundColumn DataField="TumorRegData" UniqueName="BB_TumorRegData_Report" HeaderText="Tumor Registry Data" HeaderTooltip="Tumor Registry Data Column"
                                HeaderButtonType="None" AllowFiltering="false" Visible="false" ConvertEmptyStringToNull="true" />
                            <telerik:GridTemplateColumn HeaderText="Tumor Registry Data" DataField="TumorRegData" SortExpression="TumorRegData"
                                AllowFiltering="false" UniqueName="BB_TumorRegData_GUI" HeaderButtonType="None">
                                <ItemTemplate>
                                    <asp:Label ID="lblBB_TumorRegData" runat="server" Text="View Tumor Registry Data"></asp:Label>
                                    <telerik:RadToolTip ID="rttBB_TumorRegData" runat="server" TargetControlID="lblBB_TumorRegData" RelativeTo="Element"
                                        Position="TopCenter" OffsetX="-10" OffsetY="-10" RenderInPageRoot="true" Width="400px"
                                        HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                                    </telerik:RadToolTip>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <%-- Chemotherapy --%>
                            <telerik:GridBoundColumn DataField="Chemotherapy" UniqueName="BB_Chemotherapy_Report" HeaderText="Chemotherapy Data" HeaderTooltip="Chemotherapy Data Column"
                                HeaderButtonType="None" AllowFiltering="false" Visible="false" ConvertEmptyStringToNull="true" ColumnGroupName="treatment" />
                            <telerik:GridTemplateColumn HeaderText="Chemotherapy Data" DataField="Chemotherapy" SortExpression="Chemotherapy"
                                AllowFiltering="false" UniqueName="BB_Chemotherapy_GUI" HeaderButtonType="None" ColumnGroupName="treatment">
                                <ItemTemplate>
                                    <asp:Label ID="lblBB_Chemotherapy" runat="server" Text="View Chemotherapy Data"></asp:Label>
                                    <telerik:RadToolTip ID="rttBB_Chemotherapy" runat="server" TargetControlID="lblBB_Chemotherapy" RelativeTo="Element"
                                        Position="TopCenter" OffsetX="-10" OffsetY="-10" RenderInPageRoot="true" Width="400px"
                                        HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                                    </telerik:RadToolTip>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <%-- Radiation --%>
                            <telerik:GridBoundColumn DataField="Radiation" UniqueName="BB_Radiation_Report" HeaderText="Radiation Data" HeaderTooltip="Radiation Data Column"
                                HeaderButtonType="None" AllowFiltering="false" Visible="false" ConvertEmptyStringToNull="true" ColumnGroupName="treatment" />
                            <telerik:GridTemplateColumn HeaderText="Radiation Data" DataField="Radiation" SortExpression="Radiation"
                                AllowFiltering="false" UniqueName="BB_Radiation_GUI" HeaderButtonType="None" ColumnGroupName="treatment">
                                <ItemTemplate>
                                    <asp:Label ID="lblBB_Radiation" runat="server" Text="View Radiation Data"></asp:Label>
                                    <telerik:RadToolTip ID="rttBB_Radiation" runat="server" TargetControlID="lblBB_Radiation" RelativeTo="Element"
                                        Position="TopCenter" OffsetX="-10" OffsetY="-10" RenderInPageRoot="true" Width="400px"
                                        HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                                    </telerik:RadToolTip>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <%-- HormoneTherapy --%>
                            <telerik:GridBoundColumn DataField="HormoneTherapy" UniqueName="BB_HormoneTherapy_Report" HeaderText="Hormone Therapy Data" HeaderTooltip="Hormone Therapy Data Column"
                                HeaderButtonType="None" AllowFiltering="false" Visible="false" ConvertEmptyStringToNull="true" ColumnGroupName="treatment" />
                            <telerik:GridTemplateColumn HeaderText="Hormone Therapy Data" DataField="HormoneTherapy" SortExpression="HormoneTherapy"
                                AllowFiltering="false" UniqueName="BB_HormoneTherapy_GUI" HeaderButtonType="None" ColumnGroupName="treatment">
                                <ItemTemplate>
                                    <asp:Label ID="lblBB_HormoneTherapy" runat="server" Text="View Hormone Therapy Data"></asp:Label>
                                    <telerik:RadToolTip ID="rttBB_HormoneTherapy" runat="server" TargetControlID="lblBB_HormoneTherapy" RelativeTo="Element"
                                        Position="TopCenter" OffsetX="-10" OffsetY="-10" RenderInPageRoot="true" Width="400px"
                                        HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                                    </telerik:RadToolTip>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                        </Columns>
                    </MasterTableView>
                </telerik:RadGrid>
                <!--End Grid-->
            </td>
        </tr>
    </table>

    <div class="loading" align="center">
        Loading. Please wait.<br />
        <br />
        <img src="../images/ajax-loader.gif" />
    </div>

</asp:Content>
