﻿<%@ Page Title="" Language="C#" AutoEventWireup="true" CodeFile="BreastSurgeries_PD.aspx.cs"
    Inherits="BreastSurgeries" MasterPageFile="~/Registry.master" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Charting" TagPrefix="telerik" %>
<%@ Register TagPrefix="custom" Namespace="CustomFilter" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <telerik:RadCodeBlock runat="server" ID="rcb1">
        <script type="text/javascript">
            //this focuses context menusfor 508 compliance
            function focusFilterMenu(sender, args) {
                filterMenuShowing(sender, args);
                window.setTimeout(function () { args.get_menu().get_items().getItem(0).blur(); args.get_menu().get_items().getItem(0).focus(); }, 1);
            }

            // Hide unwanted menu items
            var column = null;
            var columnName = null;

            function UpdateMenu(items, options) {
                var i = 0;
                while (i < items.get_count()) {

                    if (!(items.getItem(i).get_value() in options)) {
                        var item = items.getItem(i);
                        if (item != null)
                            item.set_visible(false);
                    }
                    else {
                        var item = items.getItem(i);
                        if (item != null)
                            item.set_visible(true);
                    }

                    i++;
                }
            }

            function MenuShowing(sender, args) {
                if (column == null) return;
                if (columnName == null) return;

                var menu = sender;
                var items = menu.get_items();

                if (columnName == "age" || columnName == "pathology_date") {
                    UpdateMenu(items, { 'NoFilter': '', 'EqualTo': '', 'GreaterThanOrEqualTo': '', 'LessThanOrEqualTo': '' })
                }
                else if (columnName == "Patient_Name" || columnName == "patient_zip" || columnName == "Patient_SSN" ||
                         columnName == "procedure_location" || columnName == "BS_Pathology_Report_GUI" ||
                         columnName == "BS_Surgery_GUI") {
                    UpdateMenu(items, { 'NoFilter': '', 'Contains': '' })
                }

                column = null;
                columnName = null;
                menu.repaint();
            }

            function filterMenuShowing(sender, eventArgs) {
                column = eventArgs.get_column();
                columnName = eventArgs.get_column().get_uniqueName();
            }

            function RowDblClick(sender, eventArgs) {
                sender.get_masterTableView().editItem(eventArgs.get_itemIndexHierarchical());
            }
        </script>
    </telerik:RadCodeBlock>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" runat="Server">
    <telerik:RadAjaxManager ID="ram" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="rcbFac">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="btnRunReport" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="rgBreastSurgeries">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgBreastSurgeries" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="btnRunReport">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgBreastSurgeries" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="ralp1" runat="server" Skin="WebBlue" />
    <a href="content" tabindex="1"></a>
    <br />
    <table>
        <tr>
            <td>
                <table>
                    <tr>
                        <td>
                            <asp:Label runat="server" ID="lblVisn" Text="Select VISN:" AssociatedControlID="rcbVisn" /><br />
                            <telerik:RadComboBox ID="rcbVisn" runat="server" Width="350px" AccessKey="v" TabIndex="3"
                                AutoPostBack="true" OnSelectedIndexChanged="rcbVisn_SelectedIndexChanged" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label runat="server" ID="lblFac" Text="Select Station:" AssociatedControlID="rcbFac" /><br />
                            <telerik:RadComboBox ID="rcbFac" runat="server" Width="350px" AccessKey="v" TabIndex="3"
                                AutoPostBack="true" OnSelectedIndexChanged="rcbFac_SelectedIndexChanged" Enabled="false"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label runat="server" ID="Label1" Text="Surgery Date:" AssociatedControlID="rcbFac" /><br />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label runat="server" ID="Label2" Text="From Date:" AssociatedControlID="fromDate" /><br />
                            <telerik:RadDatePicker ID="fromDate" runat="server" ZIndex="30001" TabIndex="4" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:RequiredFieldValidator runat="server" ID="RequiredFieldValidator_fromDate" ControlToValidate="fromDate"
                                ErrorMessage="'From Date:' is a required field" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label runat="server" ID="Label3" Text="To Date:" AssociatedControlID="toDate" /><br />
                            <telerik:RadDatePicker ID="toDate" runat="server" ZIndex="30001" TabIndex="5" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:RequiredFieldValidator runat="server" ID="RequiredFieldValidator_toDate" ControlToValidate="toDate"
                                ErrorMessage="'To Date:' is a required field" />

                            <asp:CompareValidator runat="server" ID="dateCompareValidator" ControlToValidate="toDate"
                                ControlToCompare="fromDate" Operator="GreaterThanEqual" Type="Date"
                                ErrorMessage="'From Date:' must precede 'To Date:'" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Button runat="server" ID="btnRunReport" Text="Run Report" OnClick="btnReport_Click"
                                ToolTip="Run Report" Enabled="false" TabIndex="6" />
                        </td>
                    </tr>
                </table>
            </td>
            <td>
                <table cellspacing="10px" cellpadding="10px" border="0">
                    <tr>
                        <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <asp:Panel ID="Panel1" runat="server" GroupingText="Breast Surgeries Report Description"
                                Width="650px">
                                <asp:Label ID="BreastSurgeriesDescription" runat="server" Font-Italic="true">
                                </asp:Label>
                            </asp:Panel>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    <br />
    <br />
    <asp:Label runat="server" ID="lblAccessibility" TabIndex="7" AccessKey="i" Text="Ctrl-y selects the grid.  Use Tab and arrow keys to navigate." />
    <br />
    <br />
    <asp:Button runat="server" ID="btnExcel" Text="Export to Excel" CommandName="XLS"
        OnClick="btnExport_Click" ToolTip="Export to Excel" TabIndex="8" />
    <asp:Button runat="server" ID="btnCSV" Text="Export to CSV" CommandName="CSV" ToolTip="Export to CSV"
        OnClick="btnExport_Click" TabIndex="9" />
    <asp:Button runat="server" ID="btnPDF" Text="Export to PDF" CommandName="PDF" ToolTip="Export to PDF"
        OnClick="btnExport_Click" TabIndex="10" Visible="false" />
    <asp:Button runat="server" ID="btnWord" Text="Export to Word" CommandName="DOC" ToolTip="Export to DOC"
        OnClick="btnExport_Click" TabIndex="11" />
    <telerik:RadGrid ID="rgBreastSurgeries" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
        EnableLinqExpressions="false" ShowStatusBar="true" OnItemCommand="rgBreastSurgeries_ItemCommand"
        TabIndex="6" OnNeedDataSource="rgBreastSurgeries_NeedDataSource" OnItemDataBound="rgBreastSurgeries_ItemDataBound"
        OnItemCreated="rgBreastSurgeries_ItemCreated" OnExcelMLExportStylesCreated="rgBreastSurgeries_ExcelMLExportStylesCreated" 
        OnExcelMLExportRowCreated="rgBreastSurgeries_ExcelMLExportRowCreated">
        <MasterTableView AutoGenerateColumns="false" AllowFilteringByColumn="true" AllowSorting="true"
            AllowPaging="true" CommandItemDisplay="Top" TabIndex="7" Width="800" PageSize="10"
            ShowHeadersWhenNoRecords="true">
            <NoRecordsTemplate>
                <table>
                    <tr>
                        <td>
                            <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-weight: bold" TabIndex="14">There are no results with the selected filters.  Please search again.</asp:Label></td>
                    </tr>
                </table>
            </NoRecordsTemplate>
            <SortExpressions>
                <telerik:GridSortExpression FieldName="primary_care_physician" SortOrder="Ascending"/>
            </SortExpressions>
            <CommandItemTemplate>
                <asp:Button runat="server" ID="btnReset" Text="Clear Filters" CommandName="Reset"
                    ToolTip="Clear Filters" />
            </CommandItemTemplate>
            <ColumnGroups>
                <telerik:GridColumnGroup HeaderText="Team / Provider" Name="provider" />
                <telerik:GridColumnGroup HeaderText="Patient" Name="patient" />
                <telerik:GridColumnGroup HeaderText="Patient Demographics" Name="demo" />
                <telerik:GridColumnGroup HeaderText="Surgery Report" Name="surgery" />
            </ColumnGroups>
            <Columns>
                <telerik:GridEditCommandColumn UniqueName="EditCommandColumn" EditText="Details">
                </telerik:GridEditCommandColumn>
                <custom:CustomFilteringColumn DataField="team_name" UniqueName="team_name" HeaderText="PACT Team"
                    FilterControlAltText="Filter for PACT Team" FilterControlToolTip="Filter for PACT Team"
                    HeaderTooltip="PACT Team Column" FilterControlWidth="75" ColumnGroupName="provider" HeaderButtonType="None"
                    EmptyDataText="Unassigned PACT Team" />
                <custom:CustomFilteringColumn DataField="primary_care_physician" UniqueName="primary_care_physician"
                    HeaderText="Provider Name" FilterControlAltText="Filter for Provider" FilterControlToolTip="Filter for Provider"
                    HeaderTooltip="Provider Column" ColumnGroupName="provider" FilterControlWidth="75" HeaderButtonType="None"
                    EmptyDataText="Unassigned Provider"  />
                <telerik:GridBoundColumn DataField="Patient_Name" UniqueName="Patient_Name" HeaderText="Last Name, First"
                    FilterControlAltText="Filter Textbox for Patient Name" FilterControlToolTip="Filter Textbox for Patient Name"
                    HeaderTooltip="Patient Name Column" ColumnGroupName="patient" HeaderButtonType="None">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="Patient_SSN" UniqueName="Patient_SSN" HeaderText="Last 4"
                    FilterControlAltText="Filter Textbox for Patient Last 4" FilterControlToolTip="Filter Textbox for Last 4"
                    HeaderTooltip="Last 4 Column" ColumnGroupName="patient" FilterControlWidth="30" HeaderButtonType="None">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn HeaderText="Surgery" DataField="surgery" HeaderButtonType="None"
                    ColumnGroupName="surgery" AllowFiltering="false" UniqueName="BS_Surgery_Report" visible="false" >                                      
                </telerik:GridBoundColumn> 
                <telerik:GridTemplateColumn HeaderText="Surgery" DataField="surgery" 
                    ColumnGroupName="surgery" HeaderTooltip="Surgery Report Column" AllowFiltering="true" 
                    UniqueName="BS_Surgery_GUI" HeaderButtonType="None" SortExpression="surgery"
                    FilterControlAltText="Filter Textbox Surgery Report" FilterControlToolTip="Filter Textbox Surgery Report">
                    <ItemTemplate>                        
                        <asp:Label ID="lblBS_Surgery" runat="server" Text="Surgery Report"></asp:Label>
                        <telerik:RadToolTip ID="rttBS_Surgery" runat="server" TargetControlID="lblBS_Surgery" RelativeTo="Element"
                            Position="TopCenter" Width="400px" RenderInPageRoot="true"  HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                            <%# DataBinder.Eval(Container, "DataItem.surgery")%>
                        </telerik:RadToolTip>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridDateTimeColumn DataField="date_performed" UniqueName="date_performed" HeaderText="Date Performed"
                    HeaderTooltip="Surgery Date Column" ColumnGroupName="surgery" AllowFiltering="false" DataFormatString="{0:MM/dd/yyyy}"
                    HeaderButtonType="None" />
                <telerik:GridBoundColumn DataField="procedure_location" UniqueName="procedure_location" HeaderText="Surgery Location"
                    FilterControlAltText="Filter Textbox for Location of Surgery" FilterControlToolTip="Filter Textbox for Location of Surgery"
                    HeaderTooltip="Location of Surgery Column" ColumnGroupName="surgery" FilterControlWidth="30" HeaderButtonType="None" />    

                <telerik:GridBoundColumn HeaderText="Pathology Report" DataField="pathology_report" HeaderButtonType="None"
                    AllowFiltering="false" UniqueName="BS_Pathology_Report_Report" visible="false" >                                      
                </telerik:GridBoundColumn> 
                <telerik:GridTemplateColumn HeaderText="Pathology Report" DataField="pathology_report" 
                    HeaderTooltip="Pathology report Column" AllowFiltering="true" 
                    UniqueName="BS_Pathology_Report_GUI" HeaderButtonType="None" SortExpression="pathology_report"
                   FilterControlAltText="Filter Textbox for Pathology Report" FilterControlToolTip="Filter Textbox for Pathology Report">
                    <ItemTemplate>                        
                        <asp:Label ID="lblBS_Pathology_Report" runat="server" Text="Pathology Report"></asp:Label>
                        <telerik:RadToolTip ID="rttBS_Pathology_Report" runat="server" TargetControlID="lblBS_Pathology_Report" RelativeTo="Element"
                            Position="TopCenter" Width="400px" RenderInPageRoot="true"  HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                            <%# DataBinder.Eval(Container, "DataItem.pathology_report")%>
                        </telerik:RadToolTip>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>

                <telerik:GridBoundColumn DataField="age" UniqueName="age" HeaderText="Age" FilterControlAltText="Filter Textbox for Patient Age"
                    FilterControlToolTip="Filter Textbox for Age" HeaderTooltip="Age Column" ColumnGroupName="demo"
                    FilterControlWidth="30" HeaderButtonType="None" />
                <custom:CustomFilteringColumn DataField="race" UniqueName="race" FilterControlAltText="Filter Dropdown for Patient Race"
                    FilterControlToolTip="Filter Dropdown for Race" HeaderText="Race" HeaderTooltip="Race Column"
                    FilterControlWidth="75" ColumnGroupName="demo" HeaderButtonType="None" />
                <custom:CustomFilteringColumn DataField="gender" UniqueName="gender" HeaderText="Gender"
                    FilterControlAltText="Filter Dropdown for Patient Gender" FilterControlToolTip="Filter Dropdown for Gender"
                    HeaderTooltip="Gender Column" ColumnGroupName="demo" FilterControlWidth="50" HeaderButtonType="None" />
                <telerik:GridBoundColumn DataField="patient_zip" UniqueName="patient_zip" HeaderText="Patient Zip"
                    FilterControlAltText="Filter Textbox for Patient zip" FilterControlToolTip="Filter Textbox for Patient Zip"
                    HeaderTooltip="Patient Zip Column" ColumnGroupName="demo" FilterControlWidth="30" HeaderButtonType="None" />
            </Columns>
            <EditFormSettings UserControlName="./controls/BreastSurgeries_PD.ascx" EditFormType="WebUserControl" CaptionFormatString="Details">
                <EditColumn UniqueName="EditCommandColumn1">
                </EditColumn>
            </EditFormSettings>
        </MasterTableView>
        <ClientSettings AllowKeyboardNavigation="true">
            <Selecting AllowRowSelect="true" />
            <ClientEvents OnFilterMenuShowing="focusFilterMenu" OnRowDblClick="RowDblClick" />
            <KeyboardNavigationSettings EnableKeyboardShortcuts="true" />
        </ClientSettings>
        <FilterMenu OnClientShowing="MenuShowing" />
        <PagerStyle Mode="NextPrevAndNumeric" />
    </telerik:RadGrid>
</asp:Content>
