﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="AllMammogramsWithBiRads_PD.ascx.cs" Inherits="Reports_Controls_AllMammogramsWithBiRads_PD" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<asp:Panel ID="Panel1" runat="server" GroupingText="<b>Team / Provider</b>">
    <table id="Table3" cellspacing="2" cellpadding="1" width="100%" border="0" rules="none"
            style="table-layout: fixed; margin-left: 15px;">
        <tr>
            <td style="width: 120px">
                <asp:Label ID="Label2" runat="server" Text="PACT Team:" Font-Bold="false" AssociatedControlID="lbName" />
            </td>
            <td style="text-align:left">
                <asp:Label ID="lbName" Text='<%# DataBinder.Eval( Container, "DataItem.team_name" ) %>'
                        runat="server" TabIndex="101"></asp:Label>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="Label3" runat="server" Text="Provider Name:" Font-Bold="false" AssociatedControlID="lbProviderName" />
            </td>
            <td>
                <asp:Label ID="lbProviderName" Text='<%# DataBinder.Eval( Container, "DataItem.primary_care_physician" ) %>'
                    runat="server" TabIndex="102"></asp:Label>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="Label1" runat="server" Text="Ordering Provider Name:" Font-Bold="false" AssociatedControlID="tbOrderingProviderName" />
            </td>
            <td>
                <asp:Label ID="tbOrderingProviderName" Text='<%# DataBinder.Eval( Container, "DataItem.ordering_provider" ) %>'
                    runat="server" TabIndex="103"></asp:Label>
            </td>
        </tr>
    </table>    
</asp:Panel>

<asp:Panel ID="Panel2" runat="server" GroupingText="<b>Patient</b>">
    <table id="Table4" cellspacing="2" cellpadding="1" width="100%" border="0" rules="none"
            style="table-layout: fixed; margin-left: 15px;">
        <tr>
            <td style="width: 120px">
                <asp:Label ID="Label4" runat="server" Text="Patient Name:" Font-Bold="false" AssociatedControlID="lbPatientName" />
            </td>
            <td style="text-align:left">
                <asp:Label ID="lbPatientName" Text='<%# DataBinder.Eval( Container, "DataItem.Patient_name" ) %>'
                                            runat="server" TabIndex="104"></asp:Label>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="Label6" runat="server" Text="Patient Age:" Font-Bold="false" AssociatedControlID="lbPatientAge" />
            </td>
            <td style="text-align:left">
                <asp:Label ID="lbPatientAge" Text='<%# DataBinder.Eval( Container, "DataItem.age" ) %>'
                            runat="server" TabIndex="105" ReadOnly="true"></asp:Label>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="Label7" runat="server" Text="Patient Race:" Font-Bold="false" AssociatedControlID="lbPatientRace" />
            </td>
            <td style="text-align:left">
                <asp:Label ID="lbPatientRace" Text='<%# DataBinder.Eval( Container, "DataItem.race" ) %>'
                        runat="server" TabIndex="106" ReadOnly="true"></asp:Label> 
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="Label5" runat="server" Text="Patient Last 4:" Font-Bold="false" AssociatedControlID="lbPatientSSN" />
            </td>
            <td style="text-align:left">
                <asp:Label ID="lbPatientSSN" Text='<%# DataBinder.Eval( Container, "DataItem.Patient_SSN" ) %>'
                        runat="server" TabIndex="107"></asp:Label> 
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="Label8" runat="server" Text="Patient Gender:" Font-Bold="false" AssociatedControlID="lbPatientGender" />
            </td>
            <td style="text-align:left">
                <asp:Label ID="lbPatientGender" Text='<%# DataBinder.Eval( Container, "DataItem.Gender" ) %>'
                        runat="server" TabIndex="108"></asp:Label>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="Label16" runat="server" Text="Patient Zip:" Font-Bold="false" AssociatedControlID="lbPatientZip" />
            </td>
            <td style="text-align:left">
                <asp:Label ID="lbPatientZip" Text='<%# DataBinder.Eval( Container, "DataItem.patient_zip" ) %>'
                        runat="server" TabIndex="110"></asp:Label>
            </td>
        </tr>
    </table>
</asp:Panel>

<asp:Panel ID="Panel3" runat="server" GroupingText="<b>Mammogram</b>">
    <table id="Table5" cellspacing="2" cellpadding="1" width="100%" border="0" rules="none"
            style="table-layout: fixed; margin-left: 15px;">
        <tr>
            <td style="width: 120px">
                <asp:Label ID="Label10" runat="server" Text="Date Performed:" Font-Bold="false" AssociatedControlID="tbDatePerformed" />
            </td>
            <td>
                <asp:Label ID="tbDatePerformed" Text='<%# DataBinder.Eval( Container, "DataItem.date_of_last_mammogram", "{0:M/d/yyyy}" ) %>'
                    runat="server" TabIndex="111"></asp:Label>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="Label13" runat="server" Text="BI-RADS Code:" Font-Bold="false" AssociatedControlID="tbBiRads" />
            </td>
            <td>
                <asp:Label ID="tbBiRads" Text='<%# DataBinder.Eval( Container, "DataItem.Bi_Rad_Code" ) %>'
                    runat="server" TabIndex="114"></asp:Label>
            </td>
        </tr>
        <tr>    
            <td>
                <asp:Label ID="lblProcLocation" runat="server" Text="Procedure Location:" Font-Bold="false" AssociatedControlID="tbProcLocation" />
            </td>
            <td>
                <asp:Label ID="tbProcLocation" Text='<%# DataBinder.Eval( Container, "DataItem.procedure_location" ) %>'
                    runat="server" TabIndex="115"></asp:Label>
            </td>  
        </tr>
        <tr>
            <td>
                <asp:Label ID="Label9" runat="server" Text="BI-RADS Follow-up:" Font-Bold="false" AssociatedControlID="lbBiRadsFollowUp" />
            </td>
            <td>
                <asp:Label ID="lbBiRadsFollowUp" Text='<%# configureLinkText("AMWBR_","BI_RADS_follow_up", DataBinder.Eval( Container, "DataItem.BI_RADS_follow_up" ).ToString()) %>'
                    runat="server" TabIndex="116">
                </asp:Label>
            </td>
        </tr>
    </table>
</asp:Panel>

<asp:Panel ID="Panel4" runat="server" GroupingText="<b>Radiology Results</b>">
    <table id="Table6" cellspacing="2" cellpadding="1" width="100%" border="0" rules="none"
            style="table-layout: fixed; margin-left: 15px;">
        <tr>
            <td style="width: 120px">
                <asp:Label ID="Label11" runat="server" Text="Ultrasound:" Font-Bold="false" AssociatedControlID="lblUltrasound" />
            </td>
            <td>
                <asp:Label ID="lblUltrasound" Text='<%# configureLinkText("AMWBR_","US_Result", DataBinder.Eval( Container, "DataItem.US_Result").ToString()) %>'
                    runat="server" TabIndex="117"></asp:Label>
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label ID="Label17" runat="server" Text="MRI:" Font-Bold="false" AssociatedControlID="lblMri" />
            </td>
            <td>
                <asp:Label ID="lblMri" Text='<%# configureLinkText("AMWBR_","MRI_Result", DataBinder.Eval( Container, "DataItem.MRI_Result").ToString()) %>'
                    runat="server" TabIndex="118"></asp:Label>
            </td>
        </tr>
    </table>
</asp:Panel>

<asp:Panel ID="Panel5" runat="server" GroupingText="<b>Biopsy Results</b>">
    <table id="Table1" cellspacing="2" cellpadding="1" width="100%" border="0" rules="none"
            style="table-layout: fixed; margin-left: 15px;">
        <tr>
            <td style="width: 120px">
                    <asp:Label ID="Label15" runat="server" Text="Biopsy:" Font-Bold="false" AssociatedControlID="lblBiopsy" />
            </td>
            <td>
                <asp:Label ID="lblBiopsy" Text='<%# configureLinkText("AMWBR_","Biopsy_Result", DataBinder.Eval( Container, "DataItem.Biopsy_Result" ).ToString()) %>'
                    runat="server" TabIndex="119"></asp:Label>
            </td>
        </tr>
    </table>
</asp:Panel>

<asp:Panel ID="Panel6" runat="server" GroupingText="<b>Oncology</b>">
    <table id="Table7" cellspacing="2" cellpadding="1" width="100%" border="0" rules="none"
            style="table-layout: fixed; margin-left: 15px;">
        <tr>
            <td style="width: 120px">
                <asp:Label ID="Label20" runat="server" Text="Oncology Visit:" Font-Bold="false" AssociatedControlID="tbOncologyReferral" />
            </td>
            <td>
                <asp:Label ID="tbOncologyReferral" Text='<%# DataBinder.Eval( Container, "DataItem.Oncology_Visit" ) %>'
                    runat="server" TabIndex="121"></asp:Label>
            </td>
        </tr>
    </table>
</asp:Panel>

<table id="Table2" cellspacing="2" cellpadding="1" width="100%" border="0" rules="none"
    style="table-layout: fixed; margin-left: 15px;">
    <!-- Done button -->
    <tr>
        <td>&nbsp;</td>
    </tr>
    <tr>
        <td align="center" colspan="2">
            <asp:Button ID="btnCancel" Text="Done" runat="server" CausesValidation="False"
                CommandName="Cancel"></asp:Button>
        </td>
    </tr>
    <tr>
        <td>&nbsp;</td>
    </tr>
</table>
