﻿<%@ Page Title="Mammogram Compliance Aggregate Report" Language="C#" MasterPageFile="~/Registry.master" AutoEventWireup="true" CodeFile="MammogramCompliance_Agg_Rpt.aspx.cs" Inherits="Reports_MammogramCompliance_Agg_Rpt" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Charting" TagPrefix="telerik" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <telerik:RadCodeBlock runat="server" ID="rcb1">
        <script type="text/javascript">
            function ShowProgress() {
                setTimeout(function () {
                    var modal = $('<div />');
                    modal.addClass("modal");
                    $('body').append(modal);
                    var loading = $(".loading");
                    loading.show();
                    var top = Math.max($(window).height() / 2 - loading[0].offsetHeight / 2, 0);
                    var left = Math.max($(window).width() / 2 - loading[0].offsetWidth / 2, 0);
                    loading.css({ top: top, left: left });
                }, 200);
            }
        </script>
    </telerik:RadCodeBlock>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" runat="Server">

    <telerik:RadSkinManager ID="QsfSkinManager" runat="server" ShowChooser="false" Skin="Office2010Blue" />

    <%--<telerik:RadAjaxManager ID="ram" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="rgMammoCompliance">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgMammoCompliance" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="btnRunReport">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgMammoCompliance" LoadingPanelID="ralp1" />
                    <telerik:AjaxUpdatedControl ControlID="lblExecutionTime" LoadingPanelID="ralp1" UpdatePanelRenderMode="Inline" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="btnClearReport">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="pnlAdvancedSearch" LoadingPanelID="ralp1" />
                    <telerik:AjaxUpdatedControl ControlID="rgMammoCompliance" LoadingPanelID="ralp1" />
                    <telerik:AjaxUpdatedControl ControlID="lblExecutionTime" LoadingPanelID="ralp1" UpdatePanelRenderMode="Inline" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="rcbVisn">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="pnlAdvancedSearch" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>

    <telerik:RadAjaxLoadingPanel ID="ralp1" runat="server" Skin="Office2010Blue" />--%>

    <table style="width: 100%;">
        <tr>
            <td style="padding-left: 10px; padding-right: 10px; padding-top: 4px; width: 300px; vertical-align: top; background-color: #F5F5F5;">
                <asp:Panel ID="pnlAdvancedSearch" runat="server">
                    <!--Start Filters-->
                    <h2>Search Filters:</h2>
                    <br />
                    <asp:Label runat="server" ID="lblVisn" Text="Select VISN:" AssociatedControlID="rcbVisn" /><br />
                    <telerik:RadComboBox ID="rcbVisn" runat="server" Width="100%" AccessKey="v" TabIndex="3" AutoPostBack="true"
                        OnSelectedIndexChanged="rcbVisn_SelectedIndexChanged" OnClientSelectedIndexChanged="ShowProgress" />
                    <br />
                    <br />
                    Date Picker - Coming soon.  Showing current data only.
                    <br />
                    <br />

                    <%--<asp:Label runat="server" ID="lblStartDate" Text="Start Date:" AssociatedControlID="rdpStartDate" /><br />
                    <telerik:RadDatePicker ID="rdpStartDate" runat="server" ZIndex="30001" TabIndex="4" Width="100%" />
                    <br />
                    <br />

                    <asp:Label runat="server" ID="lblEndDate" Text="End Date:" AssociatedControlID="rdpEndDate" /><br />
                    <telerik:RadDatePicker ID="rdpEndDate" runat="server" ZIndex="30001" TabIndex="5" Width="100%" />
                    <br />
                    <br />--%>
                    <table style="padding: 0px;">
                        <tr>
                            <td style="vertical-align: top; padding-right: 5px;">
                                <telerik:RadButton ID="btnRunReport" runat="server" Enabled="false" Text="Run Report" OnClick="btnRunReport_Click" OnClientClicked="ShowProgress" />
                            </td>
                            <td style="vertical-align: top; padding: 0px;">
                                <telerik:RadButton ID="btnClearReport" runat="server" Text="Reset" OnClick="btnClearReport_Click" OnClientClicked="ShowProgress" />
                            </td>
                        </tr>
                    </table>
                    <br />
                    <!--End Filters-->
                </asp:Panel>
            </td>
            <td style="vertical-align: top; padding-right: 10px;">
                <div style="text-align: right;">
                    <asp:Label ID="lblExecutionTimeLabel" runat="server" AssociatedControlID="lblExecutionTime" Text="Execution Time:" ToolTip="Report Execution Time" />
                    <asp:Label ID="lblExecutionTime" runat="server" ToolTip="Length of time to execute report" />
                </div>
                <!--Start Grid-->
                <telerik:RadGrid ID="rgMammoCompliance" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                    EnableLinqExpressions="false" ShowStatusBar="true" TabIndex="6" OnNeedDataSource="rgMammoCompliance_NeedDataSource" OnItemDataBound="rgMammoCompliance_ItemDataBound"
                    OnItemCreated="rgMammoCompliance_ItemCreated" ShowFooter="true">
                    <MasterTableView AutoGenerateColumns="false" DataKeyNames="Sta3n" ClientDataKeyNames="Sta3n"
                        AllowFilteringByColumn="false" AllowSorting="true" AllowPaging="true" CommandItemDisplay="None"
                        TabIndex="12" Width="100%" PageSize="20" ShowHeadersWhenNoRecords="true">
                        <NoRecordsTemplate>
                            <table>
                                <tr>
                                    <td>
                                        <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-size: 12pt; font-weight: normal;" TabIndex="14">
                                                Either no results were found with the selected parameters or the initial search has not been performed yet.  Please select criteria and click on the "Run Report" button
                                        </asp:Label>
                                    </td>
                                </tr>
                            </table>
                        </NoRecordsTemplate>
                        <SortExpressions>
                            <telerik:GridSortExpression FieldName="VISTANAME" SortOrder="Ascending" />
                        </SortExpressions>
                        <ColumnGroups>
                            <telerik:GridColumnGroup HeaderText="Institution" Name="institution" />
                            <telerik:GridColumnGroup HeaderText="Breakdown" Name="comp" />
                        </ColumnGroups>
                        <Columns>
                            <telerik:GridBoundColumn DataField="Sta3n" UniqueName="Sta3nRpt" HeaderText="Facility ID" HeaderTooltip="Facility ID Column" ColumnGroupName="institution"
                                HeaderButtonType="None" AllowFiltering="false" Visible="false" />

                            <telerik:GridTemplateColumn DataField="VISTANAME" SortExpression="VISTANAME" UniqueName="VISTANAMERpt" HeaderText="Facility Name" HeaderTooltip="Facility Name Column" ColumnGroupName="institution"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" ShowFilterIcon="false" Aggregate="First" FooterAggregateFormatString="Total:">
                                <ItemTemplate>
                                    <a href="MammogramCompliance_ByFacility_Agg_Rpt.aspx?sta3n=<%# DataBinder.Eval(Container, "DataItem.Sta3n")%>" title="Click to View Report by Facility">
                                        <%# DataBinder.Eval(Container, "DataItem.VISTANAME")%>
                                    </a>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <telerik:GridBoundColumn DataField="Compliant" UniqueName="CompliantRpt" HeaderText="Compliant" HeaderTooltip="Compliant Column" ColumnGroupName="comp"
                                HeaderButtonType="None" AllowFiltering="false" Aggregate="Sum" FooterAggregateFormatString="{0}" />

                            <telerik:GridBoundColumn DataField="CompliantPercent" UniqueName="CompliantPercentRpt" HeaderText="Compliant %" HeaderTooltip="Compliant Percent Column" ColumnGroupName="comp"
                                HeaderButtonType="None" AllowFiltering="false" DataFormatString="{0}%" />

                            <telerik:GridBoundColumn DataField="NonCompliant" UniqueName="NonCompliantRpt" HeaderText="Non-Compliant" HeaderTooltip="Non-Compliant Column" ColumnGroupName="comp"
                                HeaderButtonType="None" AllowFiltering="false" Aggregate="Sum" FooterAggregateFormatString="{0}" />

                            <telerik:GridBoundColumn DataField="NonCompliantPercent" UniqueName="NonCompliantPercentRpt" HeaderText="Non-Compliant %" HeaderTooltip="Non-Compliant % Column" ColumnGroupName="comp"
                                HeaderButtonType="None" AllowFiltering="false" DataFormatString="{0}%" />

                            <telerik:GridBoundColumn DataField="TotalApplicable" UniqueName="TotalApplicableRpt" HeaderText="Total Applicable" HeaderTooltip="Total Applicable Column" ColumnGroupName="comp"
                                HeaderButtonType="None" AllowFiltering="false" Aggregate="Sum" FooterAggregateFormatString="{0}" />

                            <telerik:GridBoundColumn DataField="TotalApplicablePercent" UniqueName="TotalApplicablePercentRpt" HeaderText="Total Applicable %" HeaderTooltip="Total Applicable % Column" ColumnGroupName="comp"
                                HeaderButtonType="None" AllowFiltering="false" DataFormatString="{0}%" />

                            <telerik:GridBoundColumn DataField="NotApplicable" UniqueName="NotApplicableRpt" HeaderText="Not Applicable" HeaderTooltip="Not Applicable Column" ColumnGroupName="comp"
                                HeaderButtonType="None" AllowFiltering="false" Aggregate="Sum" FooterAggregateFormatString="{0}" />

                            <%--<telerik:GridBoundColumn DataField="NonCompliancePercentage" UniqueName="NonCompliancePercentage" HeaderText="NonCompliancePercentage" HeaderTooltip="NonCompliancePercentage Column" ColumnGroupName="comp"
                                HeaderButtonType="None" AllowFiltering="false" />--%>
                        </Columns>
                    </MasterTableView>
                    <ClientSettings AllowKeyboardNavigation="true">
                        <Selecting AllowRowSelect="true" />
                        <%--<ClientEvents OnRowDblClick="RowDblClick" />--%>
                        <KeyboardNavigationSettings EnableKeyboardShortcuts="true" />
                    </ClientSettings>
                    <FilterMenu OnClientShowing="MenuShowing" />
                    <PagerStyle Mode="NextPrevAndNumeric" />
                </telerik:RadGrid>
                <!--End Grid-->
                <br />

                <table style="width: 100%;">
                    <tr>
                        <td style="width: 50%; vertical-align: top;">
                            <!-- Start Chart 1 -->
                            <!-- End Chart 1 -->
                        </td>
                        <td style="width: 50%; vertical-align: top;"></td>
                    </tr>
                    <%--<tr>
                        <td style="width:50%; vertical-align:top;">

                        </td>
                        <td style="width:50%; vertical-align:top;">

                        </td>
                    </tr>--%>
                </table>

            </td>
        </tr>
    </table>

    <div class="loading" align="center">
        Loading. Please wait.<br />
        <br />
        <img src="../images/ajax-loader.gif" />
    </div>

</asp:Content>
