﻿using System;
using System.Web;
using VeteransAffairs.Registries.BusinessManager;

public partial class Reports_MammogramCompliance_ByFacility_Agg_Rpt : BasePage
{
    #region Member Variables

    private string _userId;
    bool isExport = false;
    private Reports r;
    protected string sta3n;

    #endregion

    protected void Page_Load(object sender, EventArgs e)
    {
        LabelBreadCrumb.Text = "<a href=\"Dashboard.aspx\" title=\"Navigate to Reports Dashboard\" style=\"color:#FFFFFF;\">Reports</a> > <a href=\"javascript:history.back();\" title=\"Back to Mammogram Compliance By VISN\" style=\"color:#FFFFFF;\">Mammograms Compliance By VISN</a> > Mammograms Compliance By Facility";

        UserAccountManager _user = (UserAccountManager)HttpContext.Current.User;

        sta3n = Request.QueryString.Get("sta3n");
    }

    #region GUI Overides
    //these need to be added to MenuBuilder.cs BuildDynamicNavigationItems method
    public override string TopMenuName()
    {
        return "Reporting";
    }

    public override string MenuItemName()
    {
        return "BCR Mammogram Compliance Report By Facility";
    }

    public override string AppObjectCode()
    {
        return "BCR_STANDARD_REPORTS";
    }
    #endregion
}