﻿<%@ Page Title="" Language="C#" AutoEventWireup="true" CodeFile="OrderedPending_PD.aspx.cs"
    Inherits="OrderedPending" MasterPageFile="~/Registry.master" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Charting" TagPrefix="telerik" %>
<%@ Register TagPrefix="custom" Namespace="CustomFilter" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <telerik:RadCodeBlock runat="server" ID="rcb1">
        <script type="text/javascript">
            //this focuses context menus for 508 compliance
            function focusFilterMenu(sender, args) {
                filterMenuShowing(sender, args);
                window.setTimeout(function () { args.get_menu().get_items().getItem(0).blur(); args.get_menu().get_items().getItem(0).focus(); }, 1);
            }

            // Hide unwanted menu items
            var column = null;
            var columnName = null;

            function UpdateMenu(items, options) {
                var i = 0;
                while (i < items.get_count()) {

                    if (!(items.getItem(i).get_value() in options)) {
                        var item = items.getItem(i);
                        if (item != null)
                            item.set_visible(false);
                    }
                    else {
                        var item = items.getItem(i);
                        if (item != null)
                            item.set_visible(true);
                    }

                    i++;
                }
            }

            function MenuShowing(sender, args) {
                if (column == null) return;
                if (columnName == null) return;

                var menu = sender;
                var items = menu.get_items();

                if (columnName == "age" || columnName == "DateDesired") {
                    UpdateMenu(items, { 'NoFilter': '', 'EqualTo': '', 'GreaterThanOrEqualTo': '', 'LessThanOrEqualTo': '' })
                }
                else if (columnName == "PatientName" || columnName == "patient_zip" || columnName == "PatientSSN" ||
                         columnName == "patient_address" || columnName == "patient_phone") {
                    UpdateMenu(items, { 'NoFilter': '', 'Contains': '' })
                }

                column = null;
                columnName = null;
                menu.repaint();
            }

            function filterMenuShowing(sender, eventArgs) {
                column = eventArgs.get_column();
                columnName = eventArgs.get_column().get_uniqueName();
            }
            function RowDblClick(sender, eventArgs) {
                sender.get_masterTableView().editItem(eventArgs.get_itemIndexHierarchical());
            }
        </script>
    </telerik:RadCodeBlock>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" runat="Server">
    <telerik:RadAjaxManager ID="ram" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="rcbFac">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="btnRunReport" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="rgOrderedPending">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgOrderedPending" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="btnRunReport">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgOrderedPending" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="rcbQuickReport">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="toDate" LoadingPanelID="ralp1" />
                    <telerik:AjaxUpdatedControl ControlID="fromDate" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="rcbVisn">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rcbFac" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>

        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="ralp1" runat="server" Skin="WebBlue" />
    <a href="content" tabindex="1"></a>
    <br />
    <table>
        <tr>
            <td>
                <table>
                    <tr>
                        <td>
                            <asp:Label runat="server" ID="lblVisn" Text="Select VISN:" AssociatedControlID="rcbVisn" /><br />
                            <telerik:RadComboBox ID="rcbVisn" runat="server" Width="350px" AccessKey="v" TabIndex="3"
                                AutoPostBack="true" OnSelectedIndexChanged="rcbVisn_SelectedIndexChanged" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label runat="server" ID="lblFac" Text="Select Station:" AssociatedControlID="rcbFac" /><br />
                            <telerik:RadComboBox ID="rcbFac" runat="server" Width="350px" AccessKey="v" TabIndex="3"
                                AutoPostBack="true" OnSelectedIndexChanged="rcbFac_SelectedIndexChanged" Enabled="false" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label runat="server" ID="Label4" Text="Quick Report:" AssociatedControlID="rcbQuickReport" /><br />
                            <telerik:RadComboBox ID="rcbQuickReport" runat="server" Width="150px" AccessKey="q" TabIndex="3"
                                AutoPostBack="true" OnSelectedIndexChanged="rcbQuickReport_SelectedIndexChanged">
                                <Items>
                                    <telerik:RadComboBoxItem Text="> 60 Days Overdue" Value="-60" Selected="true" />
                                    <telerik:RadComboBoxItem Text="> 90 Days Overdue" Value="-90" />
                                </Items>
                            </telerik:RadComboBox>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label runat="server" ID="Label2" Text="From Date:" AssociatedControlID="fromDate" /><br />
                            <telerik:RadDatePicker ID="fromDate" runat="server" ZIndex="30001" TabIndex="4" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:RequiredFieldValidator runat="server" ID="RequiredFieldValidator_fromDate" ControlToValidate="fromDate"
                                ErrorMessage="'From Date:' is a required field" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label runat="server" ID="Label3" Text="To Date:" AssociatedControlID="toDate" /><br />
                            <telerik:RadDatePicker ID="toDate" runat="server" ZIndex="30001" TabIndex="5" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:RequiredFieldValidator runat="server" ID="RequiredFieldValidator_toDate" ControlToValidate="toDate"
                                ErrorMessage="'To Date:' is a required field" />

                            <asp:CompareValidator runat="server" ID="dateCompareValidator" ControlToValidate="toDate"
                                ControlToCompare="fromDate" Operator="GreaterThanEqual" Type="Date"
                                ErrorMessage="'From Date:' must precede 'To Date:'" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Button runat="server" ID="btnRunReport" Text="Run Report" OnClick="btnReport_Click"
                                ToolTip="Run Report" Enabled="false" TabIndex="6" />
                        </td>
                    </tr>
                </table>
            </td>
            <td>
                <table cellspacing="10px" cellpadding="10px" border="0">
                    <tr>
                        <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <asp:Panel ID="Panel1" runat="server" GroupingText="Ordered Pending Report Description"
                                Width="650px">
                                <asp:Label ID="OrderedPendingDescription" runat="server" Font-Italic="true">
                                    Placeholder Description
                                </asp:Label>
                            </asp:Panel>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    <br />
    <br />
    <asp:Label runat="server" ID="lblAccessibility" TabIndex="7" AccessKey="i" Text="Ctrl-y selects the grid.  Use Tab and arrow keys to navigate." />
    <br />
    <br />
    <asp:Button runat="server" ID="btnExcel" Text="Export to Excel" CommandName="XLS"
        OnClick="btnExport_Click" ToolTip="Export to Excel" TabIndex="8" />
    <asp:Button runat="server" ID="btnCSV" Text="Export to CSV" CommandName="CSV" ToolTip="Export to CSV"
        OnClick="btnExport_Click" TabIndex="9" />
    <asp:Button runat="server" ID="btnPDF" Text="Export to PDF" CommandName="PDF" ToolTip="Export to PDF"
        OnClick="btnExport_Click" TabIndex="10" Visible="false" />
    <asp:Button runat="server" ID="btnWord" Text="Export to Word" CommandName="DOC" ToolTip="Export to DOC"
        OnClick="btnExport_Click" TabIndex="11" />
    <telerik:RadGrid ID="rgOrderedPending" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
        EnableLinqExpressions="false" ShowStatusBar="true" OnItemCommand="rgOrderedPending_ItemCommand"
        TabIndex="6" OnNeedDataSource="rgOrderedPending_NeedDataSource" OnItemDataBound="rgOrderedPending_ItemDataBound"
        OnItemCreated="rgOrderedPending_ItemCreated" OnExcelMLExportStylesCreated="rgOrderedPending_ExcelMLExportStylesCreated"
        OnExcelMLExportRowCreated="rgOrderedPending_ExcelMLExportRowCreated">
        <MasterTableView AutoGenerateColumns="false" DataKeyNames="id" ClientDataKeyNames="id"
            AllowFilteringByColumn="true" AllowSorting="true" AllowPaging="true" CommandItemDisplay="Top"
            TabIndex="7" Width="800" PageSize="10" ShowHeadersWhenNoRecords="true">
            <NoRecordsTemplate>
                <table>
                    <tr>
                        <td>
                            <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-weight: bold" TabIndex="14">There are no results with the selected filters.  Please search again.</asp:Label></td>
                    </tr>
                </table>
            </NoRecordsTemplate>
            <SortExpressions>
                <telerik:GridSortExpression FieldName="ordering_provider" SortOrder="Ascending" />
            </SortExpressions>
            <CommandItemTemplate>
                <asp:Button runat="server" ID="btnReset" Text="Clear Filters" CommandName="Reset"
                    ToolTip="Clear Filters" />
            </CommandItemTemplate>
            <ColumnGroups>
                <telerik:GridColumnGroup HeaderText="Team / Ordering Physician" Name="provider" />
                <telerik:GridColumnGroup HeaderText="Patient" Name="patient" />
                <telerik:GridColumnGroup HeaderText="Last Mammogram" Name="last_mam" />
                <telerik:GridColumnGroup HeaderText="Next Mammogram" Name="next_mam" />
                <telerik:GridColumnGroup HeaderText="Patient Demographics" Name="demo" />
            </ColumnGroups>
            <Columns>
                <telerik:GridEditCommandColumn UniqueName="EditCommandColumn" EditText="Details">
                </telerik:GridEditCommandColumn>
                <custom:CustomFilteringColumn DataField="team_name" UniqueName="team_name" HeaderText="PACT Team"
                    FilterControlAltText="Filter for PACT Team" FilterControlToolTip="Filter for PACT Team"
                    HeaderTooltip="PACT Team Column" FilterControlWidth="75" ColumnGroupName="provider"
                    EmptyDataText="Unassigned PACT Team" HeaderButtonType="None" />
                <custom:CustomFilteringColumn DataField="ordering_provider" UniqueName="ordering_provider"
                    HeaderText="Physician Name" FilterControlAltText="Filter for Physician" FilterControlToolTip="Filter for Physician"
                    HeaderTooltip="Ordering Provider Column" ColumnGroupName="provider" FilterControlWidth="75"
                    EmptyDataText="Unassigned Provider" HeaderButtonType="None" />
                <telerik:GridBoundColumn DataField="PatientName" UniqueName="PatientName" HeaderText="Last Name, First"
                    FilterControlAltText="Filter Textbox for Patient Name" FilterControlToolTip="Filter Textbox for Patient Name"
                    HeaderTooltip="Patient Name Column" ColumnGroupName="patient" HeaderButtonType="None">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="PatientSSN" UniqueName="PatientSSN" HeaderText="Last 4"
                    FilterControlAltText="Filter Textbox for Patient Last 4" FilterControlToolTip="Filter Textbox for Last 4"
                    HeaderTooltip="Last 4 Column" ColumnGroupName="patient" FilterControlWidth="30" HeaderButtonType="None">
                </telerik:GridBoundColumn>
                <telerik:GridDateTimeColumn DataField="DateOfLastMammogram" UniqueName="DateOfLastMammogram"
                    HeaderText="Date Performed" HeaderTooltip="Last Mam Date Column" ColumnGroupName="last_mam"
                    AllowFiltering="false" DataFormatString="{0:MM/dd/yyyy}" HeaderButtonType="None">
                    <HeaderStyle Wrap="false" />
                    <ItemStyle Wrap="false" />
                </telerik:GridDateTimeColumn>
                <custom:CustomFilteringColumn DataField="BiRadCode" UniqueName="BiRadCode" HeaderText="BI-RADS Code"
                    HeaderTooltip="BiRad Column" FilterControlWidth="50" ColumnGroupName="last_mam" HeaderButtonType="None" />
                <telerik:GridDateTimeColumn DataField="DateDesired" UniqueName="DateDesired" HeaderText="Date Desired"
                    FilterControlAltText="Filter Textbox for Date Desired for Next Mammogram"
                    FilterControlToolTip="Filter Textbox for Date Desired for Next Mammogram"
                    HeaderTooltip="Date Desired Column" FilterControlWidth="100" ColumnGroupName="next_mam"
                    DataFormatString="{0:MM/dd/yyyy}" HeaderButtonType="None">
                </telerik:GridDateTimeColumn>
                <telerik:GridBoundColumn DataField="age" UniqueName="age" HeaderText="Age" FilterControlAltText="Filter Textbox for Patient Age"
                    FilterControlToolTip="Filter Textbox for Age" HeaderTooltip="Age Column" ColumnGroupName="demo"
                    FilterControlWidth="30" DataType="System.Int32" HeaderButtonType="None" />
                <custom:CustomFilteringColumn DataField="race" UniqueName="race" FilterControlAltText="Filter Dropdown for Patient Race"
                    FilterControlToolTip="Filter Dropdown for Race" HeaderText="Race" HeaderTooltip="Race Column"
                    FilterControlWidth="75" ColumnGroupName="demo" HeaderButtonType="None" />
                <custom:CustomFilteringColumn DataField="gender" UniqueName="gender" HeaderText="Gender"
                    FilterControlAltText="Filter Dropdown for Patient Gender" FilterControlToolTip="Filter Dropdown for Gender"
                    HeaderTooltip="Gender Column" ColumnGroupName="demo" FilterControlWidth="50" HeaderButtonType="None" />
                <telerik:GridBoundColumn DataField="patient_address" UniqueName="patient_address" HeaderText="Patient Address"
                    FilterControlAltText="Filter Textbox for Patient address" FilterControlToolTip="Filter Textbox for Patient address"
                    HeaderTooltip="Patient address Column" ColumnGroupName="demo" FilterControlWidth="100" HeaderButtonType="None" />
                <telerik:GridBoundColumn DataField="patient_phone" UniqueName="patient_phone" HeaderText="Patient Phone"
                    FilterControlAltText="Filter Textbox for Patient phone" FilterControlToolTip="Filter Textbox for Patient phone"
                    HeaderTooltip="Patient phone Column" ColumnGroupName="demo" FilterControlWidth="50" HeaderButtonType="None" />
            </Columns>
            <EditFormSettings UserControlName="./controls/OrderedPending_PD.ascx" EditFormType="WebUserControl" CaptionFormatString="Details">
                <EditColumn UniqueName="EditCommandColumn1">
                </EditColumn>
            </EditFormSettings>
        </MasterTableView>
        <ClientSettings AllowKeyboardNavigation="true">
            <Selecting AllowRowSelect="true" />
            <ClientEvents OnFilterMenuShowing="focusFilterMenu" OnRowDblClick="RowDblClick" />
            <KeyboardNavigationSettings EnableKeyboardShortcuts="true" />
        </ClientSettings>
        <FilterMenu OnClientShowing="MenuShowing" />
        <PagerStyle Mode="NextPrevAndNumeric" />
    </telerik:RadGrid>
</asp:Content>
