﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Microsoft.Reporting.WebForms;
using VeteransAffairs.Registries.BusinessManager;
using VeteransAffairs.Registries.Business;

public partial class ReportAdhoc : BasePage
{
    private UserAccountManager _currentUser;
    protected void Page_Load(object sender, EventArgs e)
    {
        if (AccessAllowed())
        {
            Response.Redirect(Helpers.GetConfigEntry("ReportingServer")
                + "/ReportBuilder/ReportBuilder.application");
        }
        else
        {

            Response.Redirect("ErrorPage.aspx?id=100");
        }
    }

    private bool AccessAllowed()
    {
        //_currentUser = (UserAccountManager)HttpContext.Current.User;
        //return (_currentUser.IsInRole((int) RoleCode.BCR_ADHOC_REPORTS));
        return true;
    }
    public override string TopMenuName()
    {
        return "Reporting";
    }

    public override string AppObjectCode()
    {
        return "BCR_ADHOC_REPORTING";
    }

    public override string MenuItemName()
    {
        return "Adhoc Reporting";
    }

}
