﻿<%@ Page Title="" Language="C#" AutoEventWireup="true" CodeFile="AbnormalMammograms_Agg.aspx.cs"
    Inherits="BiRad" MasterPageFile="~/Registry.master" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Charting" TagPrefix="telerik" %>
<%@ Register TagPrefix="custom" Namespace="CustomFilter" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <telerik:RadCodeBlock runat="server" ID="rcb1">
        <script type="text/javascript">
            function focusFilterMenu(sender, args) {
                window.setTimeout(function () { args.get_menu().get_items().getItem(0).blur(); args.get_menu().get_items().getItem(0).focus(); }, 1);
            }

            function onItemChecked(sender, e) {
                var item = e.get_item();
                var items = sender.get_items();
                var checked = item.get_checked();
                var firstItem = sender.getItem(0);

                if (item.get_text() == "All") {
                    items.forEach(function (itm) { itm.set_checked(checked); });
                }
                else {
                    if (sender.get_checkedItems().length == items.get_count() - 1) {
                        firstItem.set_checked(!firstItem.get_checked());
                    }
                }
            }
        </script>
    </telerik:RadCodeBlock>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" runat="Server">
    <telerik:RadAjaxManager ID="ram" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="rtvDivision">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rtvDivision" LoadingPanelID="ralp1" />
                    <telerik:AjaxUpdatedControl ControlID="btnCreateReport" LoadingPanelID="ralp1" />

                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="btnCreateReport">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="divReports" LoadingPanelID="ralp1" />
                    <telerik:AjaxUpdatedControl ControlID="lblFilterSelected" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="ralp1" runat="server" Skin="WebBlue" />
    <asp:Panel runat="server" ID="Panel1" GroupingText="Select Division" Font-Bold="true">
        <telerik:RadTreeView runat="server" ID="rtvDivision" MultipleSelect="true" CheckBoxes="true"
            Height="300" AccessKey="t" OnNodeCheck="rtvDivision_NodeCheck" OnNodeClick="rtvDivision_NodeClick" >
            <WebServiceSettings Path="~/Reports/WebServices/DivisionWebService.asmx" Method="GetDivisions" />
        </telerik:RadTreeView>
    </asp:Panel>

    <table>
        <tr>
            <td>
                <asp:Label runat="server" ID="Label1" Text="Mammogram Date:" AssociatedControlID="rtvDivision" /><br />
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label runat="server" ID="Label2" Text="From Date:" AssociatedControlID="fromDate" /><br />
                <telerik:RadDatePicker ID="fromDate" runat="server" ZIndex="30001" TabIndex="4" />
            </td>
        </tr>
        <tr>
            <td>
                <asp:RequiredFieldValidator runat="server" ID="RequiredFieldValidator_fromDate" ControlToValidate="fromDate"
                    ErrorMessage="'From Date:' is a required field" />
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label runat="server" ID="Label3" Text="To Date:" AssociatedControlID="toDate" /><br />
                <telerik:RadDatePicker ID="toDate" runat="server" ZIndex="30001" TabIndex="5" />
            </td>
        </tr>
        <tr>
            <td>
                <asp:RequiredFieldValidator runat="server" ID="RequiredFieldValidator_toDate" ControlToValidate="toDate"
                    ErrorMessage="'To Date:' is a required field" />

                <asp:CompareValidator runat="server" ID="dateCompareValidator" ControlToValidate="toDate"
                    ControlToCompare="fromDate" Operator="GreaterThanEqual" Type="Date"
                    ErrorMessage="'From Date:' must precede 'To Date:'" />
            </td>
        </tr>
        <tr>
            <td>
                <asp:RequiredFieldValidator runat="server" ID="RequiredFieldValidator1" ControlToValidate="toDate"
                    ErrorMessage="'To Date:' is a required field" />

                <asp:CompareValidator runat="server" ID="CompareValidator1" ControlToValidate="toDate"
                    ControlToCompare="fromDate" Operator="GreaterThanEqual" Type="Date"
                    ErrorMessage="'From Date:' must precede 'To Date:'" />
            </td>
        </tr>
        <tr>
            <td>
                <table>
                    <tr>
                        <td>
                            <asp:Label runat="server" ID="Label4" Text="Birads:" AssociatedControlID="rlbBirads" /><br />
                            <telerik:RadListBox runat="server" TabIndex="6" ID="rlbBirads" CheckBoxes="true" OnClientItemChecked="onItemChecked">
                                <Items>
                                    <telerik:RadListBoxItem Text="All" Value="All" />
                                    <telerik:RadListBoxItem Text="0" Value="0" />
                                    <telerik:RadListBoxItem Text="3" Value="3" />
                                    <telerik:RadListBoxItem Text="4" Value="4" />
                                    <telerik:RadListBoxItem Text="5" Value="5" />
                                    <telerik:RadListBoxItem Text="6" Value="6" />
                                </Items>
                            </telerik:RadListBox>
                        </td>
                        <td>
                            <asp:Label runat="server" ID="Label5" Text="Age:" AssociatedControlID="rlbAge" /><br />
                            <telerik:RadListBox runat="server" ID="rlbAge" TabIndex="7" CheckBoxes="true" OnClientItemChecked="onItemChecked">
                                <Items>
                                    <telerik:RadListBoxItem Text="All" Value="All" />
                                    <telerik:RadListBoxItem Text="18-29" Value="0" />
                                    <telerik:RadListBoxItem Text="30-39" Value="1" />
                                    <telerik:RadListBoxItem Text="40-49" Value="2" />
                                    <telerik:RadListBoxItem Text="50-59" Value="3" />
                                    <telerik:RadListBoxItem Text="60-74" Value="4" />
                                    <telerik:RadListBoxItem Text=">74" Value="5" />
                                </Items>
                            </telerik:RadListBox>
                        </td>
                        <td>
                            <asp:Label runat="server" ID="Label6" Text="Race:" AssociatedControlID="rlbRace" /><br />
                            <telerik:RadListBox runat="server" ID="rlbRace" TabIndex="8" CheckBoxes="true" Width="260px" OnClientItemChecked="onItemChecked">
                            </telerik:RadListBox>
                        </td>
                        <td>
                            <asp:Label runat="server" ID="Label7" Text="Gender:" AssociatedControlID="rlbGender" /><br />
                            <telerik:RadListBox runat="server" ID="rlbGender" TabIndex="9" CheckBoxes="true" Width="150px" OnClientItemChecked="onItemChecked">
                            </telerik:RadListBox>
                        </td>
                    </tr>
                </table>

            </td>
        </tr>
    </table>
    <table>
        <tr>
            <td>
                <asp:Button ID="btnCreateReport" runat="server" Text="Create Report" TabIndex="10" OnClick="btnGetReport_Click"
                    Enabled="false" />
                <br />
            </td>
        </tr>
    </table>
   
        <table>
             <tr>
                <td colspan="2">
                    <asp:Label ID="lblFilterSelected" runat="server" Style="color: darkblue; font-weight: bold"></asp:Label>
                </td>
            </tr>
             <tr>
                <td colspan="2">
                    &nbsp;
                </td>
            </tr>
            <tr>
                <td colspan="2">
                     <asp:Button runat="server" ID="btnExcel" Text="Export to Excel" TabIndex="11" CommandName="XLS"
                        OnClick="btnExport_Click" ToolTip="Export to Excel" />
                    <asp:Button runat="server" ID="btnCSV" Text="Export to CSV" TabIndex="12" CommandName="CSV" ToolTip="Export to CSV"
                        OnClick="btnExport_Click" />
                    <asp:Button runat="server" ID="btnWord" Text="Export to Word" TabIndex="13" CommandName="DOC" ToolTip="Export to DOC"
                        OnClick="btnExport_Click" />
                </td>
            </tr>
        </table>
    
    <div runat="server" id="divReports">
        <table>
           
            <tr>
                <td colspan="2">
                    <table><tr><td>
                    <b>Abnormal Mammograms Aggregates by Selected Division</b>
                        <br />
                    <asp:Label runat="server" ID="lblAccessibility" TabIndex="14" AccessKey="i" Text="Ctrl-y selects the grid.  Use Tab and arrow keys to navigate." />

                    <telerik:RadGrid ID="rgAggregateData" runat="server" AllowMultiRowEdit="false" ShowGroupPanel="false"
                        EnableAjaxSkinRendering="true" EnableLinqExpressions="false" ShowStatusBar="true"
                        OnNeedDataSource="rgAggregateData_NeedDataSource" OnItemCommand="rgAggregateData_ItemCommand"
                        TabIndex="15" AllowFilteringByColumn="false" OnItemDataBound="rgAggregateData_ItemDataBound"
                        OnItemCreated="rgAggregateData_ItemCreated"
                        OnExcelMLExportStylesCreated="rgAggregateData_ExcelMLExportStylesCreated" OnExcelMLExportRowCreated="rgAggregateData_ExcelMLExportRowCreated">
                        <MasterTableView AutoGenerateColumns="false" AllowPaging="true" AllowSorting="true"
                            CommandItemDisplay="None" TabIndex="15" Width="1000" PageSize="10">
                            <NoRecordsTemplate>
                                <table>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-weight: bold" TabIndex="14">There are no results with the selected filters.  Please search again.</asp:Label></td>
                                    </tr>
                                </table>
                            </NoRecordsTemplate>
                            <ColumnGroups>
                                <telerik:GridColumnGroup HeaderText="BI-RADS Follow Up <br>(SMART Data Pending)" Name="bifollow" />
                                <telerik:GridColumnGroup HeaderText="Ultrasound" Name="ultrasound" />
                                <telerik:GridColumnGroup HeaderText="MRI" Name="MRI" />
                                <telerik:GridColumnGroup HeaderText="Biopsy" Name="biopsy" />
                                <telerik:GridColumnGroup HeaderText="Patient Notification <br>(SMART Data Pending)" Name="notif" />
                                <telerik:GridColumnGroup HeaderText="Oncology Referral" Name="onc" />
                            </ColumnGroups>
                            <Columns>
                                <telerik:GridBoundColumn DataField="Division" UniqueName="Division" HeaderText="Division"
                                    HeaderTooltip="Division Column" ItemStyle-Wrap="false" ItemStyle-HorizontalAlign="Center">
                                </telerik:GridBoundColumn>
                                <telerik:GridBoundColumn DataField="TTL" UniqueName="Total" HeaderText="Abnormal Mammograms"
                                    HeaderTooltip="Total Cohort Column" ItemStyle-Wrap="false" ItemStyle-HorizontalAlign="Center">
                                </telerik:GridBoundColumn>
                                <telerik:GridTemplateColumn DataField="followup_yes" UniqueName="followup_yes" HeaderText="Yes"
                                    HeaderTooltip="BiRad Follow Up Yes Column" ColumnGroupName="bifollow">
                                    <ItemTemplate>
                                        
                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>
                                <telerik:GridTemplateColumn DataField="followup_no" UniqueName="followup_no" HeaderText="No"
                                    HeaderTooltip="BiRad Follow Up No Column" ColumnGroupName="bifollow">
                                    <ItemTemplate>
                                       
                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>
                                <telerik:GridTemplateColumn DataField="us_yes" UniqueName="us_yes" HeaderText="Yes"
                                    HeaderTooltip="Ultrasound Yes Column" ColumnGroupName="ultrasound">
                                    <ItemTemplate>
                                        <%# FormatData("us_yes") %>
                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>
                                <telerik:GridTemplateColumn DataField="us_no" UniqueName="us_no" HeaderText="No"
                                    HeaderTooltip="Ultrasound No Column" ColumnGroupName="ultrasound">
                                    <ItemTemplate>
                                        <%# FormatData("us_no") %>
                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>
                                <telerik:GridTemplateColumn DataField="mri_yes" UniqueName="mri_yes" HeaderText="Yes"
                                    HeaderTooltip="MRI Yes Column" ColumnGroupName="MRI" AllowFiltering="false">
                                    <ItemTemplate>
                                        <%# FormatData("mri_yes") %>
                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>
                                <telerik:GridTemplateColumn DataField="mri_no" UniqueName="mri_no" HeaderText="No"
                                    HeaderTooltip="MRI No Column" ColumnGroupName="MRI" AllowFiltering="false">
                                    <ItemTemplate>
                                        <%# FormatData("mri_no") %>
                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>
                                <telerik:GridTemplateColumn DataField="biopsy_yes" UniqueName="biopsy_yes" HeaderText="Yes"
                                    HeaderTooltip="Biopsy Yes Column" ColumnGroupName="biopsy" AllowFiltering="false">
                                    <ItemTemplate>
                                        <%# FormatData("biopsy_yes") %>
                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>
                                <telerik:GridTemplateColumn DataField="biopsy_no" UniqueName="biopsy_no" HeaderText="No"
                                    HeaderTooltip="Biopsy No Column" ColumnGroupName="biopsy" AllowFiltering="false">
                                    <ItemTemplate>
                                        <%# FormatData("biopsy_no") %>
                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>
                                <telerik:GridTemplateColumn DataField="pt_notification_yes" UniqueName="pt_notification_yes"
                                    HeaderText="Yes" HeaderTooltip="notif Yes Column" ColumnGroupName="notif" AllowFiltering="false">
                                    <ItemTemplate>

                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>
                                <telerik:GridTemplateColumn DataField="pt_notification_no" UniqueName="pt_notification_no"
                                    HeaderText="No" HeaderTooltip="notif No Column" ColumnGroupName="notif" AllowFiltering="false">
                                    <ItemTemplate>

                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>
                            </Columns>
                        </MasterTableView>
                        <ClientSettings AllowKeyboardNavigation="true">
                            <Selecting AllowRowSelect="true" />
                            <ClientEvents OnFilterMenuShowing="focusFilterMenu" />
                            <KeyboardNavigationSettings EnableKeyboardShortcuts="true" />
                        </ClientSettings>
                        <PagerStyle Mode="NextPrevAndNumeric" />
                    </telerik:RadGrid>
                    <br />
                        </td></tr></table>
                </td>
            </tr>
        </table>

        <br />
        <br />
        <telerik:RadHtmlChart runat="server" ID="rcBar" Width="800px" Height="600px" Visible="true">
            <PlotArea>
                <XAxis>
                    <Items>
                        <telerik:AxisItem LabelText="BI-RADS Follow Up" />
                        <telerik:AxisItem LabelText="Ultrasound" />
                        <telerik:AxisItem LabelText="MRI" />
                        <telerik:AxisItem LabelText="Biopsy" />
                        <telerik:AxisItem LabelText="Patient Notification" />
                    </Items>
                    <LabelsAppearance RotationAngle="75"></LabelsAppearance>
                </XAxis>
                <YAxis MaxValue="100" MinValue="0" Step="20">
                    <LabelsAppearance DataFormatString="{0}%" />
                    <TitleAppearance Text="The chart displays positive and/or yes percentages for all categories." />
                </YAxis>
            </PlotArea>
            <ChartTitle Text="Abnormal Mammogram Aggregates Comparison by Selected Division">
            </ChartTitle>
        </telerik:RadHtmlChart>
    </div>
</asp:Content>
