﻿<%@ Page Title="" Language="C#" AutoEventWireup="true" CodeFile="AllAbnormalMammograms_PD.aspx.cs"
    Inherits="AllAbnormalMam" MasterPageFile="~/Registry.master" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Charting" TagPrefix="telerik" %>
<%@ Register TagPrefix="custom" Namespace="CustomFilter" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">


    <telerik:RadCodeBlock runat="server" ID="rcb1">
        <script type="text/javascript">
            //this focuses context menus for 508 compliance
            function focusFilterMenu(sender, args) {
                filterMenuShowing(sender, args);
                window.setTimeout(function () { args.get_menu().get_items().getItem(0).blur(); args.get_menu().get_items().getItem(0).focus(); }, 1);
            }

            // Hide unwanted menu items
            var column = null;
            var columnName = null;

            function UpdateMenu(items, options) {
                var i = 0;
                while (i < items.get_count()) {

                    if (!(items.getItem(i).get_value() in options)) {
                        var item = items.getItem(i);
                        if (item != null)
                            item.set_visible(false);
                    }
                    else {
                        var item = items.getItem(i);
                        if (item != null)
                            item.set_visible(true);
                    }

                    i++;
                }
            }

            function MenuShowing(sender, args) {
                if (column == null) return;
                if (columnName == null) return;

                var menu = sender;
                var items = menu.get_items();

                if (columnName == "age" || columnName == "Date_Surgery_Performed") {
                    UpdateMenu(items, { 'NoFilter': '', 'EqualTo': '', 'GreaterThanOrEqualTo': '', 'LessThanOrEqualTo': '' })
                }
                else if (columnName == "Patient_Name" || columnName == "patient_zip" || columnName == "Patient_SSN" ||
                         columnName == "procedure_location" || columnName == "AAM_US_Result_GUI" || columnName == "AAM_MRI_Result_GUI" ||
                         columnName == "AAM_surgery_GUI" || columnName == "AAM_Biopsy_Result_GUI" ||
                         columnName == "AAM_Surgery_Procedure_GUI" || columnName == "AAM_Pathology_Report_GUI") {
                    UpdateMenu(items, { 'NoFilter': '', 'Contains': '' })
                }

                column = null;
                columnName = null;
                menu.repaint();
            }

            function filterMenuShowing(sender, eventArgs) {
                column = eventArgs.get_column();
                columnName = eventArgs.get_column().get_uniqueName();
            }

            function RowDblClick(sender, eventArgs) {
                sender.get_masterTableView().editItem(eventArgs.get_itemIndexHierarchical());
            }
        </script>
    </telerik:RadCodeBlock>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" runat="Server">
    <telerik:RadAjaxManager ID="ram" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="rcbFac">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="btnRunReport" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="rgAllAbnormalMam">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgAllAbnormalMam" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="btnRunReport">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgAllAbnormalMam" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="rcbVisn">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rcbFac" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="ralp1" runat="server" Skin="WebBlue" />
    <a href="content" tabindex="1"></a>
    <br />
    <table>
        <tr>
            <td>
                <table>
                <tr>
                    <td>
                        <asp:Label runat="server" ID="lblVisn" Text="Select VISN:" AssociatedControlID="rcbVisn" /><br />
                        <telerik:RadComboBox ID="rcbVisn" runat="server" Width="350px" AccessKey="v" TabIndex="3"
                            AutoPostBack="true" OnSelectedIndexChanged="rcbVisn_SelectedIndexChanged" />
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label runat="server" ID="lblFac" Text="Select Station / Healthcare System:" AssociatedControlID="rcbFac" /><br />
                        <telerik:RadComboBox ID="rcbFac" runat="server" Width="350px" AccessKey="v" TabIndex="3"
                            AutoPostBack="true" OnSelectedIndexChanged="rcbFac_SelectedIndexChanged" Enabled="false" />
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label runat="server" ID="Label1" Text="Mammogram Date:" AssociatedControlID="rcbFac" /><br />
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label runat="server" ID="Label2" Text="From Date:" AssociatedControlID="fromDate" /><br />
                        <telerik:RadDatePicker ID="fromDate" runat="server" ZIndex="30001" TabIndex="4" />
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:RequiredFieldValidator runat="server" ID="RequiredFieldValidator_fromDate" ControlToValidate="fromDate"
                            ErrorMessage="'From Date:' is a required field" />
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label runat="server" ID="Label3" Text="To Date:" AssociatedControlID="toDate" /><br />
                        <telerik:RadDatePicker ID="toDate" runat="server" ZIndex="30001" TabIndex="5" />
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:RequiredFieldValidator runat="server" ID="RequiredFieldValidator_toDate" ControlToValidate="toDate"
                            ErrorMessage="'To Date:' is a required field" />

                        <asp:CompareValidator runat="server" ID="dateCompareValidator" ControlToValidate="toDate"
                            ControlToCompare="fromDate" Operator="GreaterThanEqual" Type="Date"
                            ErrorMessage="'From Date:' must precede 'To Date:'" />
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Button runat="server" ID="btnRunReport" Text="Run Report" OnClick="btnReport_Click"
                            ToolTip="Run Report" Enabled="false" TabIndex="6" />
                    </td>
                </tr>
            </table>
            </td>
            <td>
                <table cellspacing="10px" cellpadding="10px" border="0">
                    <tr>
                        <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <asp:Panel ID="Panel1" runat="server" GroupingText="All Abnormal Mammograms, Biopsies and Surgeries Report Description"
                                Width="650px">
                                <asp:Label ID="AllAbnormalDescription" runat="server" Font-Italic="true">                                    
                                </asp:Label>
                            </asp:Panel>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>

            
    <br />
    <br />
    <asp:Label runat="server" ID="lblAccessibility" TabIndex="7" AccessKey="i" Text="Ctrl-y selects the grid.  Use Tab and arrow keys to navigate." />
    <br />
    <br />
    <asp:Button runat="server" ID="btnExcel" Text="Export to Excel" CommandName="XLS"
        OnClick="btnExport_Click" ToolTip="Export to Excel" TabIndex="8" />
    <asp:Button runat="server" ID="btnCSV" Text="Export to CSV" CommandName="CSV" ToolTip="Export to CSV"
        OnClick="btnExport_Click" TabIndex="9" />
    <asp:Button runat="server" ID="btnPDF" Text="Export to PDF" CommandName="PDF" ToolTip="Export to PDF"
        OnClick="btnExport_Click" TabIndex="10" Visible="false" />
    <asp:Button runat="server" ID="btnWord" Text="Export to Word" CommandName="DOC" ToolTip="Export to DOC"
        OnClick="btnExport_Click" TabIndex="11" />
    <telerik:RadGrid ID="rgAllAbnormalMam" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
        EnableLinqExpressions="false" ShowStatusBar="true" OnItemCommand="rgAllAbnormalMam_ItemCommand"
        TabIndex="12" OnNeedDataSource="rgAllAbnormalMam_NeedDataSource" OnItemDataBound="rgAllAbnormalMam_ItemDataBound"
        OnItemCreated="rgAllAbnormalMam_ItemCreated" OnExcelMLExportStylesCreated="rgAllAbnormalMam_ExcelMLExportStylesCreated"
        OnExcelMLExportRowCreated="rgAllAbnormalMam_ExcelMLExportRowCreated">
        <MasterTableView AutoGenerateColumns="false" AllowFilteringByColumn="true" AllowSorting="true"
            AllowPaging="true" CommandItemDisplay="Top" TabIndex="13" Width="800" PageSize="10"
            ShowHeadersWhenNoRecords="true" AllowMultiColumnSorting="false" >
            <SortExpressions>
                <telerik:GridSortExpression FieldName="primary_care_physician" SortOrder="Ascending" />
            </SortExpressions>
            <CommandItemTemplate>
                <asp:Button runat="server" ID="btnReset" Text="Clear Filters" CommandName="Reset"
                    ToolTip="Clear Filters" />
            </CommandItemTemplate>
            <NoRecordsTemplate>
                <table>
                    <tr>
                        <td>
                            <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-weight: bold" TabIndex="14">There are no results with the selected filters.  Please search again.</asp:Label></td>
                    </tr>
                </table>
            </NoRecordsTemplate>
            <ColumnGroups>
                <telerik:GridColumnGroup HeaderText="Team / Provider" Name="provider" />
                <telerik:GridColumnGroup HeaderText="Patient" Name="patient" />
                <telerik:GridColumnGroup HeaderText="All Abnormal Mammograms" Name="last_mam" />
                <telerik:GridColumnGroup HeaderText="Patient Demographics" Name="demo" />
                <telerik:GridColumnGroup HeaderText="Radiology Results" Name="results" />
                <telerik:GridColumnGroup HeaderText="Surgery" Name="surgery" />
            </ColumnGroups>
            <Columns>
                <telerik:GridEditCommandColumn UniqueName="EditCommandColumn" EditText="Details">
                </telerik:GridEditCommandColumn>
                <custom:CustomFilteringColumn DataField="team_name" UniqueName="team_name" HeaderText="PACT Team"
                    FilterControlAltText="Filter for PACT Team" FilterControlToolTip="Filter for PACT Team"
                    HeaderTooltip="PACT Team Column" FilterControlWidth="100" ColumnGroupName="provider" 
                    HeaderButtonType="None" EmptyDataText="Unassigned PACT Team"  />
                <custom:CustomFilteringColumn DataField="primary_care_physician" UniqueName="primary_care_physician"
                    HeaderText="Provider Name" FilterControlAltText="Filter for Provider" FilterControlToolTip="Filter for Provider"
                    HeaderTooltip="Provider Column" FilterControlWidth="75" ColumnGroupName="provider"
                    EmptyDataText="Unassigned Provider" HeaderButtonType="None" />
                <telerik:GridBoundColumn DataField="Patient_Name" UniqueName="Patient_Name" HeaderText="Last Name, First"
                    FilterControlAltText="Filter Textbox for Patient Name" FilterControlToolTip="Filter Textbox for Patient Name"
                    HeaderTooltip="Patient Name Column" ColumnGroupName="patient" CurrentFilterFunction="Contains"
                    HeaderButtonType="None">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="Patient_SSN" UniqueName="Patient_SSN" HeaderText="Last 4"
                    FilterControlAltText="Filter Textbox for Patient Last 4" FilterControlToolTip="Filter Textbox for Last 4"
                    HeaderTooltip="Last 4 Column" ColumnGroupName="patient" FilterControlWidth="50" HeaderButtonType="None">
                </telerik:GridBoundColumn>
                <telerik:GridDateTimeColumn DataField="date_of_last_mammogram" UniqueName="date_of_last_mammogram"
                    HeaderText="Date Performed" HeaderTooltip="Date Performed Column" ColumnGroupName="last_mam"
                    AllowFiltering="false" DataFormatString="{0:MM/dd/yyyy}" HeaderButtonType="None">
                </telerik:GridDateTimeColumn>
                <custom:CustomFilteringColumn DataField="BiRad_Code" UniqueName="BiRad_Code" HeaderText="BI-RADS Code"
                    ColumnGroupName="last_mam" FilterControlWidth="50" FilterControlAltText="Filter Textbox for BiRad"
                    FilterControlToolTip="Filter Textbox for BiRad" HeaderTooltip="BiRad Column" HeaderButtonType="None" />

                <telerik:GridBoundColumn HeaderText="BI-RADS Follow-up" DataField="BI_RADS_follow_up"
                    ColumnGroupName="last_mam" AllowFiltering="false" UniqueName="AAM_BI_RADS_follow_up_Report" Visible="false"
                    HeaderButtonType="None">
                </telerik:GridBoundColumn>
                <telerik:GridTemplateColumn HeaderText="BI-RADS Follow-up Action Taken" DataField="BI_RADS_follow_up"
                    HeaderTooltip="BI_RADS_follow_up Column" AllowFiltering="false" ColumnGroupName="last_mam"
                    UniqueName="AAM_BI_RADS_follow_up_GUI" HeaderButtonType="None" SortExpression="BI_RADS_follow_up">
                    <ItemTemplate>
                        <asp:Label ID="lblAAM_BI_RADS_follow_up" runat="server" Text="Yes"></asp:Label>
                        <telerik:RadToolTip ID="rttAAM_BI_RADS_follow_up" runat="server" TargetControlID="lblAAM_BI_RADS_follow_up" RelativeTo="Element"
                            Position="TopCenter" OffsetX="-10" OffsetY="-10"  Width="400px" RenderInPageRoot="true" 
                            HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                            <%# DataBinder.Eval(Container, "DataItem.BI_RADS_follow_up")%>
                        </telerik:RadToolTip>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>

                <custom:CustomFilteringColumn DataField="Procedure_Location" UniqueName="Procedure_Location" HeaderText="Procedure Location"
                    FilterControlAltText="Filter Textbox for Location of Last Mam" FilterControlToolTip="Filter Textbox for Location of Last Mam"
                    HeaderTooltip="Location of Last Mam Column" ColumnGroupName="last_mam" FilterControlWidth="50" HeaderButtonType="None" />

                <telerik:GridBoundColumn HeaderText="Ultrasound" DataField="US_Result"
                    ColumnGroupName="results" AllowFiltering="false" UniqueName="AAM_US_Result_Report" Visible="false"
                    HeaderButtonType="None">
                </telerik:GridBoundColumn>
                <telerik:GridTemplateColumn HeaderText="Ultrasound" DataField="US_Result" SortExpression="US_Result"
                    ColumnGroupName="results" AllowFiltering="true" UniqueName="AAM_US_Result_GUI" HeaderButtonType="None">
                    <ItemTemplate>
                        <asp:Label ID="lblAAM_US_Result" runat="server" Text="Ultrasound Result"></asp:Label>
                        <telerik:RadToolTip ID="rttAAM_US_Result" runat="server" TargetControlID="lblAAM_US_Result" RelativeTo="Element"
                            Position="TopCenter" OffsetX="-10" OffsetY="-10"  RenderInPageRoot="true"  Width="400px"
                            HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                            <%# DataBinder.Eval(Container, "DataItem.US_Result")%>
                        </telerik:RadToolTip>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>

                <telerik:GridBoundColumn HeaderText="MRI" DataField="MRI_Result"
                    ColumnGroupName="results" AllowFiltering="false" UniqueName="AAM_MRI_Result_Report" Visible="false" HeaderButtonType="None">
                </telerik:GridBoundColumn>
                <telerik:GridTemplateColumn HeaderText="MRI" DataField="MRI_Result" SortExpression="MRI_Result"
                    ColumnGroupName="results" AllowFiltering="true" UniqueName="AAM_MRI_Result_GUI" HeaderButtonType="None">
                    <ItemTemplate>
                        <asp:Label ID="lblAAM_MRI_Result" runat="server" Text="MRI Result"></asp:Label>
                        <telerik:RadToolTip ID="rttAAM_MRI_Result" runat="server" TargetControlID="lblAAM_MRI_Result" RelativeTo="Element"
                            Position="TopCenter" OffsetX="-10" OffsetY="-10" RenderInPageRoot="true" Width="400px"
                             HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                            <%# DataBinder.Eval(Container, "DataItem.MRI_Result")%>
                        </telerik:RadToolTip>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>

                <telerik:GridBoundColumn HeaderText="Pathology Report" DataField="Pathology_Report"
                    AllowFiltering="false" UniqueName="AAM_Pathology_Report_Report" Visible="false" HeaderButtonType="None">
                </telerik:GridBoundColumn>
                <telerik:GridTemplateColumn HeaderText="Pathology Report" DataField="Pathology_Report" 
                    AllowFiltering="true" UniqueName="AAM_Pathology_Report_GUI" HeaderButtonType="None"
                    SortExpression="Pathology_Report">
                    <ItemTemplate>
                        <asp:Label ID="lblAAM_Pathology_Report" runat="server" Text="Pathology Report"></asp:Label>
                        <telerik:RadToolTip ID="rttAAM_Pathology_Report" runat="server" TargetControlID="lblAAM_Pathology_Report" RelativeTo="Element"
                            Position="TopCenter" OffsetX="-10" OffsetY="-10" RenderInPageRoot="true" Width="400px"
                             HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                            <%# DataBinder.Eval(Container, "DataItem.Pathology_Report")%>
                        </telerik:RadToolTip>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>

                <telerik:GridBoundColumn HeaderText="Biopsy Procedure" DataField="Biopsy_Result"
                    AllowFiltering="false" UniqueName="AAM_Biopsy_Result_Report" Visible="false" HeaderButtonType="None">
                </telerik:GridBoundColumn>
                <telerik:GridTemplateColumn HeaderText="Biopsy Procedure" DataField="Biopsy_Result"
                    HeaderTooltip="Biopsy Column" UniqueName="AAM_Biopsy_Result_GUI" 
                    HeaderButtonType="None" SortExpression="Biopsy_Result">
                    <ItemTemplate>
                        <asp:Label ID="lblAAM_Biopsy_Result" runat="server" Text="Biopsy Procedure"></asp:Label>
                        <telerik:RadToolTip ID="rttAAM_Biopsy_Result" runat="server" TargetControlID="lblAAM_Biopsy_Result" 
                            RelativeTo="Element" Position="TopCenter" OffsetX="-10" OffsetY="-10" 
                             Width="400px" RenderInPageRoot="true" HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                            <%# DataBinder.Eval(Container, "DataItem.Biopsy_Result")%>
                        </telerik:RadToolTip>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>

                <telerik:GridBoundColumn HeaderText="Oncology Visit" DataField="Oncology_Visit"
                    AllowFiltering="false" UniqueName="AAM_Oncology_Visit_Report" Visible="false" HeaderButtonType="None">
                </telerik:GridBoundColumn>
                <telerik:GridTemplateColumn HeaderText="Oncology Visit" DataField="Oncology_Visit"
                    HeaderTooltip="Oncology Visit Column" UniqueName="AAM_Oncology_Visit_GUI" 
                    HeaderButtonType="None" SortExpression="Oncology_Visit">
                    <ItemTemplate>
                        <asp:Label ID="lblAAM_Oncology_Visit" runat="server" Text="Oncology Visit"></asp:Label>
                        <telerik:RadToolTip ID="rttAAM_Oncology_Visit" runat="server" TargetControlID="lblAAM_Oncology_Visit" 
                            RelativeTo="Element" Position="TopCenter" OffsetX="-10" OffsetY="-10" 
                             Width="400px" RenderInPageRoot="true" HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                            <%# DataBinder.Eval(Container, "DataItem.Oncology_Visit")%>
                        </telerik:RadToolTip>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>

                <telerik:GridBoundColumn HeaderText="Procedure" DataField="Surgery_Procedure"
                    AllowFiltering="false" UniqueName="AAM_Surgery_Procedure_Report" Visible="false" ColumnGroupName="surgery"
                    HeaderButtonType="None">
                </telerik:GridBoundColumn>

                <telerik:GridTemplateColumn HeaderText="Procedure" DataField="Surgery_Procedure"
                    HeaderTooltip="Surgery Procedure Column" AllowFiltering="true" UniqueName="AAM_Surgery_Procedure_GUI"
                    ColumnGroupName="surgery" HeaderButtonType="None" SortExpression="Surgery_Procedure">
                    <ItemTemplate>
                        <asp:Label ID="lblAAM_Surgery_Procedure" runat="server" Text="Surgery Procedure"></asp:Label>
                        <telerik:RadToolTip ID="rttAAM_Surgery_Procedure" runat="server" TargetControlID="lblAAM_Surgery_Procedure" RelativeTo="Element"
                            Position="TopCenter" OffsetX="-10" OffsetY="-10" RenderInPageRoot="true" Width="400px"
                             HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                            <%# DataBinder.Eval(Container, "DataItem.Surgery_Procedure")%>
                        </telerik:RadToolTip>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>

                <telerik:GridDateTimeColumn DataField="Date_Surgery_Performed" UniqueName="Date_Surgery_Performed"
                    HeaderText="Surgery Date Performed" HeaderTooltip="date performed column" ColumnGroupName="surgery"
                    FilterControlWidth="75" DataFormatString="{0:MM/dd/yyyy}" HeaderButtonType="None">
                </telerik:GridDateTimeColumn>

                <telerik:GridBoundColumn HeaderText="Report (data TBD)" DataField="surgery"
                    ColumnGroupName="surgery" AllowFiltering="false" UniqueName="AAM_surgery_Report" Visible="false" HeaderButtonType="None">
                </telerik:GridBoundColumn>
                <telerik:GridTemplateColumn HeaderText="Report (data TBD)" DataField="surgery" SortExpression="surgery"
                    ColumnGroupName="surgery" AllowFiltering="true" UniqueName="AAM_surgery_GUI" HeaderButtonType="None">
                    <ItemTemplate>
                        <asp:Label ID="lblAAM_surgery" runat="server" Text="Surgery Result"></asp:Label>
                        <telerik:RadToolTip ID="rttAAM_surgery" runat="server" TargetControlID="lblAAM_surgery" RelativeTo="Element"
                            Position="TopCenter" OffsetX="-10" OffsetY="-10" RenderInPageRoot="true" Width="400px" 
                             HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                            <%# DataBinder.Eval(Container, "DataItem.surgery")%>
                        </telerik:RadToolTip>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>

                <telerik:GridBoundColumn DataField="age" UniqueName="age" HeaderText="Age" FilterControlAltText="Filter Textbox for Patient Age"
                    FilterControlToolTip="Filter Textbox for Age" HeaderTooltip="Age Column" ColumnGroupName="demo"
                    FilterControlWidth="30" HeaderButtonType="None" />
                <custom:CustomFilteringColumn DataField="race" UniqueName="race" FilterControlAltText="Filter Dropdown for Patient Race"
                    FilterControlToolTip="Filter Dropdown for Race" HeaderText="Race" HeaderTooltip="Race Column"
                    FilterControlWidth="75" ColumnGroupName="demo" HeaderButtonType="None" />
                <custom:CustomFilteringColumn DataField="gender" UniqueName="gender" HeaderText="Gender"
                    FilterControlAltText="Filter Dropdown for Patient Gender" FilterControlToolTip="Filter Dropdown for Gender"
                    HeaderTooltip="Gender Column" ColumnGroupName="demo" FilterControlWidth="50" HeaderButtonType="None" />
                <telerik:GridBoundColumn DataField="patient_zip" UniqueName="patient_zip" HeaderText="Patient Zip"
                    FilterControlAltText="Filter Textbox for Patient zip" FilterControlToolTip="Filter Textbox for Patient Zip"
                    HeaderTooltip="Patient Zip Column" ColumnGroupName="demo" FilterControlWidth="30" HeaderButtonType="None" />

            </Columns>
            <EditFormSettings UserControlName="./controls/AllAbnormalMammograms_PD.ascx" EditFormType="WebUserControl" CaptionFormatString="Details">
                <EditColumn UniqueName="EditCommandColumn1">
                </EditColumn>
            </EditFormSettings>
        </MasterTableView>
        
        <ClientSettings AllowKeyboardNavigation="true">
            <Selecting AllowRowSelect="true" />
            <ClientEvents OnFilterMenuShowing="focusFilterMenu" OnRowDblClick="RowDblClick" />
            <KeyboardNavigationSettings EnableKeyboardShortcuts="true" />
        </ClientSettings>
        <FilterMenu OnClientShowing="MenuShowing" />
        <PagerStyle Mode="NextPrevAndNumeric" />
    </telerik:RadGrid>

</asp:Content>

