﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Registry.master" AutoEventWireup="true" CodeFile="BreastBiospies_Surgeries_Rpt.aspx.cs" Inherits="Reports_BreastBiospies_Surgeries_Rpt" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Charting" TagPrefix="telerik" %>
<%@ Register TagPrefix="custom" Namespace="CustomFilter" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <telerik:RadCodeBlock runat="server" ID="rcb1">
        <script type="text/javascript">
            function ShowProgress() {
                setTimeout(function () {
                    var modal = $('<div />');
                    modal.addClass("modal");
                    $('body').append(modal);
                    var loading = $(".loading");
                    loading.show();
                    var top = Math.max($(window).height() / 2 - loading[0].offsetHeight / 2, 0);
                    var left = Math.max($(window).width() / 2 - loading[0].offsetWidth / 2, 0);
                    loading.css({ top: top, left: left });
                }, 200);
            }
        </script>
    </telerik:RadCodeBlock>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" runat="Server">
    <telerik:RadSkinManager ID="QsfSkinManager" runat="server" ShowChooser="false" Skin="Office2010Blue" />
    <%--<telerik:RadAjaxManager ID="ram" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="rgBreastBiopsiesSurgeries">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgBreastBiopsiesSurgeries" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="btnRunReport">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgBreastBiopsiesSurgeries" LoadingPanelID="ralp1" />
                    <telerik:AjaxUpdatedControl ControlID="lblExecutionTime" LoadingPanelID="ralp1" UpdatePanelRenderMode="Inline" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="btnClearReport">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="pnlAdvancedSearch" LoadingPanelID="ralp1" />
                    <telerik:AjaxUpdatedControl ControlID="rgBreastBiopsiesSurgeries" LoadingPanelID="ralp1" />
                    <telerik:AjaxUpdatedControl ControlID="lblExecutionTime" LoadingPanelID="ralp1" UpdatePanelRenderMode="Inline" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="rcbVisn">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rcbFac" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="rcbFac">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="btnRunReport" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>

    <telerik:RadAjaxLoadingPanel ID="ralp1" runat="server" Skin="Office2010Blue" />--%>

    <table style="width: 100%;">
        <tr>
            <td style="padding-left: 10px; padding-right: 10px; padding-top: 4px; width: 250px; vertical-align: top; background-color: #F5F5F5;">
                <asp:Panel ID="pnlAdvancedSearch" runat="server">
                    <!--Start Filters-->
                    <h2>Search Filters:</h2>
                    <br />
                    <asp:Label runat="server" ID="lblVisn" Text="Select VISN:" AssociatedControlID="rcbVisn" /><br />
                    <telerik:RadComboBox ID="rcbVisn" runat="server" Width="100%" AccessKey="v" TabIndex="3"
                        AutoPostBack="true" OnSelectedIndexChanged="rcbVisn_SelectedIndexChanged" OnClientSelectedIndexChanged="ShowProgress" />
                    <br />
                    <br />
                    <asp:Label runat="server" ID="lblFac" Text="Select Station / Healthcare System:" AssociatedControlID="rcbFac" /><br />
                    <telerik:RadComboBox ID="rcbFac" runat="server" Width="100%" AccessKey="v" TabIndex="3"
                        AutoPostBack="true" OnSelectedIndexChanged="rcbFac_SelectedIndexChanged" OnClientSelectedIndexChanged="ShowProgress" Enabled="false" />

                    <br />
                    <br />

                    <asp:Label runat="server" ID="lblStartDate" Text="Start Date:" AssociatedControlID="rdpStartDate" /><br />
                    <telerik:RadDatePicker ID="rdpStartDate" runat="server" ZIndex="30001" TabIndex="4" />
                    <br />
                    <br />

                    <asp:Label runat="server" ID="lblEndDate" Text="End Date:" AssociatedControlID="rdpEndDate" /><br />
                    <telerik:RadDatePicker ID="rdpEndDate" runat="server" ZIndex="30001" TabIndex="5" />

                    <br />
                    <br />

                    <asp:Label runat="server" ID="lblReportType" Text="Report Data Type:" AssociatedControlID="rddlReportType" />
                    <br />
                    <telerik:RadComboBox ID="rddlReportType" runat="server" TabIndex="6" Width="100%">
                        <Items>
                            <telerik:RadComboBoxItem Text="All" Value="All" Selected="true" />
                            <telerik:RadComboBoxItem Text="Biopsy" Value="biopsy" />
                            <telerik:RadComboBoxItem Text="Surgery" Value="surgery" />
                        </Items>
                    </telerik:RadComboBox>

                    <br />
                    <br />

                    <%--                    
                    <asp:Label runat="server" ID="lblShowLatest" Text="Show Only Latest Entries:" AssociatedControlID="chkShowLatest" />
                    <asp:CheckBox ID="chkShowLatest" runat="server" Checked="true" />
                    <br />
                    <br />

                    <asp:Label runat="server" ID="lblBiRadsList" Text="Bi-RADS Codes: (select and deselect with Ctrl-Click)" AssociatedControlID="rlbBiRadsList" />
                    <br />
                    <telerik:RadListBox ID="rlbBiRadsList" runat="server" TabIndex="6" SelectionMode="Multiple">
                        <Items>
                            <telerik:RadListBoxItem Text="0" Value="0" />
                            <telerik:RadListBoxItem Text="1" Value="1" />
                            <telerik:RadListBoxItem Text="2" Value="2" />
                            <telerik:RadListBoxItem Text="3" Value="3" />
                            <telerik:RadListBoxItem Text="4" Value="4" />
                            <telerik:RadListBoxItem Text="5" Value="5" />
                            <telerik:RadListBoxItem Text="6" Value="6" />
                        </Items>
                    </telerik:RadListBox>
                    <br />
                    <br />
                    --%>

                    <asp:Label runat="server" ID="lblPatientName" Text="Patient Name (contains):" AssociatedControlID="rtbPatientName" />
                    <br />
                    <telerik:RadTextBox ID="rtbPatientName" runat="server" TextMode="SingleLine" ToolTip="Patient Name Contains:" Width="100%" />
                    <br />
                    <br />

                    <asp:Label runat="server" ID="lblAge" Text="Age Restriction:" AssociatedControlID="rddlAgeRestriction" />
                    <br />
                    <telerik:RadComboBox ID="rddlAgeRestriction" runat="server" TabIndex="6" Width="100%">
                        <Items>
                            <telerik:RadComboBoxItem Text="All" Value="All" Selected="true" />
                            <telerik:RadComboBoxItem Text="0-30" Value="0-30" />
                            <telerik:RadComboBoxItem Text="31-40" Value="31-40" />
                            <telerik:RadComboBoxItem Text="41-50" Value="41-50" />
                            <telerik:RadComboBoxItem Text="51-60" Value="51-60" />
                            <telerik:RadComboBoxItem Text="61-64" Value="61-64" />
                            <telerik:RadComboBoxItem Text="65-74" Value="65-74" />
                            <telerik:RadComboBoxItem Text="Over 74" Value="Over 74" />
                        </Items>
                    </telerik:RadComboBox>

                    <br />
                    <br />
                    <asp:Label runat="server" ID="lblGender" Text="Gender:" AssociatedControlID="rlbGender" />
                    <br />
                    <telerik:RadListBox ID="rlbGender" runat="server" TabIndex="6" SelectionMode="Single" Width="100%">
                        <Items>
                            <telerik:RadListBoxItem Text="All" Value="All" Selected="true" />
                            <telerik:RadListBoxItem Text="F" Value="F" />
                            <telerik:RadListBoxItem Text="M" Value="M" />
                        </Items>
                    </telerik:RadListBox>
                    <br />
                    <br />

                    <asp:Label runat="server" ID="lblRace" Text="Race:" AssociatedControlID="rcbRace" />
                    <br />
                    <telerik:RadComboBox ID="rcbRace" runat="server" TabIndex="6" Width="100%">
                    </telerik:RadComboBox>
                    <br />
                    <br />

                    <asp:Label runat="server" ID="lblProviderName" Text="Provider Name (contains):" AssociatedControlID="rtbProviderName" />
                    <br />
                    <telerik:RadTextBox ID="rtbProviderName" runat="server" TextMode="SingleLine" ToolTip="Provider Name Contains:" Width="100%" />
                    <br />
                    <br />
                    <table style="padding: 0px;">
                        <tr>
                            <td style="vertical-align: top; padding-right: 5px;">
                                <telerik:RadButton ID="btnRunReport" runat="server" Enabled="false" Text="Run Report" OnClick="btnRunReport_Click" OnClientClicked="ShowProgress" />
                            </td>
                            <td style="vertical-align: top; padding: 0px;">
                                <telerik:RadButton ID="btnClearReport" runat="server" Text="Reset" OnClick="btnClearReport_Click" OnClientClicked="ShowProgress" />
                            </td>
                        </tr>
                    </table>
                    <br />
                    <!--End Filters-->
                </asp:Panel>
            </td>
            <td style="vertical-align: top; padding-right: 10px;">
                <div style="text-align: right; font-size:10pt;">
                    <asp:Label ID="lblExecutionTimeLabel" runat="server" AssociatedControlID="lblExecutionTime" Text="Execution Time:" ToolTip="Report Execution Time" Font-Size="10pt" />
                    <asp:Label ID="lblExecutionTime" runat="server" ToolTip="Length of time to execute report" Font-Size="10pt" />
                </div>

                <!--Start Export Buttons -->
                <asp:Button runat="server" ID="btnExcel" Text="Export to Excel" CommandName="XLS"
                    OnClick="btnExport_Click" ToolTip="Export to Excel" TabIndex="8" />
                <asp:Button runat="server" ID="btnCSV" Text="Export to CSV" CommandName="CSV" ToolTip="Export to CSV"
                    OnClick="btnExport_Click" TabIndex="9" />
                <asp:Button runat="server" ID="btnPDF" Text="Export to PDF" CommandName="PDF" ToolTip="Export to PDF"
                    OnClick="btnExport_Click" TabIndex="10" Visible="true" />
                <asp:Button runat="server" ID="btnWord" Text="Export to Word" CommandName="DOC" ToolTip="Export to DOC"
                    OnClick="btnExport_Click" TabIndex="11" />
                <!--End Export Buttons -->

                <!--Start Grid-->
                <telerik:RadGrid ID="rgBreastBiopsiesSurgeries" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                    EnableLinqExpressions="false" ShowStatusBar="true"
                    TabIndex="6" OnNeedDataSource="rgBreastBiopsiesSurgeries_NeedDataSource" OnItemDataBound="rgBreastBiopsiesSurgeries_ItemDataBound"
                    OnItemCreated="rgBreastBiopsiesSurgeries_ItemCreated">
                    <MasterTableView AutoGenerateColumns="false" DataKeyNames="PatientSID" ClientDataKeyNames="PatientSID"
                        AllowFilteringByColumn="false" AllowSorting="true" AllowPaging="true" CommandItemDisplay="None" PagerStyle-AlwaysVisible="true"
                        TabIndex="12" Width="100%" PageSize="20" ShowHeadersWhenNoRecords="true">
                        <NoRecordsTemplate>
                            <table>
                                <tr>
                                    <td>
                                        <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-size: 12pt; font-weight: normal;" TabIndex="14">
                                                Either no results were found with the selected parameters or the initial search has not been performed yet.  Please select criteria and click on the "Run Report" button
                                        </asp:Label></td>
                                </tr>
                            </table>
                        </NoRecordsTemplate>
                        <SortExpressions>
                            <telerik:GridSortExpression FieldName="Patient_Name" SortOrder="Ascending" />
                        </SortExpressions>
                        <ColumnGroups>
                            <telerik:GridColumnGroup HeaderText="Team / Provider" Name="provider" />
                            <telerik:GridColumnGroup HeaderText="Patient" Name="patient" />
                            <telerik:GridColumnGroup HeaderText="Breast Biopsies" Name="biop" />
                            <telerik:GridColumnGroup HeaderText="Other Data" Name="otherData" />
                            <telerik:GridColumnGroup HeaderText="Surgeries" Name="surg" />
                            <%--<telerik:GridColumnGroup HeaderText="Patient Demographics" Name="demo" />--%>
                        </ColumnGroups>
                        <Columns>
                            <telerik:GridTemplateColumn DataField="PatientSID" UniqueName="PatientSID" HeaderText="Details" HeaderTooltip="Click for More Details"
                                HeaderButtonType="None" AllowFiltering="false" AllowSorting="false" Exportable="false" ShowSortIcon="false" ShowFilterIcon="false">
                                <ItemTemplate>
                                    <a href="PatientDetails.aspx?id=<%# DataBinder.Eval(Container, "DataItem.PatientSID")%>" title="Click for patient details for <%# DataBinder.Eval(Container, "DataItem.Patient_Name")%>">Details</a>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <telerik:GridBoundColumn DataField="PCMMTeam" UniqueName="team_name_Report" HeaderText="PACT Team" HeaderTooltip="PACT Team Column" ColumnGroupName="provider"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" />

                            <telerik:GridBoundColumn DataField="PCMMStaffName" UniqueName="PCMMStaffName_Report" HeaderText="Provider Name" HeaderTooltip="Provider Name Column" ColumnGroupName="provider"
                                HeaderButtonType="None" AllowFiltering="false" EmptyDataText="Unassigned Provider" Exportable="true" />

                            <telerik:GridBoundColumn DataField="Patient_Name" UniqueName="Patient_Name_Report" HeaderText="Last Name, First" HeaderTooltip="Patient Name Column" ColumnGroupName="patient"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" />

                            <telerik:GridBoundColumn DataField="Gender" UniqueName="Gender_Report" HeaderText="Gender" HeaderTooltip="Gender Column" ColumnGroupName="patient"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" />

                            <telerik:GridBoundColumn DataField="Race" UniqueName="Race_Report" HeaderText="Race" HeaderTooltip="Race Column" ColumnGroupName="patient"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" />

                            <telerik:GridBoundColumn DataField="Age" UniqueName="Age_Report" HeaderText="Age" HeaderTooltip="Patient Age Column" ColumnGroupName="patient"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" />

                            <telerik:GridBoundColumn DataField="Type" UniqueName="Type_Report" HeaderText="Report Type" HeaderTooltip="Report Type Column" HeaderButtonType="None" 
                                AllowFiltering="false" Exportable="true" />

                            <telerik:GridBoundColumn DataField="ProcedureDate" UniqueName="ProcedureDate_Report" HeaderText="Date" HeaderTooltip="Date Column" HeaderButtonType="None" 
                                AllowFiltering="false" Exportable="true" />

                            <telerik:GridBoundColumn DataField="Procedure" UniqueName="Procedure_Report" HeaderText="Procedure" HeaderTooltip="Procedure Column" HeaderButtonType="None" 
                                Exportable="true" AllowFiltering="false" />

                            <%-- Other Info --%>
                            <%--<telerik:GridBoundColumn DataField="BCRAStatus" UniqueName="BCRAStatus_Report" HeaderText="BCRA Status" HeaderTooltip="BCRA Status Column" ColumnGroupName="otherData"
                                HeaderButtonType="None" AllowFiltering="false" EmptyDataText="N/A" Exportable="true" />--%>

                            <telerik:GridBoundColumn DataField="DateOfMostRecentMammogram" UniqueName="DateOfMostRecentMammogram_Report" HeaderText="Last Mammogram Date" HeaderTooltip="Last Mammogram Date Column" ColumnGroupName="otherData"
                                HeaderButtonType="None" AllowFiltering="false" EmptyDataText="N/A" Exportable="true" />

                            <telerik:GridBoundColumn DataField="BIRADScore" UniqueName="BIRADScore_Report" HeaderText="BI-RADS Code" HeaderTooltip="Last Mammogram BI-RADS Code Column" ColumnGroupName="otherData"
                                HeaderButtonType="None" AllowFiltering="false" EmptyDataText="--" Exportable="true" />

                            <telerik:GridBoundColumn DataField="TumorRegData" UniqueName="BB_TumorRegData_Report" HeaderText="Tumor Registry Data" HeaderTooltip="Tumor Registry Data Column" ColumnGroupName="otherData"
                                HeaderButtonType="None" AllowFiltering="false" Visible="false" ConvertEmptyStringToNull="true" Exportable="true" />
                            <telerik:GridTemplateColumn HeaderText="Tumor Registry Data" DataField="TumorRegData" SortExpression="TumorRegData"
                                ColumnGroupName="otherData" AllowFiltering="false" UniqueName="BB_TumorRegData_GUI" HeaderButtonType="None" Exportable="false">
                                <ItemTemplate>
                                    <asp:Label ID="lblBB_TumorRegData" runat="server" Text="View Tumor Registry Data"></asp:Label>
                                    <telerik:RadToolTip ID="rttBB_TumorRegData" runat="server" TargetControlID="lblBB_TumorRegData" RelativeTo="Element"
                                        Position="TopCenter" OffsetX="-10" OffsetY="-10" RenderInPageRoot="true" Width="400px"
                                        HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                                        <%# DataBinder.Eval(Container, "DataItem.TumorRegData")%>
                                    </telerik:RadToolTip>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <telerik:GridBoundColumn DataField="Pathology" UniqueName="BB_Pathology_Report" HeaderText="Pathology" HeaderTooltip="Pathology Report Data Column" ColumnGroupName="otherData"
                                HeaderButtonType="None" AllowFiltering="false" Visible="false" ConvertEmptyStringToNull="true" Exportable="true" />
                            <telerik:GridTemplateColumn HeaderText="Pathology" HeaderTooltip="Pathology Report Data Column" DataField="Pathology" SortExpression="Pathology"
                                ColumnGroupName="otherData" AllowFiltering="false" UniqueName="BB_Pathology_GUI" HeaderButtonType="None" Exportable="false">
                                <ItemTemplate>
                                    <asp:Label ID="lblBB_Pathology" runat="server" Text="View Pathology Report Data"></asp:Label>
                                    <telerik:RadToolTip ID="rttBB_Pathology" runat="server" TargetControlID="lblBB_Pathology" RelativeTo="Element"
                                        Position="TopCenter" OffsetX="-10" OffsetY="-10" RenderInPageRoot="true" Width="400px"
                                        HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                                        <%# DataBinder.Eval(Container, "DataItem.Pathology")%>
                                    </telerik:RadToolTip>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>
                        </Columns>
                    </MasterTableView>
                </telerik:RadGrid>
                <!--End Grid-->
            </td>
        </tr>
    </table>

    <div class="loading" align="center">
        Loading. Please wait.<br />
        <br />
        <img src="../images/ajax-loader.gif" />
    </div>

</asp:Content>