﻿<%@ Page Title="" Language="C#" AutoEventWireup="true" CodeFile="BreastCancer_Agg.aspx.cs"
    Inherits="BiRad" MasterPageFile="~/Registry.master" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Charting" TagPrefix="telerik" %>
<%@ Register TagPrefix="custom" Namespace="CustomFilter" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <telerik:RadCodeBlock runat="server" ID="rcb1">
        <script type="text/javascript">
            function focusFilterMenu(sender, args) {
                window.setTimeout(function () { args.get_menu().get_items().getItem(0).blur(); args.get_menu().get_items().getItem(0).focus(); }, 1);
            }

            function onItemChecked(sender, e) {
                var item = e.get_item();
                var items = sender.get_items();
                var checked = item.get_checked();
                var firstItem = sender.getItem(0);

                if (item.get_text() == "All") {
                    items.forEach(function (itm) { itm.set_checked(checked); });
                }
                else {
                    if (sender.get_checkedItems().length == items.get_count() - 1) {
                        firstItem.set_checked(!firstItem.get_checked());
                    }
                }
            }
        </script>
    </telerik:RadCodeBlock>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" runat="Server">
    <telerik:RadAjaxManager ID="ram" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="rtvDivision">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rtvDivision" LoadingPanelID="ralp1" />
                    <telerik:AjaxUpdatedControl ControlID="btnCreateReport" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="btnCreateReport">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="divReports" LoadingPanelID="ralp1" />
                    <telerik:AjaxUpdatedControl ControlID="lblFilterSelected" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="ralp1" runat="server" Skin="WebBlue" />
    <asp:Panel runat="server" ID="Panel1" GroupingText="Select Division" Font-Bold="true">
        <telerik:RadTreeView runat="server" ID="rtvDivision" MultipleSelect="true" CheckBoxes="true"
            Height="300" AccessKey="t" OnNodeCheck="rtvDivision_NodeCheck" OnNodeClick="rtvDivision_NodeClick" >
            <WebServiceSettings Path="~/Reports/WebServices/DivisionWebService.asmx" Method="GetDivisions" />
        </telerik:RadTreeView>
    </asp:Panel>
    <table>
        <tr>
            <td>
                <asp:Label runat="server" ID="Label2" Text="From Date:" AssociatedControlID="fromDate" /><br />
                <telerik:RadDatePicker ID="fromDate" runat="server" ZIndex="30001" TabIndex="4" />
            </td>
        </tr>
        <tr>
            <td>
                <asp:RequiredFieldValidator runat="server" ID="RequiredFieldValidator_fromDate" ControlToValidate="fromDate"
                    ErrorMessage="'From Date:' is a required field" />
            </td>
        </tr>
        <tr>
            <td>
                <asp:Label runat="server" ID="Label3" Text="To Date:" AssociatedControlID="toDate" /><br />
                <telerik:RadDatePicker ID="toDate" runat="server" ZIndex="30001" TabIndex="5" />
            </td>
        </tr>
        <tr>
            <td>
                <asp:RequiredFieldValidator runat="server" ID="RequiredFieldValidator_toDate" ControlToValidate="toDate"
                    ErrorMessage="'To Date:' is a required field" />

                <asp:CompareValidator runat="server" ID="dateCompareValidator" ControlToValidate="toDate"
                    ControlToCompare="fromDate" Operator="GreaterThanEqual" Type="Date"
                    ErrorMessage="'From Date:' must precede 'To Date:'" />
            </td>
        </tr>
        <tr>

            <td>
                <asp:Label runat="server" ID="Label5" Text="Age:" AssociatedControlID="rlbAge" /><br />
                <telerik:RadListBox runat="server" TabIndex="6" ID="rlbAge" CheckBoxes="true" OnClientItemChecked="onItemChecked">
                    <Items>
                        <telerik:RadListBoxItem Text="All" Value="All" />
                        <telerik:RadListBoxItem Text="<50" Value="0" />
                        <telerik:RadListBoxItem Text="50-54" Value="1" />
                        <telerik:RadListBoxItem Text="55-59" Value="2" />
                        <telerik:RadListBoxItem Text="60-64" Value="3" />
                        <telerik:RadListBoxItem Text="65-69" Value="4" />
                        <telerik:RadListBoxItem Text="70-74" Value="5" />
                        <telerik:RadListBoxItem Text=">74" Value="6" />
                    </Items>
                </telerik:RadListBox>
            </td>
            <td>
                <asp:Label runat="server" ID="Label6" Text="Race:" AssociatedControlID="rlbRace" /><br />
                <telerik:RadListBox runat="server" ID="rlbRace" TabIndex="7" CheckBoxes="true" Width="260px" OnClientItemChecked="onItemChecked">
                </telerik:RadListBox>
            </td>
            <td>
                <asp:Label runat="server" ID="Label7" Text="Gender:" AssociatedControlID="rlbGender" /><br />
                <telerik:RadListBox runat="server" ID="rlbGender" TabIndex="8" CheckBoxes="true" Width="150px" OnClientItemChecked="onItemChecked">
                </telerik:RadListBox>
            </td>
        </tr>
    </table>
    <table>
        <tr>
            <td>
                <br />
                <asp:Button ID="btnCreateReport" runat="server" TabIndex="9" Text="Create Report" OnClick="btnGetReport_Click"
                    Enabled="false" />
                <br />
            </td>
        </tr>
    </table>
        <table>
            <tr>
                <td colspan="2">
                    <asp:Label ID="lblFilterSelected" runat="server" Style="color: darkblue; font-weight: bold"></asp:Label>
                </td>
            </tr>
             <tr><td colspan="2">
                 &nbsp;
                </td></tr>
            <tr><td colspan="2">
                    <asp:Button runat="server" TabIndex="10" ID="btnExcel" Text="Export to Excel" CommandName="XLS"
                OnClick="btnExport_Click" ToolTip="Export to Excel" />
            <asp:Button runat="server" ID="btnCSV" TabIndex="11" Text="Export to CSV" CommandName="CSV" ToolTip="Export to CSV"
                OnClick="btnExport_Click" />
            <asp:Button runat="server" ID="btnWord" TabIndex="12" Text="Export to Word" CommandName="DOC" ToolTip="Export to DOC"
                OnClick="btnExport_Click" />
                </td>
            </tr>
        </table>   

    <div runat="server" id="divReports">
        <table>
            <tr>
                <td colspan="2">
                    <table><tr><td>
                    <b>Breast Cancer Aggregate by Selected Division</b>
                     <br />
                    <asp:Label runat="server" ID="lblAccessibility" TabIndex="13" AccessKey="i" Text="Ctrl-y selects the grid.  Use Tab and arrow keys to navigate." />

                    <telerik:RadGrid ID="rgAggregateData" runat="server" AllowMultiRowEdit="false" ShowGroupPanel="false"
                        EnableAjaxSkinRendering="true" EnableLinqExpressions="false" ShowStatusBar="true"
                        OnNeedDataSource="rgAggregateData_NeedDataSource" OnItemCommand="rgAggregateData_ItemCommand"
                        TabIndex="14" AllowFilteringByColumn="false" OnItemDataBound="rgAggregateData_ItemDataBound"
                        OnItemCreated="rgAggregateData_ItemCreated"
                        OnExcelMLExportStylesCreated="rgAggregateData_ExcelMLExportStylesCreated" OnExcelMLExportRowCreated="rgAggregateData_ExcelMLExportRowCreated">
                        <MasterTableView AutoGenerateColumns="false" AllowPaging="true" AllowSorting="true"
                            CommandItemDisplay="None" TabIndex="14" Width="600" PageSize="10">
                            <NoRecordsTemplate>
                                <table>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-weight: bold" TabIndex="14">There are no results with the selected filters.  Please search again.</asp:Label></td>
                                    </tr>
                                </table>
                            </NoRecordsTemplate>

                            <Columns>
                                <telerik:GridBoundColumn DataField="Division" UniqueName="Division" HeaderText="Division"
                                    HeaderTooltip="Division Column" ItemStyle-Wrap="false" ItemStyle-HorizontalAlign="Left">
                                </telerik:GridBoundColumn>
                                <telerik:GridBoundColumn DataField="TTL" UniqueName="TTL" HeaderText="Cohort Total"
                                    HeaderTooltip="Cohort Total Column" ItemStyle-Wrap="false" ItemStyle-HorizontalAlign="Left">
                                </telerik:GridBoundColumn>
                                <telerik:GridTemplateColumn DataField="BreastCancerCases" UniqueName="BreastCancerCases" HeaderText="Breast Cancer Cases"
                                    HeaderTooltip="Cohort Raw number and % from with Breast Cancer Total" ItemStyle-Wrap="false" ItemStyle-HorizontalAlign="Left">
                                    <ItemTemplate>
                                        <%# FormatData("BreastCancerCases")%>
                                    </ItemTemplate>
                                </telerik:GridTemplateColumn>

                            </Columns>
                        </MasterTableView>
                        <ClientSettings AllowKeyboardNavigation="true">
                            <Selecting AllowRowSelect="true" />
                            <ClientEvents OnFilterMenuShowing="focusFilterMenu" />
                            <KeyboardNavigationSettings EnableKeyboardShortcuts="true" />
                        </ClientSettings>
                        <PagerStyle Mode="NextPrevAndNumeric" />
                    </telerik:RadGrid>
                    <br />
                        </td></tr></table>

                </td>

            </tr>

        </table>

        <br />
        <br />

        <telerik:RadHtmlChart runat="server" ID="rcBar" Width="800px" Height="600px" Visible="true">
            <PlotArea>
                <Series>
                    <telerik:ColumnSeries Name="Breast Cancer Cases as % of Selected Cohort" Stacked="false" DataFieldY="BreastCancerCasesP">
                        <TooltipsAppearance DataFormatString="{0}%" />
                        <LabelsAppearance DataFormatString="{0}%" Position="OutsideEnd" />
                    </telerik:ColumnSeries>
                </Series>
                <XAxis DataLabelsField="Division">
                    <LabelsAppearance RotationAngle="45" />
                </XAxis>
                <YAxis MaxValue="100" MinValue="0">
                    <LabelsAppearance DataFormatString="{0}%" />
                </YAxis>
            </PlotArea>
            <ChartTitle Text="Breast Cancer Cases by Selected Division">
            </ChartTitle>
        </telerik:RadHtmlChart>
    </div>


</asp:Content>
