﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Registry.master" AutoEventWireup="true"
    CodeFile="Dashboard.aspx.cs" Inherits="Dashboard" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" runat="Server">
    <div style="padding:5px; padding-left:10px;">
        <br />
        <b>New Standard Reports</b>

        <asp:Panel ID="PanelMammoTest" runat="server">
            <table cellpadding="10px">
                <tr>
                    <td style="width: 250px; vertical-align: middle">
                        <a href="AllMammogram_Abnormal_Rpt.aspx" runat="server" id="AllMammos" title="All Mammograms / Abnormal Mammograms" tabindex="10">All Mammograms / Abnormal</a>
                    </td>
                    <td>
                        <asp:Label ID="Label2" runat="server" Font-Italic="true" TabIndex="11" Font-Bold="false">
                        ** NEW ** - Prototype (Descriptive text coming soon)
                        </asp:Label>
                    </td>
                </tr>
            </table>
        </asp:Panel>

        <asp:Panel ID="PanelMammosDueOrderedPendingTest" runat="server">
            <table cellpadding="10px">
                <tr>
                    <td style="width: 250px; vertical-align: middle">
                        <a href="MammosDue_Std_Rpt.aspx" runat="server" id="A1" title="Mammograms Due" tabindex="10">Mammograms Due</a>
                    </td>
                    <td>
                        <asp:Label ID="Label15" runat="server" Font-Italic="true" TabIndex="11" Font-Bold="false">
                        ** NEW ** - Prototype (Returns a combined Mammograms Due result set for the loaded patients.  The patients displayed have a mammogram due (within the last 6 months or next 30 days)
                        </asp:Label>
                    </td>
                </tr>
            </table>
        </asp:Panel>

        <asp:Panel ID="PanelOrderedPendingTest" runat="server">
            <table cellpadding="10px">
                <tr>
                    <td style="width: 250px; vertical-align: middle">
                        <a href="OrderedPending_Std_Rpt.aspx" runat="server" id="A8" title="Ordered Pending" tabindex="10">Ordered Pending</a>
                    </td>
                    <td>
                        <asp:Label ID="Label3" runat="server" Font-Italic="true" TabIndex="11" Font-Bold="false">
                        ** NEW ** - Prototype (Returns a Ordered Pending result set for the loaded patients.  The patients displayed have an order pending (not more than 60 days overdue))
                        </asp:Label>
                    </td>
                </tr>
            </table>
        </asp:Panel>

        <asp:Panel ID="PanelBreastBiopsiesSurgeriesTest" runat="server">
            <table cellpadding="10px">
                <tr>
                    <td style="width: 250px; vertical-align: middle">
                        <a href="BreastBiospies_Surgeries_Rpt.aspx" runat="server" id="A2" title="Breast Biopsy / Surgeries" tabindex="10">Breast Biopsy / Surgeries</a>
                    </td>
                    <td>
                        <asp:Label ID="Label16" runat="server" Font-Italic="true" TabIndex="11" Font-Bold="false">
                        ** NEW ** - Prototype: Coming Soon
                        </asp:Label>
                    </td>
                </tr>
            </table>
        </asp:Panel>

        <asp:Panel ID="PanelBreastCancerTest" runat="server">
            <table cellpadding="10px">
                <tr>
                    <td style="width: 250px; vertical-align: middle">
                        <a href="BreastCancer_Rpt.aspx" runat="server" id="A3" title="Breast Cancer" tabindex="10">Breast Cancer</a>
                    </td>
                    <td>
                        <asp:Label ID="Label17" runat="server" Font-Italic="true" TabIndex="11" Font-Bold="false">
                        ** NEW ** - Prototype (Returns a result set of all patients with a diagnosis of Breast Cancer for the specified criteria)
                        </asp:Label>
                    </td>
                </tr>
            </table>
        </asp:Panel>

        <br />
        <b>New Aggregate Reports</b>
        <asp:Panel ID="PanelMammoBiRadDistributionAgg" runat="server" Visible="true">
            <table cellpadding="10px">
                <tr>
                    <td style="width: 250px; vertical-align: middle">
                        <a href="MammoBiRadDistribution_Agg_Rpt.aspx" runat="server" id="A4" title="All Mammograms w/ Bi-RADS Distribution" tabindex="10">All Mammograms w/ Bi-RADS Distribution</a>
                    </td>
                    <td>
                        <asp:Label ID="Label18" runat="server" Font-Italic="true" TabIndex="11" Font-Bold="false">
                        ** NEW ** - Prototype (Returns a breakdown of BI-RADS distribution from all mammograms within a VISN for a given time range.)
                        </asp:Label>
                    </td>
                </tr>
            </table>
        </asp:Panel>

        <asp:Panel ID="PanelMammogramComplianceAgg" runat="server" Enabled="true">
            <table cellpadding="10px">
                <tr>
                    <td style="width: 250px; vertical-align: middle">
                        <a href="MammogramCompliance_Agg_Rpt.aspx" runat="server" id="A5" title="Mammogram Compliance" tabindex="10">Mammogram Compliance</a>
                    </td>
                    <td>
                        <asp:Label ID="Label19" runat="server" Font-Italic="true" TabIndex="11" Font-Bold="false">
                        ** NEW ** - Prototype: Coming Soon
                        </asp:Label>
                    </td>
                </tr>
            </table>
        </asp:Panel>

        <asp:Panel ID="PanelBreastCancerAgg" runat="server" Visible="false">
            <table cellpadding="10px">
                <tr>
                    <td style="width: 250px; vertical-align: middle">
                        <a href="BreastCancer_Agg_Rpt.aspx" runat="server" id="A6" title="Breast Cancer" tabindex="10">Breast Cancer</a>
                    </td>
                    <td>
                        <asp:Label ID="Label20" runat="server" Font-Italic="true" TabIndex="11" Font-Bold="false">
                        ** NEW ** - Prototype (Returns an aggregate report of all facilities within a VISN and the number of patients with a Breast Cancer diagnosis.  This report also provides a drilldown capability to see the aforementioned patients in each facility.)
                        </asp:Label>
                    </td>
                </tr>
            </table>
        </asp:Panel>

        <asp:Panel ID="PanelMammogramFollowUpCompliance" runat="server" Enabled="true" Visible="false">
            <table cellpadding="10px">
                <tr>
                    <td style="width: 250px; vertical-align: middle">
                        <a href="#" runat="server" id="A7" title="Mammogram Follow-up compliance" tabindex="10">Mammogram Follow-up compliance</a>
                    </td>
                    <td>
                        <asp:Label ID="Label1" runat="server" Font-Italic="true" TabIndex="11" Font-Bold="false">
                        ** NEW ** - Prototype: Coming Soon
                        </asp:Label>
                    </td>
                </tr>
            </table>
        </asp:Panel>
    </div>
    <%--<br />

    <b>Patient Data Reports</b> 

    <asp:Panel ID="Panel1" runat="server">
        <table cellpadding="10px">
            <tr>
                <td style="width:175px;vertical-align:middle" >
                    <a href="AllAbnormalMammograms_PD.aspx" runat="server" id="AllAbnormal" title="All Abnormal Mammograms, Biopsies and Surgeries" tabindex="10">All Abnormal Mammograms, Biopsies and Surgeries</a>
                </td>          
                <td >       
                    <asp:Label ID="lblAllAbnormal" runat="server" Font-Italic="true" tabindex="11" Font-Bold="false" AssociatedControlID="AllAbnormal">
                        This report allows PACTs and Providers to search for all their patients with abnormal mammograms and shows details of follow-up care.
                    </asp:Label>
                </td>
            </tr>
        </table>
    </asp:Panel>

    <asp:Panel ID="Panel2" runat="server">
        <table cellpadding="10px">
            <tr>
                <td style="width:175px;vertical-align:middle">
                    <a href="AllMammogramsWithBiRads_PD.aspx" runat="server" id="AllMammograms" title="All Mammograms" tabindex="12">All Mammograms</a>
                </td>
                <td >       
                    <asp:Label ID="Label1" runat="server" Font-Italic="true" Font-Bold="false" AssociatedControlID="AllMammograms" tabindex="13">
                        This report allows PACTs and Providers to search for all their patients with mammograms (normal and abnormal) and shows details of follow-up care.
                    </asp:Label>
                </td>
            </tr>
        </table>
    </asp:Panel>

    <asp:Panel ID="Panel3" runat="server">
        <table cellpadding="10px">
            <tr>
                <td style="width:175px;vertical-align:middle">
                    <a href="AllMammogramsDue_PD.aspx" runat="server" id="AllMammogramsDue" title="All Mammograms Due" tabindex="20">All Mammograms Due</a>
                </td>
                <td >       
                    <asp:Label ID="Label3" runat="server" Font-Italic="true" Font-Bold="false" AssociatedControlID="AllMammogramsDue" tabindex="21">
                        This report allows PACTs and Providers to run lists of all their patients who are due for follow-up mammograms.
                    </asp:Label>
                </td>
            </tr>
        </table>
    </asp:Panel>


    <asp:Panel ID="Panel4" runat="server">
        <table cellpadding="10px">
            <tr>
                <td style="width:175px;vertical-align:middle">
                    <a href="BreastBiopsies_PD.aspx" runat="server" id="BreastBiopsies" title="Breast Biopsies" tabindex="22">Breast Biopsies</a>
                </td>
                <td >       
                    <asp:Label ID="Label4" runat="server" Font-Italic="true" Font-Bold="false" AssociatedControlID="BreastBiopsies" tabindex="23">
                        This report allows PACTs and Providers to run lists of all their patients who have had breast biopsies and shows details of results and follow-up care.
                    </asp:Label>
                </td>
            </tr>
        </table>
    </asp:Panel>

    <asp:Panel ID="Panel5" runat="server">
        <table cellpadding="10px">
            <tr>
                <td style="width:175px;vertical-align:middle">
                    <a href="BreastCancer_PD.aspx" runat="server" id="BreastCancer" title="Breast Cancer" tabindex="24">Breast Cancer</a>
                </td>
                <td >       
                    <asp:Label ID="Label6" runat="server" Font-Italic="true" Font-Bold="false" AssociatedControlID="BreastCancer" tabindex="25">
                        This report allows PACTs and Providers to run lists of all their patients with Breast Cancer and shows details of diagnosis and follow-up care.
                    </asp:Label>
                </td>
            </tr>
        </table>
    </asp:Panel>

    <asp:Panel ID="Panel6" runat="server">
        <table cellpadding="10px">
            <tr>
                <td style="width:175px;vertical-align:middle">
                    <a href="BreastSurgeries_PD.aspx" runat="server" id="BreastSurgeries" title="Breast Surgeries" tabindex="26">Breast Surgeries</a>
                </td>
                <td >       
                    <asp:Label ID="Label5" runat="server" Font-Italic="true" Font-Bold="false" AssociatedControlID="BreastSurgeries" tabindex="27">
                        This report allows PACTs and Providers to run lists of all their patients who have had breast surgery.
                    </asp:Label>
                </td>
            </tr>
        </table>
    </asp:Panel>

    <asp:Panel ID="Panel7" runat="server">
        <table cellpadding="10px">
            <tr>
                <td style="width:175px;vertical-align:middle">
                    <a href="OrderedPending_PD.aspx" runat="server" id="OrderedPending" title="Ordered Pending" tabindex="30">Ordered Pending</a>
                </td>
                <td >       
                    <asp:Label ID="Label7" runat="server" Font-Italic="true" Font-Bold="false" AssociatedControlID="OrderedPending" tabindex="31">
                        This report allows PACTs and Providers to run lists of all their patients who have had mammograms ordered, but have not completed their mammogram within 60, or 90 days of the desired date specified.
                    </asp:Label>
                </td>
            </tr>
        </table>
    </asp:Panel>

    <asp:Panel ID="Panel8" runat="server">
        <table cellpadding="10px">
            <tr>
                <td style="width:175px;vertical-align:middle">
                    <a href="AllMammogramsWithFollowUp_PD.aspx" id="MammogramFollowupLink" runat="server" tabindex="32">Mammogram Follow-up and Patient Notification (Coming Soon)</a> 
                                     
                    <asp:Label ID="MammogramFollowup" runat="server" TabIndex="32" Visible="false">
                        Mammogram Follow-up and Patient Notification (Coming Soon)
                    </asp:Label> 
                     
                </td>
                <td >       
                    <asp:Label ID="Label8" runat="server" Font-Italic="true" Font-Bold="false" AssociatedControlID="MammogramFollowup" tabindex="33">
                        This report allows PACTs and Providers to run lists of all their patients who have had mammograms to determine if a follow-up action has been taken and the results communicated to the patient.
                    </asp:Label>
                </td>
            </tr>
        </table>
    </asp:Panel>


    <br />
    <b>Aggregate Data Reports</b>

    <asp:Panel ID="Panel9" runat="server">
        <table cellpadding="10px">
            <tr>
                <td style="width:175px;vertical-align:middle">
                    <a href="AbnormalMammograms_Agg.aspx" runat="server" id="AbnormalMamAgg1" title="Abnormal Mammograms Aggregate" tabindex="40">Abnormal Mammograms Aggregate (Coming Soon)</a>
                  
                    <asp:Label runat="server" id="AbnormalMamAgg" TabIndex="40" Visible="false">
                        Abnormal Mammograms Aggregate (Coming Soon)
                    </asp:Label>
                    
                </td>
                <td >       
                    <asp:Label ID="Label9" runat="server" Font-Italic="true" Font-Bold="false" AssociatedControlID="AbnormalMamAgg" tabindex="41">
                        This report shows aggregate numbers of abnormal mammograms by VISN and can be sorted by BIRADS code, age, race, and gender.
                    </asp:Label>
                </td>
            </tr>
        </table>
    </asp:Panel>

    <asp:Panel ID="Panel10" runat="server">
        <table cellpadding="10px">
            <tr>
                <td style="width:175px;vertical-align:middle">
                    <a href="AllMammograms_Agg.aspx" runat="server" id="AllMamAgg1" title="All Mammogram Aggregate" tabindex="42">All Mammograms Aggregate (Coming Soon)</a>
                    
                    <asp:Label runat="server" id="AllMamAgg" TabIndex="42">
                        All Mammogram Aggregate (Coming Soon)
                    </asp:Label>
                    
                </td>
                <td >       
                    <asp:Label ID="Label10" runat="server" Font-Italic="true" Font-Bold="false" AssociatedControlID="AllMamAgg" tabindex="43">
                        This report shows aggregate numbers of mammograms by BIRADS code, by VISN, and can be sorted by age, race, and gender.
                    </asp:Label>
                </td>
            </tr>
        </table>
    </asp:Panel>

    <asp:Panel ID="Panel11" runat="server">
        <table cellpadding="10px">
            <tr>
                <td style="width:175px;vertical-align:middle">
                    <a href="BreastCancer_Agg.aspx" runat="server" id="BreastCancerAgg1" title="Breast Cancer Aggregate" tabindex="44">Breast Cancer Aggregate (Coming Soon)</a>
                                       
                    <asp:Label runat="server" id="BreastCancerAgg" TabIndex="44">
                        Breast Cancer Aggregate (Coming Soon)
                    </asp:Label>
                     
                </td>
                <td >       
                    <asp:Label ID="Label11" runat="server" Font-Italic="true" Font-Bold="false" AssociatedControlID="BreastCancerAgg" tabindex="45">
                        This report shows aggregate numbers of breast cancer cases by VISN and can be sorted by age, race, and gender.
                    </asp:Label>
                </td>
            </tr>
        </table>
    </asp:Panel>

    <asp:Panel ID="Panel12" runat="server">
        <table cellpadding="10px">
            <tr>
                <td style="width:175px;vertical-align:middle">
                    <a href="MammogramsDue_Agg.aspx" runat="server" id="MamDueAgg1" title="Screening Mammogram Compliance" tabindex="46">
                    Screening Mammogram Compliance (Coming Soon)
                    </a>      
                   
                    <asp:Label runat="server" id="MamDueAgg" TabIndex="46">
                        Screening Mammogram Compliance (Coming Soon)
                    </asp:Label>
                                        
                </td>
                <td >       
                    <asp:Label ID="Label12" runat="server" Font-Italic="true" Font-Bold="false" AssociatedControlID="MamDueAgg" tabindex="47">
                        This report shows percent of patients who are compliant with mammogram screening by VISN.
                    </asp:Label>
                </td>
            </tr>
        </table>
    </asp:Panel>

    <asp:Panel ID="Panel13" runat="server">
        <table cellpadding="10px">
            <tr>
                <td style="width:175px;vertical-align:middle">
                    <a href="MammogramsWithFollowUp_Agg.aspx" id="MamWithFollowupAgg1" runat="server" tabindex="48">Mammograms w/Follow-Up Aggregate (Coming Soon)</a>  
                     
                    <asp:Label runat="server" id="MamWithFollowupAgg" TabIndex="48">
                        Mammogram w/Follow-up Aggregate (Coming Soon)
                    </asp:Label>  
                    
                </td>
                <td >       
                    <asp:Label ID="Label13" runat="server" Font-Italic="true" Font-Bold="false" AssociatedControlID="MamWithFollowupAgg" tabindex="49">
                        This report shows the percent of patients with mammogram results who have a follow-up action taken.
                    </asp:Label>
                </td>
            </tr>
        </table>
    </asp:Panel>


    <br />
    <b>Summary Reports</b>

    <asp:Panel ID="Panel14" runat="server">
        <table cellpadding="10px">
            <tr>
            
                <td style="width:175px;vertical-align:middle">
                    <a href="Adhoc.aspx" runat="server" id="AdHoc1" title="Summary Report" tabindex="60">Summary Report (Coming Soon)</a>
                    
                    <asp:Label id="AdHoc" runat="server" TabIndex="60">
                        Summary Report (Coming Soon)
                    </asp:Label>
                   
                </td>
                <td >       
                    <asp:Label ID="Label14" runat="server" Font-Italic="true" Font-Bold="false" AssociatedControlID="AdHoc" tabindex="61">
                        This report shows all data for all patients available in this registry. Reports can be filtered by age, race, gender and BIRADS code.
                    </asp:Label>
                </td>
            </tr>
        </table>
    </asp:Panel>--%>

    <asp:HiddenField ID="HiddenFieldRegistryName" runat="server" />
</asp:Content>
