﻿<%@ Page Title="All Mammograms with Bi-RADS Distribution Aggregate Report" Language="C#" MasterPageFile="~/Registry.master" AutoEventWireup="true" CodeFile="MammoBiRadDistribution_Agg_Rpt.aspx.cs" Inherits="Reports_MammoBiRadDistribution_Agg_Rpt" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Charting" TagPrefix="telerik" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <telerik:RadCodeBlock runat="server" ID="rcb1">
        <script type="text/javascript">
            function ShowProgress() {
                setTimeout(function () {
                    var modal = $('<div />');
                    modal.addClass("modal");
                    $('body').append(modal);
                    var loading = $(".loading");
                    loading.show();
                    var top = Math.max($(window).height() / 2 - loading[0].offsetHeight / 2, 0);
                    var left = Math.max($(window).width() / 2 - loading[0].offsetWidth / 2, 0);
                    loading.css({ top: top, left: left });
                }, 200);
            }
        </script>
    </telerik:RadCodeBlock>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" runat="Server">
    <telerik:RadSkinManager ID="QsfSkinManager" runat="server" ShowChooser="false" Skin="Office2010Blue" />
    <%--<telerik:RadAjaxManager ID="ram" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="rgAllMammos">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgAllMammos" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="btnRunReport">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgAllMammos" LoadingPanelID="ralp1" />
                    <telerik:AjaxUpdatedControl ControlID="RadHtmlChart1" LoadingPanelID="ralp1" />
                    <telerik:AjaxUpdatedControl ControlID="lblExecutionTime" LoadingPanelID="ralp1" UpdatePanelRenderMode="Inline" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="btnClearReport">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="pnlAdvancedSearch" LoadingPanelID="ralp1" />
                    <telerik:AjaxUpdatedControl ControlID="rgAllMammos" LoadingPanelID="ralp1" />
                    <telerik:AjaxUpdatedControl ControlID="RadHtmlChart1" LoadingPanelID="ralp1" />
                    <telerik:AjaxUpdatedControl ControlID="lblExecutionTime" LoadingPanelID="ralp1" UpdatePanelRenderMode="Inline" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="rcbVisn">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="pnlAdvancedSearch" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>

    <telerik:RadAjaxLoadingPanel ID="ralp1" runat="server" Skin="Office2010Blue" />--%>

    <table style="width: 100%;">
        <tr>
            <td style="padding-left: 10px; padding-right: 10px; padding-top: 4px; width: 300px; vertical-align: top; background-color: #F5F5F5;">
                <asp:Panel ID="pnlAdvancedSearch" runat="server">
                    <!--Start Filters-->
                    <h2>Search Filters:</h2>
                    <br />
                    <asp:Label runat="server" ID="lblVisn" Text="Select VISN:" AssociatedControlID="rcbVisn" /><br />
                    <telerik:RadComboBox ID="rcbVisn" runat="server" Width="100%" AccessKey="v" TabIndex="3" AutoPostBack="true" OnClientSelectedIndexChanged="ShowProgress" OnSelectedIndexChanged="rcbVisn_SelectedIndexChanged" />
                    <br />
                    <br />
                    <asp:Label runat="server" ID="lblStartDate" Text="Start Date:" AssociatedControlID="rdpStartDate" /><br />
                    <telerik:RadDatePicker ID="rdpStartDate" runat="server" ZIndex="30001" TabIndex="4" Width="100%" />
                    <br />
                    <br />

                    <asp:Label runat="server" ID="lblEndDate" Text="End Date:" AssociatedControlID="rdpEndDate" /><br />
                    <telerik:RadDatePicker ID="rdpEndDate" runat="server" ZIndex="30001" TabIndex="5" Width="100%" />
                    <br />
                    <br />
                    <table style="padding: 0px;">
                        <tr>
                            <td style="vertical-align: top; padding-right: 5px;">
                                <telerik:RadButton ID="btnRunReport" runat="server" Enabled="false" Text="Run Report" OnClick="btnRunReport_Click" OnClientClicked="ShowProgress" />
                            </td>
                            <td style="vertical-align: top; padding: 0px;">
                                <telerik:RadButton ID="btnClearReport" runat="server" Text="Reset" OnClick="btnClearReport_Click" OnClientClicked="ShowProgress" />
                            </td>
                        </tr>
                    </table>
                    <br />
                    <!--End Filters-->
                </asp:Panel>
            </td>
            <td style="vertical-align: top; padding-right: 10px;">
                <div style="text-align:right;">
                    <asp:Label ID="lblExecutionTimeLabel" runat="server" AssociatedControlID="lblExecutionTime" Text="Execution Time:" ToolTip="Report Execution Time" /> <asp:Label ID="lblExecutionTime" runat="server" ToolTip="Length of time to execute report" />
                </div>
                <!--Start Grid-->
                <telerik:RadGrid ID="rgAllMammos" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
                    EnableLinqExpressions="false" ShowStatusBar="true"
                    TabIndex="6" OnNeedDataSource="rgAllMammos_NeedDataSource" OnItemDataBound="rgAllMammos_ItemDataBound"
                    OnItemCreated="rgAllMammos_ItemCreated" ShowFooter="true">
                    <MasterTableView AutoGenerateColumns="false" DataKeyNames="InstitutionId" ClientDataKeyNames="InstitutionId"
                        AllowFilteringByColumn="false" AllowSorting="true" AllowPaging="true" CommandItemDisplay="None"
                        TabIndex="12" Width="100%" PageSize="20" ShowHeadersWhenNoRecords="true">
                        <NoRecordsTemplate>
                            <table>
                                <tr>
                                    <td>
                                        <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-size: 12pt; font-weight: normal;" TabIndex="14">
                                                Either no results were found with the selected parameters or the initial search has not been performed yet.  Please select criteria and click on the "Run Report" button
                                        </asp:Label></td>
                                </tr>
                            </table>
                        </NoRecordsTemplate>
                        <SortExpressions>
                            <telerik:GridSortExpression FieldName="InstitutionName" SortOrder="Ascending" />
                        </SortExpressions>
                        <ColumnGroups>
                            <telerik:GridColumnGroup HeaderText="Institution" Name="institution" />
                            <telerik:GridColumnGroup HeaderText="Bi-RADS Distribution" Name="biRad" />
                            <%--<telerik:GridColumnGroup HeaderText="Patient Demographics" Name="demo" />--%>
                        </ColumnGroups>
                        <Columns>
                            <telerik:GridBoundColumn DataField="InstitutionId" UniqueName="InstitutionId" HeaderText="Facility ID" HeaderTooltip="Facility ID Column" ColumnGroupName="institution"
                                HeaderButtonType="None" AllowFiltering="false" Visible="false" />

                            <telerik:GridBoundColumn DataField="InstitutionName" UniqueName="InstitutionName" HeaderText="Facility Name" HeaderTooltip="Facility Name Column" ColumnGroupName="institution"
                                HeaderButtonType="None" AllowFiltering="false" Aggregate="First" FooterAggregateFormatString="Total:" />

                            <telerik:GridBoundColumn DataField="FacilityCount" UniqueName="FacilityCount" HeaderText="Total Patients in Facility" HeaderTooltip="Facility Count Column"
                                HeaderButtonType="None" AllowFiltering="false" Aggregate="Sum" FooterAggregateFormatString="{0}" />


                            <telerik:GridTemplateColumn DataField="Bi-RADS_0" SortExpression="Bi-RADS_0" UniqueName="Bi-RADS_0" HeaderText="Bi-RADS 0" HeaderTooltip="Bi-RADS 0 Column" ColumnGroupName="biRad"
                                HeaderButtonType="None" AllowFiltering="false" Exportable="true" ShowFilterIcon="false" Aggregate="Sum" FooterAggregateFormatString="{0}">
                                <ItemTemplate>
                                    <%# DataBinder.Eval(Container, "DataItem.BIRAD_0_VALUE")%>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <telerik:GridTemplateColumn DataField="Bi-RADS_1" SortExpression="Bi-RADS_1" UniqueName="Bi-RADS_1" HeaderText="Bi-RADS 1" HeaderTooltip="Bi-RADS 1 Column" ColumnGroupName="biRad"
                                HeaderButtonType="None" AllowFiltering="false" AllowSorting="true" Exportable="true" ShowSortIcon="true" ShowFilterIcon="false" Aggregate="Sum" FooterAggregateFormatString="{0}">
                                <ItemTemplate>
                                    <%# DataBinder.Eval(Container, "DataItem.BIRAD_1_VALUE")%>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <telerik:GridTemplateColumn DataField="Bi-RADS_2" SortExpression="Bi-RADS_2" UniqueName="Bi-RADS_2" HeaderText="Bi-RADS 2" HeaderTooltip="Bi-RADS 2 Column" ColumnGroupName="biRad"
                                HeaderButtonType="None" AllowFiltering="false" AllowSorting="true" Exportable="true" ShowSortIcon="true" ShowFilterIcon="false" Aggregate="Sum" FooterAggregateFormatString="{0}">
                                <ItemTemplate>
                                    <%# DataBinder.Eval(Container, "DataItem.BIRAD_2_VALUE")%>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <telerik:GridTemplateColumn DataField="Bi-RADS_3" SortExpression="Bi-RADS_3" UniqueName="Bi-RADS_3" HeaderText="Bi-RADS 3" HeaderTooltip="Bi-RADS 3 Column" ColumnGroupName="biRad"
                                HeaderButtonType="None" AllowFiltering="false" AllowSorting="true" Exportable="true" ShowSortIcon="true" ShowFilterIcon="false" Aggregate="Sum" FooterAggregateFormatString="{0}">
                                <ItemTemplate>
                                    <%# DataBinder.Eval(Container, "DataItem.BIRAD_3_VALUE")%>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <telerik:GridTemplateColumn DataField="Bi-RADS_4" SortExpression="Bi-RADS_4" UniqueName="Bi-RADS_4" HeaderText="Bi-RADS 4" HeaderTooltip="Bi-RADS 4 Column" ColumnGroupName="biRad"
                                HeaderButtonType="None" AllowFiltering="false" AllowSorting="true" Exportable="true" ShowSortIcon="true" ShowFilterIcon="false" Aggregate="Sum" FooterAggregateFormatString="{0}">
                                <ItemTemplate>
                                    <%# DataBinder.Eval(Container, "DataItem.BIRAD_4_VALUE")%>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <telerik:GridTemplateColumn DataField="Bi-RADS_5" SortExpression="Bi-RADS_5" UniqueName="Bi-RADS_5" HeaderText="Bi-RADS 5" HeaderTooltip="Bi-RADS 5 Column" ColumnGroupName="biRad"
                                HeaderButtonType="None" AllowFiltering="false" AllowSorting="true" Exportable="true" ShowSortIcon="true" ShowFilterIcon="false" Aggregate="Sum" FooterAggregateFormatString="{0}">
                                <ItemTemplate>
                                    <%# DataBinder.Eval(Container, "DataItem.BIRAD_5_VALUE")%>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <telerik:GridTemplateColumn DataField="Bi-RADS_6" SortExpression="Bi-RADS_6" UniqueName="Bi-RADS_6" HeaderText="Bi-RADS 6" HeaderTooltip="Bi-RADS 6 Column" ColumnGroupName="biRad"
                                HeaderButtonType="None" AllowFiltering="false" AllowSorting="true" Exportable="true" ShowSortIcon="true" ShowFilterIcon="false" Aggregate="Sum" FooterAggregateFormatString="{0}">
                                <ItemTemplate>
                                    <%# DataBinder.Eval(Container, "DataItem.BIRAD_6_VALUE")%>
                                </ItemTemplate>
                            </telerik:GridTemplateColumn>

                            <%--<telerik:GridBoundColumn DataField="Bi-RADS_0" UniqueName="Bi-RADS_0" HeaderText="Bi-RADS 0" HeaderTooltip="Bi-RADS 0 Column" ColumnGroupName="biRad"
                                HeaderButtonType="None" AllowFiltering="false" Aggregate="Sum" FooterAggregateFormatString="{0}" />
                            <telerik:GridBoundColumn DataField="Bi-RADS_1" UniqueName="Bi-RADS_1" HeaderText="Bi-RADS 1" HeaderTooltip="Bi-RADS 1 Column" ColumnGroupName="biRad"
                                HeaderButtonType="None" AllowFiltering="false" Aggregate="Sum" FooterAggregateFormatString="{0}" />
                            <telerik:GridBoundColumn DataField="Bi-RADS_2" UniqueName="Bi-RADS_2" HeaderText="Bi-RADS 2" HeaderTooltip="Bi-RADS 2 Column" ColumnGroupName="biRad"
                                HeaderButtonType="None" AllowFiltering="false" Aggregate="Sum" FooterAggregateFormatString="{0}" />
                            <telerik:GridBoundColumn DataField="Bi-RADS_3" UniqueName="Bi-RADS_3" HeaderText="Bi-RADS 3" HeaderTooltip="Bi-RADS 3 Column" ColumnGroupName="biRad"
                                HeaderButtonType="None" AllowFiltering="false" Aggregate="Sum" FooterAggregateFormatString="{0}" />
                            <telerik:GridBoundColumn DataField="Bi-RADS_4" UniqueName="Bi-RADS_4" HeaderText="Bi-RADS 4" HeaderTooltip="Bi-RADS 4 Column" ColumnGroupName="biRad"
                                HeaderButtonType="None" AllowFiltering="false" Aggregate="Sum" FooterAggregateFormatString="{0}" />
                            <telerik:GridBoundColumn DataField="Bi-RADS_5" UniqueName="Bi-RADS_5" HeaderText="Bi-RADS 5" HeaderTooltip="Bi-RADS 5 Column" ColumnGroupName="biRad"
                                HeaderButtonType="None" AllowFiltering="false" Aggregate="Sum" FooterAggregateFormatString="{0}" />
                            <telerik:GridBoundColumn DataField="Bi-RADS_6" UniqueName="Bi-RADS_6" HeaderText="Bi-RADS 6" HeaderTooltip="Bi-RADS 6 Column" ColumnGroupName="biRad"
                                HeaderButtonType="None" AllowFiltering="false" Aggregate="Sum" FooterAggregateFormatString="{0}" />--%>

                            <telerik:GridBoundColumn DataField="TotalCount" UniqueName="TotalCount" HeaderText="Total Count" HeaderTooltip="Total Count Column"
                                HeaderButtonType="None" AllowFiltering="false" Visible="false" />

                            <telerik:GridBoundColumn DataField="FacilityPercentage" UniqueName="FacilityPercentage" HeaderText="Percentage" HeaderTooltip="Percentage Column"
                                HeaderButtonType="None" AllowFiltering="false" />
                        </Columns>
                    </MasterTableView>
                    <ClientSettings AllowKeyboardNavigation="true">
                        <Selecting AllowRowSelect="true" />
                        <%--<ClientEvents OnRowDblClick="RowDblClick" />--%>
                        <KeyboardNavigationSettings EnableKeyboardShortcuts="true" />
                    </ClientSettings>
                    <FilterMenu OnClientShowing="MenuShowing" />
                    <PagerStyle Mode="NextPrevAndNumeric" />
                </telerik:RadGrid>
                <!--End Grid-->
                <br />

                <table style="width: 100%;">
                    <tr>
                        <td style="width: 50%; vertical-align: top;">
                            <!-- Start Chart 1 -->
                            <telerik:RadHtmlChart runat="server" ID="RadHtmlChart1" Transitions="true">
                                <PlotArea>
                                    <Series>
                                        <telerik:PieSeries StartAngle="90" Name="Table" DataFieldY="FacilityPercentage" NameField="InstitutionName">
                                            <LabelsAppearance Position="OutsideEnd" DataField="FacilityPercentage" DataFormatString="{0} %" />
                                            <TooltipsAppearance DataFormatString="{0} %" />
                                        </telerik:PieSeries>
                                    </Series>
                                </PlotArea>
                                <Legend>
                                    <Appearance Visible="true" />
                                </Legend>
                                <ChartTitle Text="Patient Distribution">
                                </ChartTitle>
                            </telerik:RadHtmlChart>
                            <!-- End Chart 1 -->
                        </td>
                        <td style="width: 50%; vertical-align: top;">

                        </td>
                    </tr>
                    <%--<tr>
                        <td style="width:50%; vertical-align:top;">

                        </td>
                        <td style="width:50%; vertical-align:top;">

                        </td>
                    </tr>--%>
                </table>

            </td>
        </tr>
    </table>

    <div class="loading" align="center">
        Loading. Please wait.<br />
        <br />
        <img src="../images/ajax-loader.gif" />
    </div>

</asp:Content>