﻿<%@ Page Title="" Language="C#" AutoEventWireup="true" CodeFile="MammogramsByDiagnosis_PD.aspx.cs"
    Inherits="MamByDiag" MasterPageFile="~/Registry.master" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Charting" TagPrefix="telerik" %>
<%@ Register TagPrefix="custom" Namespace="CustomFilter" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <telerik:RadCodeBlock runat="server" ID="rcb1">
        <script type="text/javascript">
            //this focuses context menus for 508 compliance
            function focusFilterMenu(sender, args) {
                filterMenuShowing(sender, args);
                window.setTimeout(function () { args.get_menu().get_items().getItem(0).blur(); args.get_menu().get_items().getItem(0).focus(); }, 1);
            }

            // Hide unwanted menu items
            var column = null;
            var columnName = null;

            function UpdateMenu(items, options) {
                var i = 0;
                while (i < items.get_count()) {

                    if (!(items.getItem(i).get_value() in options)) {
                        var item = items.getItem(i);
                        if (item != null)
                            item.set_visible(false);
                    }
                    else {
                        var item = items.getItem(i);
                        if (item != null)
                            item.set_visible(true);
                    }

                    i++;
                }
            }

            function MenuShowing(sender, args) {
                if (column == null) return;
                if (columnName == null) return;

                var menu = sender;
                var items = menu.get_items();

                if (columnName == "age" || columnName == "DateOrdered" || columnName == "DateCompleted" || columnName == "Date_Of_Death") {
                    UpdateMenu(items, { 'NoFilter': '', 'EqualTo': '', 'GreaterThanOrEqualTo': '', 'LessThanOrEqualTo': '' })
                }
                else if (columnName == "PatientName" || columnName == "PatientSSN" || columnName == "MBD_Diagnosis_GUI" ||
                         columnName == "MBD_CPT_Codes_GUI" || columnName == "patient_zip" || columnName == "procedure_location") {
                    UpdateMenu(items, { 'NoFilter': '', 'Contains': '' })
                }

                column = null;
                columnName = null;
                menu.repaint();
            }

            function filterMenuShowing(sender, eventArgs) {
                column = eventArgs.get_column();
                columnName = eventArgs.get_column().get_uniqueName();
            }



            function RowDblClick(sender, eventArgs) {
                sender.get_masterTableView().editItem(eventArgs.get_itemIndexHierarchical());
            }
        </script>
    </telerik:RadCodeBlock>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder" runat="Server">
    <telerik:RadAjaxManager ID="ram" runat="server">
        <AjaxSettings>
            <telerik:AjaxSetting AjaxControlID="rcbFac">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="btnRunReport" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="rgMamByDiag">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgMamByDiag" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
            <telerik:AjaxSetting AjaxControlID="btnRunReport">
                <UpdatedControls>
                    <telerik:AjaxUpdatedControl ControlID="rgMamByDiag" LoadingPanelID="ralp1" />
                </UpdatedControls>
            </telerik:AjaxSetting>
        </AjaxSettings>
    </telerik:RadAjaxManager>
    <telerik:RadAjaxLoadingPanel ID="ralp1" runat="server" Skin="WebBlue" />
    <a href="content" tabindex="1"></a>
    <br />
    <table>
        <tr>
            <td>
                <table>
                    <tr>
                        <td>
                            <asp:Label runat="server" ID="lblVisn" Text="Select VISN:" AssociatedControlID="rcbVisn" /><br />
                            <telerik:RadComboBox ID="rcbVisn" runat="server" Width="350px" AccessKey="v" TabIndex="3"
                                AutoPostBack="true" OnSelectedIndexChanged="rcbVisn_SelectedIndexChanged" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label runat="server" ID="lblFac" Text="Select Station:" AssociatedControlID="rcbFac" /><br />
                            <telerik:RadComboBox ID="rcbFac" runat="server" Width="350px" AccessKey="v" TabIndex="3"
                                AutoPostBack="true" OnSelectedIndexChanged="rcbFac_SelectedIndexChanged"  Enabled="false"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label runat="server" ID="Label1" Text="Mammogram Scheduled Date:" AssociatedControlID="rcbFac" /><br />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label runat="server" ID="Label2" Text="From Date:" AssociatedControlID="fromDate" /><br />
                            <telerik:RadDatePicker ID="fromDate" runat="server" ZIndex="30001" TabIndex="4" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:RequiredFieldValidator runat="server" ID="RequiredFieldValidator_fromDate" ControlToValidate="fromDate"
                                ErrorMessage="'From Date:' is a required field" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Label runat="server" ID="Label3" Text="To Date:" AssociatedControlID="toDate" /><br />
                            <telerik:RadDatePicker ID="toDate" runat="server" ZIndex="30001" TabIndex="5" />
                        </td>
                    </tr>
                    <tr>
                        <td>      
                            <asp:RequiredFieldValidator runat="server" ID="RequiredFieldValidator_toDate" ControlToValidate="toDate"
                                ErrorMessage="'To Date:' is a required field" />

                            <asp:CompareValidator runat="server" ID="dateCompareValidator" ControlToValidate="toDate"
                                ControlToCompare="fromDate" Operator="GreaterThanEqual" Type="Date" 
                                ErrorMessage="'From Date:' must precede 'To Date:'" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Button runat="server" ID="btnRunReport" Text="Run Report" OnClick="btnReport_Click"
                                ToolTip="Run Report" Enabled="false" TabIndex="6" />
                        </td>
                    </tr>
                </table>
            </td>
            <td>
                <table cellspacing="10px" cellpadding="10px" border="0">
                    <tr>
                        <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
                        <td>
                            <asp:Label ID="Label4" runat="server" ToolTip="Description of report" Font-Italic="true">
                                Placeholder Description
                            </asp:Label>
                            
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    <br />
    <br />
    <asp:Label runat="server" ID="lblAccessibility" TabIndex="7" AccessKey="i" Text="Ctrl-y selects the grid.  Use Tab and arrow keys to navigate." />
    <br />
    <br />
    <asp:Button runat="server" ID="btnExcel" Text="Export to Excel" CommandName="XLS"
        OnClick="btnExport_Click" ToolTip="Export to Excel" TabIndex="8" />
    <asp:Button runat="server" ID="btnCSV" Text="Export to CSV" CommandName="CSV" ToolTip="Export to CSV"
        OnClick="btnExport_Click" TabIndex="9" />
    <asp:Button runat="server" ID="btnPDF" Text="Export to PDF" CommandName="PDF" ToolTip="Export to PDF"
        OnClick="btnExport_Click" TabIndex="10" Visible="false" />
    <asp:Button runat="server" ID="btnWord" Text="Export to Word" CommandName="DOC" ToolTip="Export to DOC"
        OnClick="btnExport_Click" TabIndex="11" />
    <telerik:RadGrid ID="rgMamByDiag" runat="server" ShowGroupPanel="false" EnableAjaxSkinRendering="true"
        EnableLinqExpressions="false" ShowStatusBar="true" OnItemCommand="rgMamByDiag_ItemCommand"
        TabIndex="6" OnNeedDataSource="rgMamByDiag_NeedDataSource" OnItemDataBound="rgMamByDiag_ItemDataBound"
        OnItemCreated="rgMamByDiag_ItemCreated" OnPreRender="rgMamByDiag_PreRender"
        OnExcelMLExportStylesCreated="rgMamByDiag_ExcelMLExportStylesCreated" OnExcelMLExportRowCreated="rgMamByDiag_ExcelMLExportRowCreated">
        <MasterTableView AutoGenerateColumns="false"
            AllowFilteringByColumn="true" AllowSorting="true" AllowPaging="true" CommandItemDisplay="Top"
            TabIndex="7" Width="800" PageSize="10" ShowHeadersWhenNoRecords="true">
            <CommandItemTemplate>
                <asp:Button runat="server" ID="btnReset" Text="Clear Filters" CommandName="Reset"
                    ToolTip="Clear Filters" />
            </CommandItemTemplate>
            <NoRecordsTemplate>
                <table>
                    <tr>
                        <td>
                            <asp:Label ID="lblNoRecords" runat="server" Style="color: red; font-weight: bold" TabIndex="14">There are no results with the selected filters.  Please search again.</asp:Label></td>
                    </tr>
                </table>
            </NoRecordsTemplate>
            <SortExpressions>
                <telerik:GridSortExpression FieldName="primary_care_physician" SortOrder="Ascending"/>
            </SortExpressions>
            <ColumnGroups>
                <telerik:GridColumnGroup HeaderText="Provider" Name="provider" />
                <telerik:GridColumnGroup HeaderText="Patient" Name="patient" />
                <telerik:GridColumnGroup HeaderText="Mammogram Dates" Name="mam" />
                <telerik:GridColumnGroup HeaderText="Patient Demographics" Name="demo" />
            </ColumnGroups>
            <Columns>
                
                <telerik:GridEditCommandColumn UniqueName="EditCommandColumn" EditText="Details">
                </telerik:GridEditCommandColumn>

                <custom:CustomFilteringColumn DataField="team_name" UniqueName="team_name" HeaderText="PACT Team"
                    FilterControlAltText="Filter for PACT Team" FilterControlToolTip="Filter for PACT Team"
                    HeaderTooltip="PACT Team Column" FilterControlWidth="75" ColumnGroupName="provider" EmptyDataText="Unassigned PACT Team" 
                    HeaderButtonType="None"/>
                <custom:CustomFilteringColumn DataField="primary_care_physician" UniqueName="primary_care_physician"
                    HeaderText="Provider Name" FilterControlAltText="Filter for Provider" FilterControlToolTip="Filter for Provider"
                    HeaderTooltip="Provider Column" ColumnGroupName="provider" FilterControlWidth="75" EmptyDataText="Unassigned Provider" 
                    HeaderButtonType="None"/>
                <telerik:GridBoundColumn DataField="Patient_name" UniqueName="PatientName" HeaderText="Last Name, First"
                    FilterControlAltText="Filter Textbox for Patient Name" FilterControlToolTip="Filter Textbox for Patient Name"
                    HeaderTooltip="Patient Name Column" ColumnGroupName="patient" HeaderButtonType="None">
                </telerik:GridBoundColumn>
                <telerik:GridBoundColumn DataField="Patient_SSN" UniqueName="PatientSSN" HeaderText="Last 4"
                    FilterControlAltText="Filter Textbox for Patient Last 4" FilterControlToolTip="Filter Textbox for Last 4"
                    HeaderTooltip="Last 4 Column" ColumnGroupName="patient" FilterControlWidth="30" HeaderButtonType="None">
                </telerik:GridBoundColumn>    

                <telerik:GridBoundColumn HeaderText="ICD 9/10" DataField="Diagnosis"
                    AllowFiltering="false" UniqueName="MBD_Diagnosis_Report" visible="false" HeaderButtonType="None" >                                      
                </telerik:GridBoundColumn> 
                <telerik:GridTemplateColumn HeaderText="ICD 9/10" DataField="Diagnosis" AllowFiltering="true" HeaderTooltip="ICD 9/10 Column"
                    FilterControlAltText="Filter Textbox for ICD 9/10" UniqueName="MBD_Diagnosis_GUI" HeaderButtonType="None" 
                    SortExpression="Diagnosis">
                    <ItemTemplate>
                        <asp:Label ID="lblMBD_Diagnosis" runat="server" Text="ICD 9/10 codes"></asp:Label>
                        <telerik:RadToolTip ID="rttMBD_Diagnosis" runat="server" TargetControlID="lblMBD_Diagnosis" RelativeTo="Element"
                            Position="BottomCenter" RenderInPageRoot="true"  HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                            <%# DataBinder.Eval(Container, "DataItem.Diagnosis")%>
                        </telerik:RadToolTip>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                
                <telerik:GridBoundColumn HeaderText="CPT Codes" DataField="CPT_Codes"  HeaderButtonType="None"
                    AllowFiltering="false" UniqueName="MBD_CPT_Codes_Report" visible="false" >                                      
                </telerik:GridBoundColumn> 
                <telerik:GridTemplateColumn HeaderText="CPT Codes" DataField="CPT_Codes" AllowFiltering="true" HeaderTooltip="CPT Codes Column"
                    FilterControlAltText="Filter Textbox for CPT Codes" UniqueName="MBD_CPT_Codes_GUI" HeaderButtonType="None"
                    SortExpression="CPT_Codes">
                    <ItemTemplate>
                        <asp:Label ID="lblMBD_CPT_Codes" runat="server" Text="CPT Codes"></asp:Label>
                        <telerik:RadToolTip ID="rttMBD_CPT_Codes" runat="server" TargetControlID="lblMBD_CPT_Codes" RelativeTo="Element"
                            Position="BottomCenter" RenderInPageRoot="true"  HideEvent="LeaveTargetAndToolTip" AutoCloseDelay="60000">
                            <%# DataBinder.Eval(Container, "DataItem.CPT_Codes")%>
                        </telerik:RadToolTip>
                    </ItemTemplate>
                </telerik:GridTemplateColumn>
                <telerik:GridDateTimeColumn DataField="Date_Ordered" UniqueName="DateOrdered" HeaderText="Ordered" HeaderButtonType="None"
                    FilterControlAltText="Filter Textbox for Date Next Mam Ordered" FilterControlToolTip="Filter Textbox for Date Next Mam Ordered"
                    HeaderTooltip="Date Next Mam Ordered Column" FilterControlWidth="100" ColumnGroupName="mam"  DataFormatString="{0:MM/dd/yyyy}">
                </telerik:GridDateTimeColumn>
                <telerik:GridDateTimeColumn DataField="Date_Scheduled" UniqueName="DateScheduled" HeaderButtonType="None"
                    HeaderText="Scheduled" FilterControlAltText="Filter Textbox for Date Next Mam Scheduled"
                    FilterControlToolTip="Filter Textbox for Date Next Mam Scheduled" HeaderTooltip="Date Next Mam Scheduled Column"
                    FilterControlWidth="100" ColumnGroupName="mam" AllowFiltering="false" DataFormatString="{0:MM/dd/yyyy}">
                </telerik:GridDateTimeColumn>
                <telerik:GridDateTimeColumn DataField="Completed" UniqueName="DateCompleted" HeaderButtonType="None"
                    HeaderText="Completed" FilterControlAltText="Filter Textbox for Date Next Mam Completed"
                    FilterControlToolTip="Filter Textbox for Date Next Mam Completed" HeaderTooltip="Date Next Mam Completed Column"
                    FilterControlWidth="100" ColumnGroupName="mam" DataFormatString="{0:MM/dd/yyyy}">
                </telerik:GridDateTimeColumn>
                <custom:CustomFilteringColumn DataField="BiRad_Code" UniqueName="BiRadCode" HeaderText="BI-RADS Code"
                    HeaderTooltip="BiRad Column" FilterControlWidth="50" HeaderButtonType="None" />
                <telerik:GridBoundColumn DataField="procedure_location" UniqueName="procedure_location" HeaderText="Provider Location"
                    FilterControlAltText="Filter Textbox for Provider Location" FilterControlToolTip="Filter Textbox for Provider Location"
                    HeaderTooltip="Provider Location Column" FilterControlWidth="30" HeaderButtonType="None" />
                <telerik:GridBoundColumn DataField="age" UniqueName="age" HeaderText="Age" FilterControlAltText="Filter Textbox for Patient Age"
                    FilterControlToolTip="Filter Textbox for Age" HeaderTooltip="Age Column" ColumnGroupName="demo"
                    FilterControlWidth="30" HeaderButtonType="None" />
                <custom:CustomFilteringColumn DataField="race" UniqueName="race" FilterControlAltText="Filter Dropdown for Patient Race"
                    FilterControlToolTip="Filter Dropdown for Race" HeaderText="Race" HeaderTooltip="Race Column"
                    FilterControlWidth="75" ColumnGroupName="demo" HeaderButtonType="None" />
                <custom:CustomFilteringColumn DataField="gender" UniqueName="gender" HeaderText="Gender" HeaderButtonType="None"
                    FilterControlAltText="Filter Dropdown for Patient Gender" FilterControlToolTip="Filter Dropdown for Gender"
                    HeaderTooltip="Gender Column" ColumnGroupName="demo" FilterControlWidth="50" />
                <telerik:GridDateTimeColumn DataField="Date_Of_Death" UniqueName="Date_Of_Death"
                    HeaderText="Date of Death" FilterControlAltText="Filter Textbox for Date of Death"
                    FilterControlToolTip="Filter Textbox for Date of Death" HeaderTooltip=" Date of Death Column"
                    FilterControlWidth="100" ColumnGroupName="demo" DataFormatString="{0:MM/dd/yyyy}" HeaderButtonType="None">
                </telerik:GridDateTimeColumn>
                <telerik:GridBoundColumn DataField="patient_zip" UniqueName="patient_zip" HeaderText="Patient Zip"
                    FilterControlAltText="Filter Textbox for Patient zip" FilterControlToolTip="Filter Textbox for Patient Zip"
                    HeaderTooltip="Patient Zip Column" ColumnGroupName="demo" FilterControlWidth="30" HeaderButtonType="None" />
            </Columns>

            
            <EditFormSettings UserControlName="./controls/MammogramsByDiagnosis_PD.ascx" EditFormType="WebUserControl" CaptionFormatString="Details">
                <EditColumn UniqueName="EditCommandColumn1">
                </EditColumn>
            </EditFormSettings>


        </MasterTableView>
        <ClientSettings AllowKeyboardNavigation="true">
            <Selecting AllowRowSelect="true" />
            <ClientEvents OnFilterMenuShowing="focusFilterMenu" OnRowDblClick="RowDblClick"/>
            <KeyboardNavigationSettings EnableKeyboardShortcuts="true" />
        </ClientSettings>        
        <FilterMenu OnClientShowing="MenuShowing" />
        <PagerStyle Mode="NextPrevAndNumeric" />
    </telerik:RadGrid>

</asp:Content>
